'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var hostedAssets = require('../utils/hostedAssets.cjs');
var BrandCollectiveIntelligence = require('./BrandCollectiveIntelligence/BrandCollectiveIntelligence.cjs');
var Brand_module = require('./Brand.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var isSVG = function (variant, restProps) {
  return variant === 'collective-intelligence';
};
var Brand = function (_a) {
  var _b = _a.reversed,
    reversed = _b === void 0 ? false : _b,
    variant = _a.variant,
    restProps = tslib.__rest(_a, ["reversed", "variant"]);
  if (isSVG(variant)) {
    var role = restProps.role,
      alt_1 = restProps.alt,
      ariaLabel = restProps["aria-label"],
      props = tslib.__rest(restProps, ["role", "alt", 'aria-label']);
    if (role === 'presentation') {
      return React__default.default.createElement(BrandCollectiveIntelligence.BrandCollectiveIntelligence, tslib.__assign({
        role: role
      }, props));
    }
    if (role === 'img') {
      return React__default.default.createElement(BrandCollectiveIntelligence.BrandCollectiveIntelligence, tslib.__assign({
        role: role,
        "aria-label": ariaLabel
      }, props));
    }
    return React__default.default.createElement(BrandCollectiveIntelligence.BrandCollectiveIntelligence, tslib.__assign({
      role: "img",
      "aria-label": alt_1
    }, props));
  }
  var alt = restProps.alt,
    classNameOverride = restProps.classNameOverride,
    style = restProps.style,
    otherProps = tslib.__rest(restProps, ["alt", "classNameOverride", "style"]);
  var brandTheme = reversed ? '-reversed' : '-default';
  return React__default.default.createElement("picture", tslib.__assign({}, otherProps), React__default.default.createElement("source", {
    srcSet: hostedAssets.assetUrl("brand/".concat(variant, "-reversed.svg")),
    media: "(forced-colors: active) and (prefers-color-scheme: dark)"
  }), React__default.default.createElement("source", {
    srcSet: hostedAssets.assetUrl("brand/".concat(variant, "-default.svg")),
    media: "(forced-colors: active) and (prefers-color-scheme: light)"
  }), React__default.default.createElement("img", {
    src: hostedAssets.assetUrl("brand/".concat(variant).concat(brandTheme, ".svg")),
    alt: alt,
    className: classnames__default.default(Brand_module.img, classNameOverride),
    style: style
  }));
};
Brand.displayName = 'Brand';
exports.Brand = Brand;
