'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Button = require('../Button/Button/Button.cjs');
require('../Button/IconButton/IconButton.cjs');
var Heading = require('../Heading/Heading.cjs');
var Text = require('../Text/Text.cjs');
var hostedAssets = require('../utils/hostedAssets.cjs');
var useMediaQueries = require('../utils/useMediaQueries.cjs');
var BrandMoment_module = require('./BrandMoment.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082061589/Brand+Moment Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-brand-moment--docs Storybook}
 */
var BrandMoment = function (_a) {
  var mood = _a.mood,
    variant = _a.variant,
    illustration = _a.illustration,
    header = _a.header,
    body = _a.body,
    primaryAction = _a.primaryAction,
    secondaryAction = _a.secondaryAction,
    text = _a.text,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["mood", "variant", "illustration", "header", "body", "primaryAction", "secondaryAction", "text", "classNameOverride"]);
  var queries = useMediaQueries.useMediaQueries().queries;
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(BrandMoment_module.body, variant ? BrandMoment_module[variant] : BrandMoment_module[mood], classNameOverride)
  }, restProps), React__default.default.createElement("header", {
    className: BrandMoment_module.header
  }, header), React__default.default.createElement("main", {
    className: BrandMoment_module.main
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.container
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.mainInner
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.left
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.leftInner
  }, illustration)), React__default.default.createElement("div", {
    className: BrandMoment_module.right
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.rightInner
  }, text.subtitle && React__default.default.createElement(Heading.Heading, {
    variant: "heading-3",
    tag: "h1",
    classNameOverride: BrandMoment_module.subtitle
  }, text.subtitle), React__default.default.createElement(Heading.Heading, {
    variant: "display-0",
    tag: text.subtitle ? 'h2' : 'h1',
    classNameOverride: BrandMoment_module.title
  }, text.title), text.body && React__default.default.createElement(Text.Text, {
    variant: "intro-lede",
    classNameOverride: BrandMoment_module.textBody
  }, text.body), body && React__default.default.createElement("div", {
    className: BrandMoment_module.textBody
  }, body), React__default.default.createElement("div", {
    className: BrandMoment_module.actions
  }, primaryAction && React__default.default.createElement(Button.Button, tslib.__assign({
    primary: true,
    fullWidth: queries.isSmall
  }, primaryAction)), secondaryAction && React__default.default.createElement("div", {
    className: BrandMoment_module.secondaryAction
  }, React__default.default.createElement(Button.Button, tslib.__assign({
    secondary: true,
    fullWidth: queries.isSmall
  }, secondaryAction))))))))), text.footer && React__default.default.createElement("footer", {
    className: BrandMoment_module.footer
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.container
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.footerInner
  }, React__default.default.createElement("div", {
    className: BrandMoment_module.poweredByContainer
  }, React__default.default.createElement(Text.Text, {
    variant: "extra-small",
    color: "dark-reduced-opacity"
  }, "Powered by"), React__default.default.createElement("a", {
    href: "https://www.cultureamp.com",
    className: BrandMoment_module.poweredByLogo
  }, React__default.default.createElement("img", {
    src: hostedAssets.assetUrl('brand/logo-horizontal-default.svg'),
    alt: "Culture Amp"
  }))), React__default.default.createElement("div", {
    className: BrandMoment_module.footerTextContainer
  }, React__default.default.createElement(Text.Text, {
    variant: "extra-small"
  }, text.footer))))));
};
BrandMoment.displayName = 'BrandMoment';
exports.BrandMoment = BrandMoment;
