'use strict';

var tslib = require('tslib');
var React = require('react');
var locale = require('date-fns/locale');
var reactDayPicker = require('react-day-picker');
var Icon = require('../../__next__/Icon/Icon.cjs');
var baseCalendarClassNames = require('../baseCalendarClassNames.cjs');
require('date-fns');
var isInvalidDate = require('../utils/isInvalidDate.cjs');
var CalendarRange_module = require('./CalendarRange.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var CalendarRange = function (_a) {
  var _b;
  var id = _a.id,
    onMount = _a.onMount,
    _c = _a.hasDivider,
    hasDivider = _c === void 0 ? false : _c,
    classNameOverride = _a.classNameOverride,
    selected = _a.selected,
    defaultMonth = _a.defaultMonth,
    _d = _a.numberOfMonths,
    numberOfMonths = _d === void 0 ? 2 : _d,
    _e = _a.locale,
    locale$1 = _e === void 0 ? locale.enAU : _e,
    restProps = tslib.__rest(_a, ["id", "onMount", "hasDivider", "classNameOverride", "selected", "defaultMonth", "numberOfMonths", "locale"]);
  var calendarRef = React.useRef(null);
  React.useEffect(function () {
    if (calendarRef.current) onMount === null || onMount === void 0 ? void 0 : onMount(calendarRef.current);
  }, [calendarRef, onMount]);
  var monthToShow = (_b = selected === null || selected === void 0 ? void 0 : selected.from) !== null && _b !== void 0 ? _b : defaultMonth;
  var selectedMonth = monthToShow && isInvalidDate.isInvalidDate(monthToShow) ? undefined : monthToShow;
  /* eslint-disable camelcase */
  var classNames = tslib.__assign(tslib.__assign({}, baseCalendarClassNames.baseCalendarClassNames), {
    month: hasDivider ? CalendarRange_module.monthWithDivider : CalendarRange_module.month,
    nav: CalendarRange_module.nav,
    range_start: CalendarRange_module.dayRangeStart,
    range_end: CalendarRange_module.dayRangeEnd,
    range_middle: CalendarRange_module.dayRangeMiddle,
    hidden: CalendarRange_module.hidden
  });
  /* eslint-enable camelcase */
  return React__default.default.createElement("div", {
    ref: calendarRef,
    id: id,
    className: classNameOverride
  }, React__default.default.createElement(reactDayPicker.DayPicker, tslib.__assign({
    mode: "range",
    selected: selected,
    defaultMonth: selectedMonth,
    classNames: classNames,
    components: {
      Chevron: function (props) {
        if (props.orientation === 'left') {
          return React__default.default.createElement(Icon.Icon, {
            name: "arrow_back",
            isPresentational: true,
            shouldMirrorInRTL: true
          });
        }
        return React__default.default.createElement(Icon.Icon, {
          name: "arrow_forward",
          isPresentational: true,
          shouldMirrorInRTL: true
        });
      }
    },
    numberOfMonths: numberOfMonths,
    locale: locale$1
  }, restProps)));
};
CalendarRange.displayName = 'CalendarRange';
exports.CalendarRange = CalendarRange;
