'use strict';

var dateFns = require('date-fns');
var enums = require('../enums.cjs');
var isDisabledDate = require('./isDisabledDate.cjs');
var isInvalidDate = require('./isInvalidDate.cjs');
var formatDateAsText = function (date, disabledDays, locale) {
  if (isDisabledDate.isDisabledDate(date, disabledDays)) {
    return dateFns.format(date, enums.DateFormat.Numeral, {
      locale: locale
    });
  }
  if (isInvalidDate.isInvalidDate(date)) {
    return 'Invalid Date';
  }
  return dateFns.format(date, enums.DateFormat.Text, {
    locale: locale
  });
};
exports.formatDateAsText = formatDateAsText;
