'use strict';

var baseCalendarClassNames_module = require('../baseCalendarClassNames.module.scss.cjs');
var isInvalidDate = require('./isInvalidDate.cjs');
var setFocusInCalendar = function (calendarElement, selectedDay) {
  var dayClass = selectedDay && !isInvalidDate.isInvalidDate(selectedDay) ? ".".concat(baseCalendarClassNames_module.daySelected) : ".".concat(baseCalendarClassNames_module.dayToday);
  var dayToFocus = calendarElement.querySelector("".concat(dayClass, " button"));
  // RDP v9 puts the day class on the button inside the table cell whereas today and selected appear on the table cell
  dayToFocus !== null && dayToFocus !== void 0 ? dayToFocus : dayToFocus = calendarElement.querySelector(".".concat(baseCalendarClassNames_module.day));
  if (dayToFocus instanceof HTMLElement) {
    dayToFocus.focus();
  }
};
exports.setFocusInCalendar = setFocusInCalendar;
