'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var useExitingAnimation = require('../utils/useExitingAnimation/useExitingAnimation.cjs');
var AIMoment_module = require('../../styles/utils/AIMoment.module.css.cjs');
var Card_module = require('./Card.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094938/Card Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-card--docs Storybook}
 */
var Card = function (_a) {
  var children = _a.children,
    _b = _a.tag,
    tag = _b === void 0 ? 'div' : _b,
    variant = _a.variant,
    _c = _a.color,
    color = _c === void 0 ? 'white' : _c,
    _d = _a.isElevated,
    isElevated = _d === void 0 ? false : _d,
    classNameOverride = _a.classNameOverride,
    isAiLoading = _a.isAiLoading,
    props = tslib.__rest(_a, ["children", "tag", "variant", "color", "isElevated", "classNameOverride", "isAiLoading"]);
  var Element = tag;
  var animationClass = useExitingAnimation.useExitingAnimation(isAiLoading, AIMoment_module.aiMomentLoading, AIMoment_module.aiMomentExiting, 500);
  return React__default.default.createElement(Element, tslib.__assign({
    className: classnames__default.default(Card_module.wrapper, variant ? Card_module[variant] : Card_module[color], isElevated && Card_module.elevated, isAiLoading !== undefined && AIMoment_module.aiMoment, isAiLoading !== undefined && animationClass, classNameOverride)
  }, props), isAiLoading !== undefined && React__default.default.createElement("div", {
    "aria-hidden": true,
    className: AIMoment_module.aiMomentBackground
  }), children);
};
Card.displayName = 'Card';
exports.Card = Card;
