'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Label = require('../../Label/Label.cjs');
var Checkbox = require('../Checkbox/Checkbox.cjs');
var CheckboxField_module = require('./CheckboxField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094661/Checkbox+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-checkobx-controls-checkbox-field--docs Storybook}
 */
var CheckboxField = function (_a) {
  var propsId = _a["id"],
    labelText = _a.labelText,
    checkedStatus = _a.checkedStatus,
    _b = _a.disabled,
    disabled = _b === void 0 ? false : _b,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    _d = _a.noBottomMargin,
    noBottomMargin = _d === void 0 ? false : _d,
    dataTestId = _a["data-testid"],
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ['id', "labelText", "checkedStatus", "disabled", "reversed", "noBottomMargin", 'data-testid', "classNameOverride"]);
  var fallbackId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  return React__default.default.createElement("div", {
    "data-testid": dataTestId,
    className: classnames__default.default(CheckboxField_module.container, classNameOverride, checkedStatus === 'on' && CheckboxField_module.checked, checkedStatus === 'mixed' && CheckboxField_module.mixed, reversed && CheckboxField_module.reversed, noBottomMargin && CheckboxField_module.noBottomMargin)
  }, React__default.default.createElement(Label.Label, {
    id: "".concat(id, "-field-label"),
    htmlFor: "".concat(id, "-field-checkbox"),
    "data-testid": "".concat(id, "-field-label"),
    labelText: labelText,
    reversed: reversed,
    labelType: "checkbox",
    disabled: disabled,
    classNameOverride: CheckboxField_module.label
  }, React__default.default.createElement(Checkbox.Checkbox, tslib.__assign({
    id: "".concat(id, "-field-checkbox"),
    "data-testid": "".concat(id, "-field-checkbox"),
    disabled: disabled,
    reversed: reversed,
    checkedStatus: checkedStatus
  }, restProps))));
};
CheckboxField.displayName = 'CheckboxField';
exports.CheckboxField = CheckboxField;
