'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var AnimateHeight = require('react-animate-height');
require('../../Button/Button/Button.cjs');
var IconButton = require('../../Button/IconButton/IconButton.cjs');
var Heading = require('../../Heading/Heading.cjs');
var Icon = require('../../__next__/Icon/Icon.cjs');
var Collapsible_module = require('./Collapsible.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var AnimateHeight__default = /*#__PURE__*/_interopDefault(AnimateHeight);
var Collapsible = function (_a) {
  var children = _a.children,
    title = _a.title,
    renderHeader = _a.renderHeader,
    open = _a.open,
    group = _a.group,
    separated = _a.separated,
    sticky = _a.sticky,
    noSectionPadding = _a.noSectionPadding,
    onToggle = _a.onToggle,
    _b = _a.variant,
    variant = _b === void 0 ? 'default' : _b,
    lazyLoad = _a.lazyLoad,
    controlled = _a.controlled,
    classNameOverride = _a.classNameOverride,
    propsId = _a.id,
    restProps = tslib.__rest(_a, ["children", "title", "renderHeader", "open", "group", "separated", "sticky", "noSectionPadding", "onToggle", "variant", "lazyLoad", "controlled", "classNameOverride", "id"]);
  var _c = React.useState(open !== null && open !== void 0 ? open : false),
    stateIsOpen = _c[0],
    setIsOpen = _c[1];
  var getOpen = function () {
    return controlled ? open : stateIsOpen;
  };
  var fallbackId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  var handleSectionToggle = function () {
    var newIsOpen = !getOpen();
    if (!controlled) setIsOpen(newIsOpen);
    onToggle === null || onToggle === void 0 ? void 0 : onToggle(newIsOpen, id);
  };
  var handleButtonPress = function (event) {
    event.stopPropagation();
    handleSectionToggle();
  };
  var buttonId = "".concat(id, "-button");
  var sectionId = "".concat(id, "-section");
  var isOpen = getOpen();
  var isContainer = !group || separated;
  return React__default.default.createElement("div", tslib.__assign({
    id: id,
    className: classnames__default.default(classNameOverride, isContainer && Collapsible_module.container, group && !separated && Collapsible_module.groupItem, separated && Collapsible_module.separated),
    "data-testid": "collapsible-container-".concat(id)
  }, restProps), React__default.default.createElement("div", {
    className: classnames__default.default(Collapsible_module.header, isOpen && Collapsible_module.open, sticky && Collapsible_module.sticky, isOpen && variant === 'default' && Collapsible_module.defaultVariant, isOpen && variant === 'clear' && Collapsible_module.clearVariant),
    style: sticky && {
      top: sticky.top
    },
    onClick: handleSectionToggle,
    "data-testid": "collapsible-header-".concat(id)
  }, renderHeader !== undefined ? renderHeader(title) : React__default.default.createElement("div", {
    className: Collapsible_module.title,
    "data-testid": "collapsible-button-title-".concat(id)
  }, React__default.default.createElement(Heading.Heading, {
    variant: "heading-4",
    tag: "span"
  }, title)), React__default.default.createElement("div", null, React__default.default.createElement(IconButton.IconButton, {
    label: title,
    icon: React__default.default.createElement(Icon.Icon, {
      name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
      isPresentational: true
    }),
    type: "button",
    "aria-expanded": isOpen,
    "aria-controls": sectionId,
    "data-testid": "collapsible-button-".concat(id),
    id: buttonId,
    onClick: handleButtonPress,
    classNameOverride: Collapsible_module.chevronButton
  }))), (!lazyLoad || isOpen) && React__default.default.createElement(AnimateHeight__default.default, {
    height: isOpen ? 'auto' : 0,
    "data-testid": "collapsible-section-".concat(id)
  }, React__default.default.createElement("div", {
    id: sectionId,
    className: classnames__default.default(Collapsible_module.section, noSectionPadding && Collapsible_module.noPadding),
    role: "region",
    "aria-labelledby": buttonId
  }, children)));
};
Collapsible.displayName = 'Collapsible';
exports.Collapsible = Collapsible;
