'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Input = require('../../Input/Input/Input.cjs');
require('../../Input/InputRange/InputRange.cjs');
require('../../Input/InputSearch/InputSearch.cjs');
var Label = require('../../Label/Label.cjs');
var isRefObject = require('../../utils/isRefObject.cjs');
var DateInput_module = require('./DateInput.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var DateInput = React__default.default.forwardRef(function (_a, ref) {
  var id = _a.id,
    labelText = _a.labelText,
    disabled = _a.disabled,
    _b = _a.isReversed,
    isReversed = _b === void 0 ? false : _b,
    classNameOverride = _a.classNameOverride,
    inputProps = tslib.__rest(_a, ["id", "labelText", "disabled", "isReversed", "classNameOverride"]);
  return React__default.default.createElement("div", {
    className: classnames__default.default(DateInput_module.dateInput, classNameOverride)
  }, React__default.default.createElement(Label.Label, {
    htmlFor: id,
    id: "".concat(id, "-input-label"),
    labelText: labelText,
    reversed: isReversed,
    disabled: disabled
  }), React__default.default.createElement(Input.Input, tslib.__assign({
    inputRef: isRefObject.isRefObject(ref) ? ref : undefined,
    id: id,
    type: "text",
    autoComplete: "off",
    classNameOverride: DateInput_module.input,
    disabled: disabled,
    reversed: isReversed
  }, inputProps)));
});
DateInput.displayName = 'DateInput';
exports.DateInput = DateInput;
