'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Heading = require('../Heading/Heading.cjs');
require('../Illustration/subcomponents/Base/Base.cjs');
require('../Illustration/Scene/BrandMomentCaptureIntro/BrandMomentCaptureIntro.cjs');
var Scene = require('../Illustration/Scene/Scene.cjs');
var Text = require('../Text/Text.cjs');
var EmptyState_module = require('./EmptyState.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var ILLUSTRATIONS = {
  'success': Scene.EmptyStatesPositive,
  'warning': Scene.EmptyStatesNegative,
  'informative': Scene.EmptyStatesInformative,
  'expert-advice': Scene.EmptyStatesNeutral,
  /** @deprecated Replaced by success */
  'positive': Scene.EmptyStatesPositive,
  /** @deprecated Replaced by expert-advice */
  'neutral': Scene.EmptyStatesNeutral,
  /** @deprecated Replaced by warning */
  'negative': Scene.EmptyStatesNegative,
  /** @deprecated Replaced by warning */
  'action': Scene.EmptyStatesNegative
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094098/Empty+State Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-empty-state--docs Storybook}
 */
var EmptyState = function (_a) {
  var children = _a.children,
    id = _a.id,
    illustrationType = _a.illustrationType,
    _b = _a.variant,
    variant = _b === void 0 ? 'informative' : _b;
  _a.layoutContext;
  var headingProps = _a.headingProps,
    bodyText = _a.bodyText,
    straightCorners = _a.straightCorners,
    _c = _a.isAnimated,
    isAnimated = _c === void 0 ? true : _c,
    _d = _a.loop,
    loop = _d === void 0 ? false : _d,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["children", "id", "illustrationType", "variant", "layoutContext", "headingProps", "bodyText", "straightCorners", "isAnimated", "loop", "classNameOverride"]);
  var IllustrationComponent = ILLUSTRATIONS[illustrationType !== null && illustrationType !== void 0 ? illustrationType : variant];
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(EmptyState_module.container, illustrationType ? EmptyState_module[illustrationType] : EmptyState_module[variant], straightCorners && EmptyState_module.straightCorners, classNameOverride),
    id: id
  }, props), React__default.default.createElement("div", {
    className: EmptyState_module.content
  }, React__default.default.createElement("div", {
    className: EmptyState_module.illustrationContainer
  }, isAnimated ? React__default.default.createElement(IllustrationComponent, {
    isAnimated: true,
    loop: loop,
    classNameOverride: EmptyState_module.illustration
  }) : React__default.default.createElement(IllustrationComponent, {
    classNameOverride: EmptyState_module.illustration
  })), React__default.default.createElement("div", {
    className: EmptyState_module.textContainer
  }, headingProps && React__default.default.createElement(Heading.Heading, tslib.__assign({
    classNameOverride: EmptyState_module.heading
  }, headingProps)), React__default.default.createElement(Text.Text, {
    variant: "body"
  }, bodyText), children && React__default.default.createElement("span", null, children))));
};
EmptyState.displayName = 'EmptyState';
exports.EmptyState = EmptyState;
