'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var reactFocusOn = require('react-focus-on');
var FilterPopover = require('./subcomponents/FilterPopover/FilterPopover.cjs');
var Filter_module = require('./Filter.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var Filter = function (_a) {
  var _b, _c, _d, _e;
  var children = _a.children,
    isOpen = _a.isOpen,
    setIsOpen = _a.setIsOpen,
    renderTrigger = _a.renderTrigger,
    classNameOverride = _a.classNameOverride,
    onMount = _a.onMount,
    restProps = tslib.__rest(_a, ["children", "isOpen", "setIsOpen", "renderTrigger", "classNameOverride", "onMount"]);
  var triggerId = React.useId();
  var _f = React.useState(false),
    isRefLoaded = _f[0],
    setIsRefLoaded = _f[1];
  var trigger = renderTrigger({
    id: triggerId,
    onClick: function () {
      return setIsOpen(!isOpen);
    },
    isOpen: isOpen
  });
  var inbuiltButtonRef = React.useRef(null);
  var inbuiltRef = React.useRef({
    triggerRef: inbuiltButtonRef
  });
  var filterButtonRef = (_b = trigger.ref) !== null && _b !== void 0 ? _b : inbuiltRef;
  React.useEffect(function () {
    var _a, _b;
    if ((_b = (_a = filterButtonRef.current) === null || _a === void 0 ? void 0 : _a.triggerRef) === null || _b === void 0 ? void 0 : _b.current) {
      setIsRefLoaded(true);
      onMount === null || onMount === void 0 ? void 0 : onMount(filterButtonRef.current.triggerRef);
    }
  }, [filterButtonRef, onMount]);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(Filter_module.filter, classNameOverride)
  }, restProps), React__default.default.cloneElement(trigger, {
    ref: filterButtonRef
  }), isRefLoaded && isOpen && React__default.default.createElement(reactFocusOn.FocusOn, {
    scrollLock: false,
    onClickOutside: function () {
      return setIsOpen(false);
    },
    onEscapeKey: function () {
      return setIsOpen(false);
    }
  }, React__default.default.createElement(FilterPopover.FilterPopover, {
    referenceElement: (_e = (_d = (_c = filterButtonRef.current) === null || _c === void 0 ? void 0 : _c.triggerRef) === null || _d === void 0 ? void 0 : _d.current) !== null && _e !== void 0 ? _e : null,
    "aria-labelledby": trigger.props.id
  }, children)));
};
Filter.displayName = 'Filter';
exports.Filter = Filter;
