'use strict';

var updateDependentFilters = require('../utils/updateDependentFilters.cjs');
var setupFilterBarState = function (filters, values) {
  var state = filters.reduce(function (baseState, _a) {
    var id = _a.id,
      name = _a.name,
      isRemovable = _a.isRemovable,
      isUsableWhen = _a.isUsableWhen;
    var hasDependency = isUsableWhen !== undefined;
    baseState.filters[id] = {
      id: id,
      name: name,
      isRemovable: isRemovable !== null && isRemovable !== void 0 ? isRemovable : false,
      isUsableWhen: isUsableWhen,
      isOpen: false,
      isUsable: true
    };
    if (hasDependency) {
      baseState.dependentFilterIds.add(id);
    }
    if (!isRemovable || values[id] !== undefined) {
      baseState.activeFilterIds.add(id);
    }
    if (isRemovable) {
      baseState.hasRemovableFilter = true;
    }
    return baseState;
  }, {
    filters: {},
    activeFilterIds: new Set(),
    values: values,
    dependentFilterIds: new Set(),
    hasUpdatedValues: false,
    hasRemovableFilter: false,
    focusId: undefined
  });
  return updateDependentFilters.updateDependentFilters(state);
};
exports.setupFilterBarState = setupFilterBarState;
