'use strict';

var getIsUsableWhenArgs = require('./getIsUsableWhenArgs.cjs');
var updateDependentFilters = function (state) {
  if (state.dependentFilterIds.size === 0) return state;
  var hasChange = false;
  var args = getIsUsableWhenArgs.getIsUsableWhenArgs(state);
  Array.from(state.dependentFilterIds).forEach(function (id) {
    var isUsable = state.filters[id].isUsableWhen(args);
    var shouldUpdate = state.filters[id].isUsable !== isUsable;
    if (!shouldUpdate) return;
    hasChange = true;
    state.filters[id].isUsable = isUsable;
    if (!isUsable) {
      state.activeFilterIds.delete(id);
      delete state.values[id];
      state.hasUpdatedValues = true;
      return;
    }
    if (!state.filters[id].isRemovable || state.values[id] !== undefined) {
      state.activeFilterIds.add(id);
    }
  });
  if (hasChange) updateDependentFilters(state);
  return state;
};
exports.updateDependentFilters = updateDependentFilters;
