'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var FilterBarContext = require('../../context/FilterBarContext.cjs');
require('../../../FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.cjs');
var FilterButton = require('../../../FilterButton/FilterButton/FilterButton.cjs');
var FilterButtonRemovable = require('../../../FilterButton/FilterButtonRemovable/FilterButtonRemovable.cjs');
var isRefObject = require('../../../../utils/isRefObject.cjs');
var FilterBarButton_module = require('./FilterBarButton.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var FilterBarButton = React.forwardRef(function (_a, ref) {
  var filterId = _a.filterId,
    _b = _a.isRemovable,
    isRemovable = _b === void 0 ? false : _b,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["filterId", "isRemovable", "classNameOverride"]);
  var _c = FilterBarContext.useFilterBarContext(),
    hideFilter = _c.hideFilter,
    focusId = _c.focusId,
    setFocus = _c.setFocus;
  React.useEffect(function () {
    var _a, _b, _c;
    if (focusId === filterId && isRefObject.isRefObject(ref)) {
      (_c = (_b = (_a = ref === null || ref === void 0 ? void 0 : ref.current) === null || _a === void 0 ? void 0 : _a.triggerRef) === null || _b === void 0 ? void 0 : _b.current) === null || _c === void 0 ? void 0 : _c.focus();
      setFocus(undefined);
    }
  }, [filterId, focusId, ref, setFocus]);
  return isRemovable ? React__default.default.createElement(FilterButtonRemovable.FilterButtonRemovable, {
    ref: ref,
    triggerButtonProps: props,
    removeButtonProps: {
      onClick: function () {
        return hideFilter(filterId);
      }
    },
    classNameOverride: classnames__default.default(classNameOverride, FilterBarButton_module.filterBarButton)
  }) : React__default.default.createElement(FilterButton.FilterButton, tslib.__assign({
    ref: ref,
    classNameOverride: classnames__default.default(classNameOverride, FilterBarButton_module.filterBarButton)
  }, props));
});
FilterBarButton.displayName = 'FilterBar.Button';
exports.FilterBarButton = FilterBarButton;
