'use strict';

var tslib = require('tslib');
var React = require('react');
var FilterDateRangePicker = require('../../../FilterDateRangePicker/FilterDateRangePicker.cjs');
var FilterBarContext = require('../../context/FilterBarContext.cjs');
var FilterBarButton = require('../FilterBarButton/FilterBarButton.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterBarDateRangePicker = function (_a) {
  var id = _a.id,
    onRangeChange = _a.onRangeChange,
    _b = _a.locale,
    locale = _b === void 0 ? 'en-AU' : _b,
    props = tslib.__rest(_a, ["id", "onRangeChange", "locale"]);
  var _c = FilterBarContext.useFilterBarContext(),
    getFilterState = _c.getFilterState,
    setFilterOpenState = _c.setFilterOpenState,
    updateValue = _c.updateValue;
  if (!id) throw Error('Missing `id` prop in FilterBarDateRangePicker');
  var filterState = getFilterState(id);
  return React__default.default.createElement(FilterDateRangePicker.FilterDateRangePicker, tslib.__assign({}, props, {
    id: id,
    label: filterState.name,
    renderTrigger: function (triggerProps) {
      return React__default.default.createElement(FilterBarButton.FilterBarButton, tslib.__assign({}, triggerProps, {
        filterId: id,
        isRemovable: filterState.isRemovable
      }));
    },
    isOpen: filterState.isOpen,
    setIsOpen: function (open) {
      return setFilterOpenState(id, open);
    },
    selectedRange: filterState.value,
    onRangeChange: function (range) {
      updateValue(id, range);
      onRangeChange === null || onRangeChange === void 0 ? void 0 : onRangeChange(range);
    },
    locale: locale
  }));
};
FilterBarDateRangePicker.displayName = 'FilterBar.DateRangePicker';
exports.FilterBarDateRangePicker = FilterBarDateRangePicker;
