'use strict';

var tslib = require('tslib');
var React = require('react');
var FilterSelect = require('../../../FilterSelect/FilterSelect.cjs');
var FilterBarContext = require('../../context/FilterBarContext.cjs');
var checkArraysMatch = require('../../utils/checkArraysMatch.cjs');
var FilterBarButton = require('../FilterBarButton/FilterBarButton.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterBarSelect = function (_a) {
  var _b;
  var id = _a.id,
    propsItems = _a.items,
    onSelectionChange = _a.onSelectionChange,
    props = tslib.__rest(_a, ["id", "items", "onSelectionChange"]);
  var _c = FilterBarContext.useFilterBarContext(),
    getFilterState = _c.getFilterState,
    setFilterOpenState = _c.setFilterOpenState,
    updateValue = _c.updateValue;
  var _d = React.useState(propsItems),
    items = _d[0],
    setItems = _d[1];
  if (!id) throw Error('Missing `id` prop in FilterBarSelect');
  var filterState = getFilterState(id);
  React.useEffect(function () {
    if (!checkArraysMatch.checkArraysMatch(items, propsItems)) {
      setItems(propsItems);
    }
    // We only want to run this effect when propsItems changes
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [propsItems]);
  React.useEffect(function () {
    if (filterState.value) {
      var itemValues = items.map(function (item) {
        return item === null || item === void 0 ? void 0 : item.value;
      });
      if (!itemValues.includes(filterState.value)) {
        updateValue(id, undefined);
      }
    }
    // We only want to run this effect when items changes
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [items]);
  return React__default.default.createElement(FilterSelect.FilterSelect, tslib.__assign({}, props, {
    items: items,
    selectedKey: (_b = filterState.value) !== null && _b !== void 0 ? _b : null,
    label: filterState.name,
    renderTrigger: function (triggerProps) {
      return React__default.default.createElement(FilterBarButton.FilterBarButton, tslib.__assign({}, triggerProps, {
        filterId: id,
        isRemovable: filterState.isRemovable
      }));
    },
    onSelectionChange: function (key) {
      updateValue(id, key !== null && key !== void 0 ? key : undefined);
      onSelectionChange === null || onSelectionChange === void 0 ? void 0 : onSelectionChange(key);
    },
    isOpen: filterState.isOpen,
    setIsOpen: function (open) {
      return setFilterOpenState(id, open);
    }
  }));
};
FilterBarSelect.displayName = 'FilterBarSelect';
exports.FilterBarSelect = FilterBarSelect;
