'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var classnames = require('classnames');
var ButtonGroup = require('../../../ButtonGroup/ButtonGroup.cjs');
var Tooltip = require('../../../Tooltip/Tooltip.cjs');
var Icon = require('../../../__next__/Icon/Icon.cjs');
var isRefObject = require('../../../utils/isRefObject.cjs');
var FilterButton = require('../FilterButton/FilterButton.cjs');
var FilterButtonBase = require('../subcomponents/FilterButtonBase/FilterButtonBase.cjs');
var FilterButtonRemovable_module = require('./FilterButtonRemovable.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var FilterButtonRemovable = React.forwardRef(function (_a, ref) {
  var _b;
  var triggerButtonProps = _a.triggerButtonProps,
    removeButtonProps = _a.removeButtonProps,
    restProps = tslib.__rest(_a, ["triggerButtonProps", "removeButtonProps"]);
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var removeButtonLabelFallback = formatMessage({
    id: 'filterButton.removable.removeButtonLabel',
    defaultMessage: 'Remove filter - {filterLabel}',
    description: 'Button label to remove a single filter from the filter bar'
  }, {
    filterLabel: triggerButtonProps === null || triggerButtonProps === void 0 ? void 0 : triggerButtonProps.label
  });
  var customRefObject = isRefObject.isRefObject(ref) ? ref.current : null;
  var removeButtonRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.removeButtonRef;
  var removeButtonLabel = (_b = removeButtonProps === null || removeButtonProps === void 0 ? void 0 : removeButtonProps.tooltipText) !== null && _b !== void 0 ? _b : removeButtonLabelFallback;
  return React__default.default.createElement(ButtonGroup.ButtonGroup, tslib.__assign({}, restProps), React__default.default.createElement(FilterButton.FilterButton, tslib.__assign({
    ref: ref
  }, triggerButtonProps)), React__default.default.createElement(Tooltip.Tooltip, {
    text: removeButtonLabel,
    display: "inline-block",
    position: "below"
  }, React__default.default.createElement(FilterButtonBase.FilterButtonBase, tslib.__assign({
    ref: removeButtonRef,
    classNameOverride: classnames__default.default(FilterButtonRemovable_module.filterButtonBase, restProps.classNameOverride)
  }, removeButtonProps), React__default.default.createElement(Icon.Icon, {
    name: "cancel",
    alt: removeButtonLabel,
    isFilled: true
  }))));
});
FilterButtonRemovable.displayName = 'FilterButtonRemovable';
exports.FilterButtonRemovable = FilterButtonRemovable;
