'use strict';

var tslib = require('tslib');
var React = require('react');
require('../../Calendar/CalendarSingle/CalendarSingle.cjs');
require('../../Calendar/CalendarRange/CalendarRange.cjs');
require('date-fns');
var formatDateAsText = require('../../Calendar/utils/formatDateAsText.cjs');
require('react-day-picker');
var getLocale = require('../../DatePicker/utils/getLocale.cjs');
var Filter = require('../Filter/Filter.cjs');
var FilterContents = require('../Filter/subcomponents/FilterContents/FilterContents.cjs');
var FilterDatePickerField = require('./subcomponents/FilterDatePickerField/FilterDatePickerField.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterDatePicker = function (_a) {
  var isOpen = _a.isOpen,
    setIsOpen = _a.setIsOpen,
    renderTrigger = _a.renderTrigger,
    selectedDate = _a.selectedDate,
    label = _a.label,
    locale = _a.locale,
    onDateSubmit = _a.onDateSubmit,
    restProps = tslib.__rest(_a, ["isOpen", "setIsOpen", "renderTrigger", "selectedDate", "label", "locale", "onDateSubmit"]);
  return React__default.default.createElement(Filter.Filter, {
    isOpen: isOpen,
    setIsOpen: setIsOpen,
    renderTrigger: function (triggerProps) {
      return renderTrigger(tslib.__assign({
        selectedValue: selectedDate ? formatDateAsText.formatDateAsText(selectedDate, undefined, getLocale.getLocale(locale)) : undefined,
        label: label
      }, triggerProps));
    }
  }, React__default.default.createElement(FilterContents.FilterContents, null, React__default.default.createElement(FilterDatePickerField.FilterDatePickerField, tslib.__assign({
    locale: locale,
    selectedDate: selectedDate,
    onDateSubmit: function (date) {
      setIsOpen(false);
      onDateSubmit === null || onDateSubmit === void 0 ? void 0 : onDateSubmit(date);
    }
  }, restProps))));
};
FilterDatePicker.displayName = 'FilterDatePicker';
exports.FilterDatePicker = FilterDatePicker;
