'use strict';

var React = require('react');
var getDateValidationHandler = require('../utils/getDateValidationHandler.cjs');
var validateDate = require('../utils/validateDate.cjs');
var useDateValidation = function (_a) {
  var inputLabel = _a.inputLabel,
    disabledDays = _a.disabledDays,
    validationMessage = _a.validationMessage,
    onValidate = _a.onValidate;
  var _b = React.useState(),
    inbuiltValidationMessage = _b[0],
    setInbuiltValidationMessage = _b[1];
  var shouldUseInbuiltDateValidation = onValidate === undefined;
  var updateValidation = getDateValidationHandler.getDateValidationHandler({
    onValidate: onValidate,
    setInbuiltValidationMessage: setInbuiltValidationMessage,
    inputLabel: inputLabel
  });
  var validateSingleDate = function (_a) {
    var date = _a.date,
      inputValue = _a.inputValue;
    return validateDate.validateDate({
      date: date,
      inputValue: inputValue,
      disabledDays: disabledDays
    });
  };
  return {
    validationMessage: shouldUseInbuiltDateValidation ? inbuiltValidationMessage : validationMessage,
    validateDate: validateSingleDate,
    updateValidation: updateValidation
  };
};
exports.useDateValidation = useDateValidation;
