'use strict';

var React = require('react');
var LabelledMessage = require('../../../LabelledMessage/LabelledMessage.cjs');
var getNodeText = require('../../../utils/getNodeText.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var getDateValidationHandler = function (_a) {
  var onValidate = _a.onValidate,
    setInbuiltValidationMessage = _a.setInbuiltValidationMessage,
    inputLabel = _a.inputLabel;
  return function (validationResponse) {
    if (onValidate) return onValidate(validationResponse);
    var validationMessage = validationResponse.validationMessage;
    if (!validationMessage) {
      setInbuiltValidationMessage(undefined);
      return;
    }
    setInbuiltValidationMessage({
      status: validationMessage.status,
      message: inputLabel ? React__default.default.createElement(LabelledMessage.LabelledMessage, {
        label: "".concat(getNodeText.getNodeText(inputLabel)),
        message: validationMessage.message
      }) : validationMessage.message
    });
  };
};
exports.getDateValidationHandler = getDateValidationHandler;
