'use strict';

var tslib = require('tslib');
require('../../../../Calendar/CalendarSingle/CalendarSingle.cjs');
require('../../../../Calendar/CalendarRange/CalendarRange.cjs');
require('date-fns');
var isInvalidDate = require('../../../../Calendar/utils/isInvalidDate.cjs');
require('react-day-picker');
var filterDatePickerFieldReducer = function (state, action) {
  var _a, _b;
  switch (action.type) {
    case 'update_selected_start_date':
      return tslib.__assign(tslib.__assign({}, state), {
        selectedStartDate: action.date,
        inputStartValue: (_a = action.inputValue) !== null && _a !== void 0 ? _a : state.inputStartValue,
        startMonth: action.date && !isInvalidDate.isInvalidDate(action.date) ? action.date : new Date()
      });
    case 'update_selected_end_date':
      return tslib.__assign(tslib.__assign({}, state), {
        selectedEndDate: action.date,
        inputEndValue: (_b = action.inputValue) !== null && _b !== void 0 ? _b : state.inputEndValue
      });
    case 'navigate_months':
      return tslib.__assign(tslib.__assign({}, state), {
        startMonth: action.date && !isInvalidDate.isInvalidDate(action.date) ? action.date : new Date()
      });
    case 'update_input_start_field':
      return tslib.__assign(tslib.__assign({}, state), {
        inputStartValue: action.inputValue
      });
    case 'update_input_end_field':
      return tslib.__assign(tslib.__assign({}, state), {
        inputEndValue: action.inputValue
      });
  }
};
exports.filterDatePickerFieldReducer = filterDatePickerFieldReducer;
