'use strict';

var tslib = require('tslib');
var React = require('react');
var MenuTriggerProvider = require('./context/MenuTriggerProvider/MenuTriggerProvider.cjs');
var SelectionProvider = require('./context/SelectionProvider/SelectionProvider.cjs');
var ListBox = require('./subcomponents/ListBox/ListBox.cjs');
var ListBoxSection = require('./subcomponents/ListBoxSection/ListBoxSection.cjs');
var LoadMoreButton = require('./subcomponents/LoadMoreButton/LoadMoreButton.cjs');
var MenuFooter = require('./subcomponents/MenuLayout/MenuFooter/MenuFooter.cjs');
var MenuLoadingSkeleton = require('./subcomponents/MenuLayout/MenuLoadingSkeleton/MenuLoadingSkeleton.cjs');
var MenuPopup = require('./subcomponents/MenuPopup/MenuPopup.cjs');
var MultiSelectOption = require('./subcomponents/MultiSelectOption/MultiSelectOption.cjs');
var NoResults = require('./subcomponents/NoResults/NoResults.cjs');
var SearchInput = require('./subcomponents/SearchInput/SearchInput.cjs');
var SectionDivider = require('./subcomponents/SectionDivider/SectionDivider.cjs');
var ClearButton = require('./subcomponents/SelectionControlButton/ClearButton/ClearButton.cjs');
var SelectAllButton = require('./subcomponents/SelectionControlButton/SelectAllButton/SelectAllButton.cjs');
var FilterTriggerButton = require('./subcomponents/Trigger/FilterTriggerButton/FilterTriggerButton.cjs');
var RemovableFilterTrigger = require('./subcomponents/Trigger/RemovableFilterTrigger/RemovableFilterTrigger.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterMultiSelect = function (_a) {
  var trigger = _a.trigger,
    children = _a.children,
    isOpen = _a.isOpen,
    defaultOpen = _a.defaultOpen,
    onOpenChange = _a.onOpenChange,
    isLoading = _a.isLoading,
    loadingSkeleton = _a.loadingSkeleton,
    label = _a.label,
    items = _a.items,
    selectedKeys = _a.selectedKeys,
    defaultSelectedKeys = _a.defaultSelectedKeys,
    onSelectionChange = _a.onSelectionChange,
    _b = _a.selectionMode,
    selectionMode = _b === void 0 ? 'multiple' : _b,
    onSearchInputChange = _a.onSearchInputChange,
    triggerRef = _a.triggerRef,
    className = _a.className;
  var menuTriggerProps = {
    isOpen: isOpen,
    defaultOpen: defaultOpen,
    onOpenChange: onOpenChange,
    triggerRef: triggerRef
  };
  var menuPopupProps = {
    isLoading: isLoading,
    loadingSkeleton: loadingSkeleton
  };
  var disabledKeys = new Set(items === null || items === void 0 ? void 0 : items.filter(function (item) {
    return item.isDisabled === true;
  }).map(function (disabledItem) {
    return disabledItem.value;
  }));
  var selectionProps = {
    label: label,
    items: items,
    selectedKeys: selectedKeys,
    defaultSelectedKeys: defaultSelectedKeys,
    onSelectionChange: onSelectionChange,
    selectionMode: selectionMode,
    disabledKeys: disabledKeys,
    onSearchInputChange: onSearchInputChange
  };
  return React__default.default.createElement(MenuTriggerProvider.MenuTriggerProvider, tslib.__assign({}, menuTriggerProps), React__default.default.createElement("div", {
    className: className
  }, React__default.default.createElement(MenuTriggerProvider.MenuTriggerConsumer, null, trigger), React__default.default.createElement(MenuPopup.MenuPopup, tslib.__assign({}, menuPopupProps), React__default.default.createElement(SelectionProvider.SelectionProvider, tslib.__assign({}, selectionProps), React__default.default.createElement(SelectionProvider.SelectionConsumer, null, children)))));
};
FilterMultiSelect.displayName = 'FilterMultiSelect';
FilterMultiSelect.TriggerButton = FilterTriggerButton.FilterTriggerButton;
FilterMultiSelect.RemovableTrigger = RemovableFilterTrigger.RemovableFilterTrigger;
FilterMultiSelect.SearchInput = SearchInput.SearchInput;
FilterMultiSelect.ListBox = ListBox.ListBox;
FilterMultiSelect.ListBoxSection = ListBoxSection.ListBoxSection;
FilterMultiSelect.SectionDivider = SectionDivider.SectionDivider;
FilterMultiSelect.Option = MultiSelectOption.MultiSelectOption;
FilterMultiSelect.SelectAllButton = SelectAllButton.SelectAllButton;
FilterMultiSelect.ClearButton = ClearButton.ClearButton;
FilterMultiSelect.MenuFooter = MenuFooter.MenuFooter; // For layout
FilterMultiSelect.MenuLoadingSkeleton = MenuLoadingSkeleton.MenuLoadingSkeleton; // Menu Loading Skeleton example
FilterMultiSelect.LoadMoreButton = LoadMoreButton.LoadMoreButton;
FilterMultiSelect.NoResults = NoResults.NoResults;
exports.FilterMultiSelect = FilterMultiSelect;
