'use strict';

var React = require('react');
var button = require('@react-aria/button');
var menu$1 = require('@react-aria/menu');
var menu = require('@react-stately/menu');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var MenuTriggerContext = React__default.default.createContext({});
function MenuTriggerProvider(_a) {
  var isOpen = _a.isOpen,
    defaultOpen = _a.defaultOpen,
    onOpenChange = _a.onOpenChange,
    children = _a.children,
    triggerRef = _a.triggerRef;
  // Create state based on the incoming props to manage the open/close
  var state = menu.useMenuTriggerState({
    isOpen: isOpen,
    defaultOpen: defaultOpen,
    onOpenChange: onOpenChange
  });
  // Get A11y attributes and events for the menu trigger and menu elements
  var fallbackRef = React.useRef(null);
  var ref = triggerRef !== null && triggerRef !== void 0 ? triggerRef : fallbackRef;
  var _b = menu$1.useMenuTrigger({}, state, ref),
    menuTriggerProps = _b.menuTriggerProps,
    menuProps = _b.menuProps;
  // Get A11y attributes and events for the button based on the trigger props from useMenuTrigger
  var buttonProps = button.useButton(menuTriggerProps, ref).buttonProps;
  return React__default.default.createElement(MenuTriggerContext.Provider, {
    value: {
      menuTriggerProps: menuTriggerProps,
      buttonProps: buttonProps,
      menuProps: menuProps,
      menuTriggerState: state,
      buttonRef: ref
    }
  }, children);
}
var useMenuTriggerContext = function () {
  return React.useContext(MenuTriggerContext);
};
var MenuTriggerConsumer = function (_a) {
  var children = _a.children;
  return React__default.default.createElement(MenuTriggerContext.Consumer, null, children);
};
exports.MenuTriggerConsumer = MenuTriggerConsumer;
exports.MenuTriggerProvider = MenuTriggerProvider;
exports.useMenuTriggerContext = useMenuTriggerContext;
