'use strict';

var tslib = require('tslib');
var React = require('react');
var VisuallyHidden = require('../../../../VisuallyHidden/VisuallyHidden.cjs');
var ListBoxSection_module = require('./ListBoxSection.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var ListBoxSection = function (_a) {
  var items = _a.items,
    children = _a.children,
    sectionName = _a.sectionName,
    restProps = tslib.__rest(_a, ["items", "children", "sectionName"]);
  var listSectionId = React.useId();
  var hasSectionHeader = 'sectionHeader' in restProps;
  return React__default.default.createElement("li", {
    role: "presentation"
  }, React__default.default.createElement("ul", {
    className: ListBoxSection_module.listBoxSection,
    "aria-label": !hasSectionHeader ? sectionName : undefined,
    "aria-labelledby": hasSectionHeader ? listSectionId : undefined,
    role: "group"
  }, hasSectionHeader && React__default.default.createElement("li", {
    className: ListBoxSection_module.listBoxSectionHeader,
    id: listSectionId,
    role: "presentation"
  }, sectionName && React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, sectionName, ". "), restProps.sectionHeader), Array.from(items).map(function (node) {
    return node != undefined && children(node);
  })));
};
ListBoxSection.displayName = 'ListBoxSection';
exports.ListBoxSection = ListBoxSection;
