'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var focus = require('@react-aria/focus');
var listbox = require('@react-aria/listbox');
var utils = require('@react-aria/utils');
var classnames = require('classnames');
var Badge = require('../../../../Badge/Badge.cjs');
var VisuallyHidden = require('../../../../VisuallyHidden/VisuallyHidden.cjs');
var Icon = require('../../../../__next__/Icon/Icon.cjs');
require('../../context/MenuTriggerProvider/MenuTriggerProvider.cjs');
var SelectionProvider = require('../../context/SelectionProvider/SelectionProvider.cjs');
var MultiSelectOption_module = require('./MultiSelectOption.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var MultiSelectOption = function (_a) {
  var _b, _c, _d;
  var classNameOverride = _a.classNameOverride,
    item = _a.item;
  var state = SelectionProvider.useSelectionContext().selectionState;
  // Get props for the option element
  var ref = React__default.default.createRef();
  var _e = listbox.useOption({
      key: item.key
    }, state, ref),
    optionProps = _e.optionProps,
    isSelected = _e.isSelected,
    isDisabled = _e.isDisabled;
  // Determine whether we should show a keyboard
  // focus ring for accessibility
  var _f = focus.useFocusRing(),
    isFocusVisible = _f.isFocusVisible,
    focusProps = _f.focusProps;
  var countElementId = React.useId();
  var formatNumber = i18nReactIntl.useIntl().formatNumber;
  return React__default.default.createElement("li", tslib.__assign({}, utils.mergeProps(optionProps, focusProps), {
    ref: ref,
    className: classnames__default.default(MultiSelectOption_module.option, classNameOverride, isSelected && MultiSelectOption_module.isSelected, isFocusVisible && MultiSelectOption_module.isFocusVisible, isDisabled && MultiSelectOption_module.isDisabled),
    "aria-label": (_b = item.value) === null || _b === void 0 ? void 0 : _b.label,
    "aria-describedby": ((_c = item.value) === null || _c === void 0 ? void 0 : _c.count) ? countElementId : undefined
  }), React__default.default.createElement("span", {
    className: classnames__default.default(MultiSelectOption_module.icon, isSelected && MultiSelectOption_module.isSelected)
  }, isSelected && React__default.default.createElement(Icon.Icon, {
    name: "check",
    isPresentational: true
  })), item.rendered, ((_d = item.value) === null || _d === void 0 ? void 0 : _d.count) && React__default.default.createElement("span", {
    id: countElementId,
    className: MultiSelectOption_module.badgeContainer
  }, React__default.default.createElement(i18nReactIntl.FormattedMessage, {
    defaultMessage: "<Badge>{count}</Badge><VisuallyHidden> available</VisuallyHidden>",
    id: "filterMultiSelectMultiSelectOption.available",
    description: "Number of filter items available",
    values: {
      count: formatNumber(parseInt(item.value.count)),
      Badge: function (children) {
        return React__default.default.createElement(Badge.Badge, {
          classNameOverride: MultiSelectOption_module.badge
        }, children);
      },
      VisuallyHidden: function (children) {
        return React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, children);
      }
    }
  })));
};
MultiSelectOption.displayName = 'FilterMultiSelect.Option';
exports.MultiSelectOption = MultiSelectOption;
