'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var classnames = require('classnames');
require('../../../context/MenuTriggerProvider/MenuTriggerProvider.cjs');
var SelectionProvider = require('../../../context/SelectionProvider/SelectionProvider.cjs');
var SelectionControlButton_module = require('../SelectionControlButton.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var SelectAllButton = function () {
  var selectionState = SelectionProvider.useSelectionContext().selectionState;
  var selectedOptions = Array.from(selectionState.selectionManager.selectedKeys);
  var disabledOptions = selectionState.disabledKeys ? Array.from(selectionState.disabledKeys) : [];
  var filteredOptions = Array.from(selectionState.collection.getKeys()).filter(function (key) {
    return !disabledOptions.includes(key);
  });
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  return React__default.default.createElement("button", {
    type: "button",
    className: classnames__default.default(SelectionControlButton_module.button, selectionState.selectionManager.isSelectAll && SelectionControlButton_module.isDisabled),
    "aria-disabled": selectionState.selectionManager.isSelectAll,
    onClick: function () {
      return !selectionState.selectionManager.isSelectAll && selectionState.selectionManager.setSelectedKeys(tslib.__spreadArray(tslib.__spreadArray([], selectedOptions, true), filteredOptions, true));
    }
  }, formatMessage({
    defaultMessage: 'Select all',
    id: 'filterMultiSelectSelectAllButton.label',
    description: 'Select all button in filter multi select'
  }));
};
SelectAllButton.displayName = 'FilterMultiSelect.SelectAllButton';
exports.SelectAllButton = SelectAllButton;
