'use strict';

var tslib = require('tslib');
var React = require('react');
require('../../../../FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.cjs');
var FilterButton = require('../../../../FilterButton/FilterButton/FilterButton.cjs');
require('../../../../FilterButton/FilterButtonRemovable/FilterButtonRemovable.cjs');
var MenuTriggerProvider = require('../../../context/MenuTriggerProvider/MenuTriggerProvider.cjs');
require('../../../context/SelectionProvider/SelectionProvider.cjs');
var getTruncatedLabel = require('../../../utils/getTruncatedLabel.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterTriggerButton = function (_a) {
  var selectedOptionLabels = _a.selectedOptionLabels,
    label = _a.label,
    classNameOverride = _a.classNameOverride,
    _b = _a.labelCharacterLimitBeforeTruncate,
    labelCharacterLimitBeforeTruncate = _b === void 0 ? 50 : _b;
  var _c = MenuTriggerProvider.useMenuTriggerContext(),
    buttonProps = _c.buttonProps,
    buttonRef = _c.buttonRef,
    menuTriggerState = _c.menuTriggerState;
  var ref = React.useRef({
    triggerRef: buttonRef
  });
  return React__default.default.createElement(FilterButton.FilterButton, tslib.__assign({
    ref: ref
  }, buttonProps, {
    label: label,
    selectedValue: getTruncatedLabel.getTruncatedLabels(selectedOptionLabels, labelCharacterLimitBeforeTruncate),
    classNameOverride: classNameOverride,
    isOpen: menuTriggerState.isOpen
  }));
};
FilterTriggerButton.displayName = 'FilterMultiSelect.TriggerButton';
exports.FilterTriggerButton = FilterTriggerButton;
