'use strict';

var tslib = require('tslib');
var React = require('react');
var button = require('@react-aria/button');
var select$1 = require('@react-aria/select');
var select = require('@react-stately/select');
var Filter = require('../Filter/Filter.cjs');
var FilterContents = require('../Filter/subcomponents/FilterContents/FilterContents.cjs');
var SelectContext = require('../../__next__/Select/context/SelectContext.cjs');
require('../../__next__/Select/subcomponents/ListBox/ListBox.cjs');
var ListBoxSection = require('../../__next__/Select/subcomponents/ListBoxSection/ListBoxSection.cjs');
var ListItem = require('../../__next__/Select/subcomponents/ListItem/ListItem.cjs');
require('../../__next__/Select/subcomponents/ListItems/ListItems.cjs');
var Option = require('../../__next__/Select/subcomponents/Option/Option.cjs');
require('../../__next__/Select/subcomponents/Overlay/Overlay.cjs');
var SectionDivider = require('../../__next__/Select/subcomponents/SectionDivider/SectionDivider.cjs');
var SelectPopoverContents = require('../../__next__/Select/subcomponents/SelectPopoverContents/SelectPopoverContents.cjs');
require('../../__next__/Select/subcomponents/SelectToggle/SelectToggle.cjs');
var getDisabledKeysFromItems = require('../../__next__/Select/utils/getDisabledKeysFromItems.cjs');
var transformSelectItemToCollectionElement = require('../../__next__/Select/utils/transformSelectItemToCollectionElement.cjs');
var FilterSelect_module = require('./FilterSelect.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterSelect = function (_a) {
  var isOpen = _a.isOpen,
    setIsOpen = _a.setIsOpen,
    renderTrigger = _a.renderTrigger,
    label = _a.label,
    children = _a.children,
    items = _a.items,
    classNameOverride = _a.classNameOverride,
    selectedKey = _a.selectedKey,
    restProps = tslib.__rest(_a, ["isOpen", "setIsOpen", "renderTrigger", "label", "children", "items", "classNameOverride", "selectedKey"]);
  // Ref will be populated by Filter
  var _b = React.useState({
      current: null
    }),
    triggerRef = _b[0],
    setTriggerRef = _b[1];
  var disabledKeys = getDisabledKeysFromItems.getDisabledKeysFromItems(items);
  var ariaSelectProps = tslib.__assign({
    label: label,
    items: items,
    children: transformSelectItemToCollectionElement.transformSelectItemToCollectionElement,
    isOpen: isOpen,
    onOpenChange: setIsOpen,
    disabledKeys: disabledKeys,
    selectedKey: typeof selectedKey === 'number' ? selectedKey.toString() : selectedKey
  }, restProps);
  var state = select.useSelectState(ariaSelectProps);
  var _c = select$1.useSelect(ariaSelectProps, state, triggerRef),
    triggerProps = _c.triggerProps,
    menuProps = _c.menuProps;
  var buttonProps = button.useButton(triggerProps, triggerRef).buttonProps;
  // `aria-labelledby` and `aria-controls` are being remapped because the `buttonProps` ids generated by React Aria point to nothing.
  // This should ideally be refactored but for now the `aria-controls` is set to the Filter's Listbox (menuProps.id) and the `aria-labelledby` to undefined so the accessible name is derived from the buttons content.
  var renderTriggerButtonProps = tslib.__assign(tslib.__assign({}, buttonProps), {
    'aria-labelledby': undefined,
    'aria-controls': menuProps.id
  });
  return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement(select$1.HiddenSelect, {
    label: label,
    state: state,
    triggerRef: triggerRef
  }), React__default.default.createElement(Filter.Filter, {
    isOpen: isOpen,
    setIsOpen: setIsOpen,
    renderTrigger: function () {
      var _a;
      return renderTrigger(tslib.__assign({
        selectedValue: (_a = state.selectedItem) === null || _a === void 0 ? void 0 : _a.textValue,
        label: label,
        isOpen: isOpen
      }, renderTriggerButtonProps));
    },
    onMount: setTriggerRef,
    classNameOverride: classNameOverride
  }, React__default.default.createElement(FilterContents.FilterContents, {
    classNameOverride: FilterSelect_module.filterContents
  }, React__default.default.createElement(SelectContext.SelectProvider, {
    state: state
  }, React__default.default.createElement(SelectPopoverContents.SelectPopoverContents, {
    menuProps: tslib.__assign(tslib.__assign({}, menuProps), {
      'aria-labelledby': buttonProps.id
    })
  }, children)))));
};
FilterSelect.displayName = 'FilterSelect';
FilterSelect.Section = ListBoxSection.ListBoxSection;
FilterSelect.SectionDivider = SectionDivider.SectionDivider;
FilterSelect.Option = Option.Option;
FilterSelect.ItemDefaultRender = ListItem.ListItem;
exports.FilterSelect = FilterSelect;
