'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var reactAria = require('react-aria');
var Focusable_module = require('./Focusable.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var Focusable = function (_a) {
  var children = _a.children,
    className = _a.className,
    props = tslib.__rest(_a, ["children", "className"]);
  var ref = React.useRef(null);
  var focusableProps = reactAria.useFocusable(props, ref).focusableProps;
  return React__default.default.createElement("div", tslib.__assign({
    ref: ref,
    className: classnames__default.default(Focusable_module.focusableWrapper, className)
  }, focusableProps, {
    "data-inline-hidden-content": true,
    // We want the div to be focusable for keyboard users,
    // but screen readers will have the VisuallyHidden content
    // eslint-disable-next-line jsx-a11y/no-noninteractive-tabindex
    tabIndex: 0,
    "aria-describedby": undefined
  }, props), children);
};
exports.Focusable = Focusable;
