'use strict';

var tslib = require('tslib');
var React = require('react');
var Base = require('../subcomponents/Base/Base.cjs');
var VideoPlayer = require('../subcomponents/VideoPlayer/VideoPlayer.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

// Brand Moments
var BrandMomentPositiveOutro = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/brand-moments-positive-outro",
      source: "illustrations/heart/scene/brand-moments-positive-outro"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/brand-moments-positive-outro.png"
  }));
};
BrandMomentPositiveOutro.displayName = 'BrandMomentPositiveOutro';
var BrandMomentLogin = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/brand-moments-login",
      source: "illustrations/heart/scene/brand-moments-login"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/brand-moments-login.png"
  }));
};
BrandMomentLogin.displayName = 'BrandMomentLogin';
var BrandMomentError = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/brand-moments-error",
      source: "illustrations/heart/scene/brand-moments-error"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/brand-moments-error.png"
  }));
};
BrandMomentError.displayName = 'BrandMomentError';
var BrandMomentNewAccountOnboarding = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/brand-moments-new-account-onboarding.svg"
  }));
};
BrandMomentNewAccountOnboarding.displayName = 'BrandMomentNewAccountOnboarding';
var BrandMomentUploadEmployeeData = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/brand-moments-upload-employee-data.svg"
  }));
};
BrandMomentUploadEmployeeData.displayName = 'BrandMomentUploadEmployeeData';
var BrandMomentStarterKit = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/brand-moments-starter-kit.svg"
  }));
};
BrandMomentStarterKit.displayName = 'BrandMomentStarterKit';
// Empty States
var EmptyStatesAction = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/empty-states-action",
      source: "illustrations/heart/scene/empty-states-action"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/empty-states-action.svg"
  }));
};
EmptyStatesAction.displayName = 'EmptyStatesAction';
var EmptyStatesInformative = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/empty-states-informative",
      source: "illustrations/heart/scene/empty-states-informative"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/empty-states-informative.svg"
  }));
};
EmptyStatesInformative.displayName = 'EmptyStatesInformative';
var EmptyStatesNegative = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/empty-states-negative",
      source: "illustrations/heart/scene/empty-states-negative"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/empty-states-negative.svg"
  }));
};
EmptyStatesNegative.displayName = 'EmptyStatesNegative';
var EmptyStatesPositive = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/empty-states-positive",
      source: "illustrations/heart/scene/empty-states-positive"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/empty-states-positive.svg"
  }));
};
EmptyStatesPositive.displayName = 'EmptyStatesPositive';
var EmptyStatesNeutral = function (_a) {
  var isAnimated = _a.isAnimated,
    enableAspectRatio = _a.enableAspectRatio,
    alt = _a.alt,
    otherProps = tslib.__rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
  if (isAnimated) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, otherProps, {
      fallback: "illustrations/heart/scene/empty-states-neutral",
      source: "illustrations/heart/scene/empty-states-neutral"
    }));
  }
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined,
    alt: alt !== null && alt !== void 0 ? alt : ''
  }, otherProps, {
    name: "illustrations/heart/scene/empty-states-neutral.svg"
  }));
};
EmptyStatesNeutral.displayName = 'EmptyStatesNeutral';
// Information Modals
var Information360Upgrade = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-360-upgrade.svg"
  }));
};
Information360Upgrade.displayName = 'Information360Upgrade';
var InformationDemographicFocus = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-demographic-focus.svg"
  }));
};
InformationDemographicFocus.displayName = 'InformationDemographicFocus';
var InformationTurnoverCalculator = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-turnover-calculator.svg"
  }));
};
InformationTurnoverCalculator.displayName = 'InformationTurnoverCalculator';
var InformationTurnoverForecast = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-turnover-forecast.svg"
  }));
};
InformationTurnoverForecast.displayName = 'InformationTurnoverForecast';
var InformationEmergingTrends = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-emerging-trends.svg"
  }));
};
InformationEmergingTrends.displayName = 'InformationEmergingTrends';
var InformationEmployeeLifecycle = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-employee-lifecycle.svg"
  }));
};
InformationEmployeeLifecycle.displayName = 'InformationEmployeeLifecycle';
var InformationReportOwner = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-report-owner.svg"
  }));
};
InformationReportOwner.displayName = 'InformationReportOwner';
var InformationReportOwnerByRule = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/information-modals-report-owner-by-rule.svg"
  }));
};
InformationReportOwnerByRule.displayName = 'InformationReportOwnerByRule';
// Miscellaneous
var Collaboration = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/miscellaneous-collaboration.svg"
  }));
};
Collaboration.displayName = 'Collaboration';
var Communication = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/miscellaneous-communications.svg"
  }));
};
Communication.displayName = 'Communication';
var CompanyValues = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/miscellaneous-company-values.svg"
  }));
};
CompanyValues.displayName = 'CompanyValues';
var ConnectTheDots = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/miscellaneous-connect-the-dots.svg"
  }));
};
ConnectTheDots.displayName = 'ConnectTheDots';
var CultureLab = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/miscellaneous-culture-lab.svg"
  }));
};
CultureLab.displayName = 'CultureLab';
var TermsAgreement = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/miscellaneous-terms-agreement.svg"
  }));
};
TermsAgreement.displayName = 'TermsAgreement';
// Skills Coach
var SkillsCoach1On1Meetings = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-1-on-1-meetings.svg"
  }));
};
SkillsCoach1On1Meetings.displayName = 'SkillsCoach1On1Meetings';
var SkillsCoachCoaching = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-coaching.svg"
  }));
};
SkillsCoachCoaching.displayName = 'SkillsCoachCoaching';
var SkillsCoachEmployeeDevelopment = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-employee-development.svg"
  }));
};
SkillsCoachEmployeeDevelopment.displayName = 'SkillsCoachEmployeeDevelopment';
var SkillsCoachEssentialFeedback = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-essential-feedback.svg"
  }));
};
SkillsCoachEssentialFeedback.displayName = 'SkillsCoachEssentialFeedback';
var SkillsCoachEssentialProductivity = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-essential-productivity.svg"
  }));
};
SkillsCoachEssentialProductivity.displayName = 'SkillsCoachEssentialProductivity';
var SkillsCoachEssentialResilience = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-essential-resilience.svg"
  }));
};
SkillsCoachEssentialResilience.displayName = 'SkillsCoachEssentialResilience';
var SkillsCoachInfluentialCommunication = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-influential-communication.svg"
  }));
};
SkillsCoachInfluentialCommunication.displayName = 'SkillsCoachInfluentialCommunication';
var SkillsCoachLeadingChange = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-leading-change.svg"
  }));
};
SkillsCoachLeadingChange.displayName = 'SkillsCoachLeadingChange';
var SkillsCoachFeedback = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-feedback.svg"
  }));
};
SkillsCoachFeedback.displayName = 'SkillsCoachFeedback';
var SkillsCoachManagerHub = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-manager-hub.svg"
  }));
};
SkillsCoachManagerHub.displayName = 'SkillsCoachManagerHub';
var SkillsCoachProductivity = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-productivity.svg"
  }));
};
SkillsCoachProductivity.displayName = 'SkillsCoachProductivity';
var SkillsCoachRemoteManager = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-remote-manager.svg"
  }));
};
SkillsCoachRemoteManager.displayName = 'SkillsCoachRemoteManager';
var SkillsCoachResilience = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-resilience.svg"
  }));
};
SkillsCoachResilience.displayName = 'SkillsCoachResilience';
var SkillsCoachStrategy = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/skills-coach-strategy.svg"
  }));
};
SkillsCoachStrategy.displayName = 'SkillsCoachStrategy';
// Engagement
var Programs = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/engagement-programs.svg"
  }));
};
Programs.displayName = 'Programs';
var EngagementSurveySummaryFemale = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/engagement-survey-summary-female.svg"
  }));
};
EngagementSurveySummaryFemale.displayName = 'EngagementSurveySummaryFemale';
var EngagementSurveySummaryMale = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/engagement-survey-summary-male.svg"
  }));
};
EngagementSurveySummaryMale.displayName = 'EngagementSurveySummaryMale';
var SurveyOverviewClosed = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/survey-overview-closed.svg"
  }));
};
SurveyOverviewClosed.displayName = 'SurveyOverviewClosed';
var SurveyGetStarted = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'portrait' : undefined
  }, props, {
    name: "illustrations/heart/scene/getting-started.svg"
  }));
};
SurveyGetStarted.displayName = 'SurveyGetStarted';
var PerformanceCompanySettings = function (_a) {
  var enableAspectRatio = _a.enableAspectRatio,
    props = tslib.__rest(_a, ["enableAspectRatio"]);
  return React__default.default.createElement(Base.Base, tslib.__assign({
    aspectRatio: enableAspectRatio ? 'landscape' : undefined
  }, props, {
    name: "illustrations/heart/scene/performance-company-settings.svg"
  }));
};
PerformanceCompanySettings.displayName = 'PerformanceCompanySettings';
exports.BrandMomentError = BrandMomentError;
exports.BrandMomentLogin = BrandMomentLogin;
exports.BrandMomentNewAccountOnboarding = BrandMomentNewAccountOnboarding;
exports.BrandMomentPositiveOutro = BrandMomentPositiveOutro;
exports.BrandMomentStarterKit = BrandMomentStarterKit;
exports.BrandMomentUploadEmployeeData = BrandMomentUploadEmployeeData;
exports.Collaboration = Collaboration;
exports.Communication = Communication;
exports.CompanyValues = CompanyValues;
exports.ConnectTheDots = ConnectTheDots;
exports.CultureLab = CultureLab;
exports.EmptyStatesAction = EmptyStatesAction;
exports.EmptyStatesInformative = EmptyStatesInformative;
exports.EmptyStatesNegative = EmptyStatesNegative;
exports.EmptyStatesNeutral = EmptyStatesNeutral;
exports.EmptyStatesPositive = EmptyStatesPositive;
exports.EngagementSurveySummaryFemale = EngagementSurveySummaryFemale;
exports.EngagementSurveySummaryMale = EngagementSurveySummaryMale;
exports.Information360Upgrade = Information360Upgrade;
exports.InformationDemographicFocus = InformationDemographicFocus;
exports.InformationEmergingTrends = InformationEmergingTrends;
exports.InformationEmployeeLifecycle = InformationEmployeeLifecycle;
exports.InformationReportOwner = InformationReportOwner;
exports.InformationReportOwnerByRule = InformationReportOwnerByRule;
exports.InformationTurnoverCalculator = InformationTurnoverCalculator;
exports.InformationTurnoverForecast = InformationTurnoverForecast;
exports.PerformanceCompanySettings = PerformanceCompanySettings;
exports.Programs = Programs;
exports.SkillsCoach1On1Meetings = SkillsCoach1On1Meetings;
exports.SkillsCoachCoaching = SkillsCoachCoaching;
exports.SkillsCoachEmployeeDevelopment = SkillsCoachEmployeeDevelopment;
exports.SkillsCoachEssentialFeedback = SkillsCoachEssentialFeedback;
exports.SkillsCoachEssentialProductivity = SkillsCoachEssentialProductivity;
exports.SkillsCoachEssentialResilience = SkillsCoachEssentialResilience;
exports.SkillsCoachFeedback = SkillsCoachFeedback;
exports.SkillsCoachInfluentialCommunication = SkillsCoachInfluentialCommunication;
exports.SkillsCoachLeadingChange = SkillsCoachLeadingChange;
exports.SkillsCoachManagerHub = SkillsCoachManagerHub;
exports.SkillsCoachProductivity = SkillsCoachProductivity;
exports.SkillsCoachRemoteManager = SkillsCoachRemoteManager;
exports.SkillsCoachResilience = SkillsCoachResilience;
exports.SkillsCoachStrategy = SkillsCoachStrategy;
exports.SurveyGetStarted = SurveyGetStarted;
exports.SurveyOverviewClosed = SurveyOverviewClosed;
exports.TermsAgreement = TermsAgreement;
