'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Text = require('../../Text/Text.cjs');
var VisuallyHidden = require('../../VisuallyHidden/VisuallyHidden.cjs');
var InputRange_module = require('./InputRange.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.design/?path=/docs/components-input-range--docs Storybook}
 */
var InputRange = function (_a) {
  var id = _a.id,
    defaultValue = _a.defaultValue,
    value = _a.value,
    minLabel = _a.minLabel,
    maxLabel = _a.maxLabel,
    _b = _a.min,
    min = _b === void 0 ? 1 : _b,
    _c = _a.max,
    max = _c === void 0 ? 10 : _c,
    onChange = _a.onChange,
    ariaDescribedby = _a["aria-describedby"],
    classNameOverride = _a.classNameOverride,
    disabled = _a.disabled,
    readOnly = _a.readOnly,
    restProps = tslib.__rest(_a, ["id", "defaultValue", "value", "minLabel", "maxLabel", "min", "max", "onChange", 'aria-describedby', "classNameOverride", "disabled", "readOnly"]);
  var _d = React.useState(0.5),
    step = _d[0],
    setStep = _d[1]; // Let the dot center between the notch initially
  var visuallyHiddenHintId = "".concat(id, "-helper");
  var readOnlyWithNoValue = readOnly && !value && !defaultValue;
  // This has been split out into a different variable to allow usage of defaultValue above^
  // Plus it lets us use max from props with its default value
  var defaultValueWithDefault = defaultValue !== null && defaultValue !== void 0 ? defaultValue : (max + 1) / 2;
  return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("input", tslib.__assign({
    id: id,
    className: classnames__default.default(InputRange_module.ratingScaleRange, classNameOverride, readOnlyWithNoValue && InputRange_module.hideThumb, disabled && InputRange_module.disabled),
    disabled: disabled !== null && disabled !== void 0 ? disabled : readOnly,
    type: "range",
    min: min,
    max: max,
    step: step,
    defaultValue: value ? undefined : defaultValueWithDefault,
    value: value,
    "aria-valuenow": value,
    "aria-valuemin": min,
    "aria-valuemax": max,
    "aria-describedby": "".concat(visuallyHiddenHintId, " ").concat(ariaDescribedby !== null && ariaDescribedby !== void 0 ? ariaDescribedby : ''),
    onChange: function (e) {
      setStep(1); // Put the stepper to 1 to avoid floating value
      onChange === null || onChange === void 0 ? void 0 : onChange(e);
    }
  }, restProps)), React__default.default.createElement("div", {
    className: classnames__default.default(InputRange_module.spokes, disabled && InputRange_module.disabled)
  }, tslib.__spreadArray([], Array(max), true).map(function (_, index) {
    return React__default.default.createElement("div", {
      key: "".concat(id, "-spoke-").concat(index),
      className: InputRange_module.spokeContainer
    }, React__default.default.createElement("div", {
      className: InputRange_module.spoke
    }));
  })), React__default.default.createElement(VisuallyHidden.VisuallyHidden, {
    id: visuallyHiddenHintId
  }, min, " is ", minLabel, ", ", max, " is ", maxLabel), React__default.default.createElement("div", {
    className: InputRange_module.labelsContainer
  }, !readOnlyWithNoValue && React__default.default.createElement("div", {
    className: classnames__default.default(InputRange_module.sliderLabels, disabled && InputRange_module.disabled)
  }, React__default.default.createElement(Text.Text, {
    variant: "small",
    color: "dark-reduced-opacity",
    tag: "span"
  }, minLabel), React__default.default.createElement(Text.Text, {
    variant: "small",
    color: "dark-reduced-opacity",
    tag: "span"
  }, maxLabel))));
};
InputRange.displayName = 'InputRange';
exports.InputRange = InputRange;
