'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var classnames = require('classnames');
var ClearButton = require('../../ClearButton/ClearButton.cjs');
require('../../Loading/LoadingGraphic/LoadingGraphic.cjs');
require('../../Loading/LoadingHeading/LoadingHeading.cjs');
require('../../Loading/LoadingInput/LoadingInput.cjs');
require('../../Loading/LoadingParagraph/LoadingParagraph.cjs');
var LoadingSpinner = require('../../Loading/LoadingSpinner/LoadingSpinner.cjs');
var Icon = require('../../__next__/Icon/Icon.cjs');
var InputSearch_module = require('./InputSearch.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var InputSearch = function (props) {
  var value = props.value,
    onChange = props.onChange,
    onClear = props.onClear,
    classNameOverride = props.classNameOverride,
    disabled = props.disabled,
    _a = props.reversed,
    reversed = _a === void 0 ? false : _a,
    _b = props.loading,
    loading = _b === void 0 ? false : _b,
    _c = props.secondary,
    secondary = _c === void 0 ? false : _c,
    restProps = tslib.__rest(props, ["value", "onChange", "onClear", "classNameOverride", "disabled", "reversed", "loading", "secondary"]);
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var inputRef = React.useRef(null);
  var handleOnClear = function () {
    var _a;
    (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    onClear === null || onClear === void 0 ? void 0 : onClear();
  };
  var clearButtonLabel = formatMessage({
    id: 'inputSearch.clear',
    defaultMessage: 'Clear search',
    description: 'Label for the clear search button'
  });
  return React__default.default.createElement("div", {
    className: classnames__default.default(InputSearch_module.wrapper, secondary ? InputSearch_module.secondary : InputSearch_module.default, reversed && InputSearch_module.reversed, disabled && InputSearch_module.disabled, value && InputSearch_module.hasEndIconAdornment, classNameOverride)
  }, React__default.default.createElement("div", {
    className: InputSearch_module.startIconAdornment
  }, loading ? React__default.default.createElement(LoadingSpinner.LoadingSpinner, {
    accessibilityLabel: "",
    size: "sm",
    classNameOverride: InputSearch_module.loadingSpinner
  }) : React__default.default.createElement(Icon.Icon, {
    name: "search",
    isPresentational: true
  })), React__default.default.createElement("input", tslib.__assign({
    ref: inputRef,
    type: "search",
    className: InputSearch_module.input,
    disabled: disabled,
    value: value,
    onChange: onChange,
    readOnly: onChange === undefined
  }, restProps)), value && React__default.default.createElement(ClearButton.ClearButton, {
    isReversed: reversed,
    onClick: handleOnClear,
    disabled: disabled,
    classNameOverride: InputSearch_module.endIconAdornment,
    "aria-label": clearButtonLabel
  }));
};
InputSearch.displayName = 'InputSearch';
exports.InputSearch = InputSearch;
