'use strict';

var React = require('react');
require('../Notification/InlineNotification/InlineNotification.cjs');
require('../Notification/GlobalNotification/GlobalNotification.cjs');
require('../Notification/ToastNotification/ToastNotification/ToastNotification.cjs');
var ToastNotificationsList = require('../Notification/ToastNotification/ToastNotificationsList/ToastNotificationsList.cjs');
var ToastNotificationContext = require('../Notification/ToastNotification/context/ToastNotificationContext.cjs');
var FontDefinitions = require('./subcomponents/FontDefinitions/FontDefinitions.cjs');
var OptionalIntlProvider = require('./subcomponents/OptionalIntlProvider/OptionalIntlProvider.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var KaizenProvider = function (_a) {
  var children = _a.children,
    _b = _a.locale,
    locale = _b === void 0 ? 'en' : _b;
  var _c = React.useState(false),
    documentIsAvailable = _c[0],
    setDocumentIsAvailable = _c[1];
  React.useEffect(function () {
    // SSR does not have a document, which is required for ToastNotificationsList.
    // Await document render before rendering the component.
    if (document !== undefined) {
      setDocumentIsAvailable(true);
    }
  }, []);
  return React__default.default.createElement(OptionalIntlProvider.OptionalIntlProvider, {
    locale: locale
  }, React__default.default.createElement(ToastNotificationContext.ToastNotificationProvider, null, documentIsAvailable && React__default.default.createElement(ToastNotificationsList.ToastNotificationsList, null), children), React__default.default.createElement(FontDefinitions.FontDefinitions, null));
};
KaizenProvider.displayName = 'KaizenProvider';
exports.KaizenProvider = KaizenProvider;
