'use strict';

var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var reactAria = require('react-aria');
var reactIntl = require('react-intl');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var OptionalIntlProvider = function (_a) {
  var locale = _a.locale,
    children = _a.children;
  var parent = React.useContext(reactIntl.IntlContext);
  if (parent) {
    // we always wrap with react-aria provider as we have no way checking if parent is wrapped (useLocale returns default value if not)
    // but it's not a big deal as we'll consume the defined locale anyways so no effect on children
    return React__default.default.createElement(reactAria.I18nProvider, {
      locale: parent.locale
    }, children);
  }
  return React__default.default.createElement(i18nReactIntl.StaticIntlProvider, {
    locale: locale
  }, React__default.default.createElement(reactAria.I18nProvider, {
    locale: locale
  }, children));
};
OptionalIntlProvider.displayName = 'OptionalIntlProvider';
exports.OptionalIntlProvider = OptionalIntlProvider;
