'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var LoadingGraphic_module = require('./LoadingGraphic.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var loadingGraphicSizeMap = new Map([['small', 1.25], ['medium', 3], ['large', 4.5], ['xlarge', 6], ['xxlarge', 7.5], ['scene', 18.75]]);
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadinggraphic--docs Storybook}
 */
var LoadingGraphic = function (_a) {
  var isAnimated = _a.isAnimated,
    isReversed = _a.isReversed,
    size = _a.size,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["isAnimated", "isReversed", "size", "classNameOverride"]);
  var sizeValue = "".concat(loadingGraphicSizeMap.get(size), "rem");
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(LoadingGraphic_module.loadingGraphic, isAnimated && LoadingGraphic_module.isAnimated, isReversed && LoadingGraphic_module.isReversed, classNameOverride),
    style: {
      width: sizeValue,
      height: sizeValue
    }
  }, props));
};
LoadingGraphic.displayName = 'LoadingGraphic';
exports.LoadingGraphic = LoadingGraphic;
