'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var LoadingHeading_module = require('./LoadingHeading.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadingheading--docs Storybook}
 */
var LoadingHeading = function (_a) {
  var isAnimated = _a.isAnimated,
    isReversed = _a.isReversed,
    width = _a.width,
    isLink = _a.isLink,
    classNameOverride = _a.classNameOverride,
    variant = _a.variant,
    props = tslib.__rest(_a, ["isAnimated", "isReversed", "width", "isLink", "classNameOverride", "variant"]);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(LoadingHeading_module.loadingHeading, classNameOverride, LoadingHeading_module[variant], isAnimated && LoadingHeading_module.isAnimated, isReversed && LoadingHeading_module.isReversed, isLink && LoadingHeading_module.link),
    style: {
      width: "".concat(width, "%")
    }
  }, props));
};
LoadingHeading.displayName = 'LoadingHeading';
exports.LoadingHeading = LoadingHeading;
