'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var LoadingParagraph_module = require('./LoadingParagraph.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadingparagraph--docs Storybook}
 */
var LoadingParagraph = function (_a) {
  var isAnimated = _a.isAnimated,
    isCentred = _a.isCentred,
    isReversed = _a.isReversed,
    isInline = _a.isInline,
    noBottomMargin = _a.noBottomMargin,
    width = _a.width,
    isLink = _a.isLink,
    inheritBaseline = _a.inheritBaseline,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["isAnimated", "isCentred", "isReversed", "isInline", "noBottomMargin", "width", "isLink", "inheritBaseline", "classNameOverride"]);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(LoadingParagraph_module.loadingParagraph, classNameOverride, isAnimated && LoadingParagraph_module.isAnimated, isCentred && LoadingParagraph_module.isCentered, isReversed && LoadingParagraph_module.isReversed, isLink && LoadingParagraph_module.isLink, inheritBaseline && LoadingParagraph_module.inheritBaseline, isInline && LoadingParagraph_module.isInline, noBottomMargin && LoadingParagraph_module.noBottomMargin),
    style: {
      width: "".concat(width, "%")
    }
  }, restProps));
};
LoadingParagraph.displayName = 'LoadingParagraph';
exports.LoadingParagraph = LoadingParagraph;
