'use strict';

var React = require('react');
var classnames = require('classnames');
var MenuItem_module = require('./MenuItem.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var MenuItem = function (_a) {
  var label = _a.label,
    icon = _a.icon,
    destructive = _a.destructive,
    disabled = _a.disabled,
    onClick = _a.onClick,
    href = _a.href,
    target = _a.target,
    isActive = _a.isActive,
    dataTestId = _a["data-testid"],
    id = _a.id;
  var wrappedLabel = React__default.default.createElement("span", {
    className: MenuItem_module.menuItem__Label
  }, label);
  var iconNode = icon && React__default.default.createElement("span", {
    className: MenuItem_module.menuItem__Icon
  }, icon);
  var className = classnames__default.default(MenuItem_module.menuItem, destructive && MenuItem_module['menuItem--destructive'], disabled && MenuItem_module['menuItem--disabled'], isActive && MenuItem_module['menuItem--active']);
  if (disabled) {
    return React__default.default.createElement("li", {
      className: MenuItem_module.menuListItem
    }, React__default.default.createElement("button", {
      id: id,
      type: "button",
      disabled: true,
      className: className,
      "data-testid": dataTestId
    }, iconNode, wrappedLabel));
  }
  if (href) {
    return React__default.default.createElement("li", {
      className: MenuItem_module.menuListItem
    }, React__default.default.createElement("a", {
      id: id,
      href: href,
      onClick: onClick,
      className: className,
      target: target,
      "aria-current": isActive ? 'page' : undefined,
      "data-testid": dataTestId
    }, iconNode, wrappedLabel));
  }
  return React__default.default.createElement("li", {
    className: MenuItem_module.menuListItem
  }, React__default.default.createElement("button", {
    id: id,
    type: "button",
    onClick: onClick,
    className: className,
    "data-testid": dataTestId
  }, iconNode, wrappedLabel));
};
MenuItem.displayName = 'MenuItem';
exports.MenuItem = MenuItem;
