'use strict';

var React = require('react');
var ReactDOM = require('react-dom');
var MenuDropdown = require('../MenuDropdown/MenuDropdown.cjs');
var StatelessMenu_module = require('./StatelessMenu.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var ReactDOM__default = /*#__PURE__*/_interopDefault(ReactDOM);
var StatelessMenu = function (_a) {
  var _b = _a.align,
    align = _b === void 0 ? 'left' : _b,
    _c = _a.dropdownWidth,
    dropdownWidth = _c === void 0 ? 'default' : _c,
    _d = _a.autoHide,
    autoHide = _d === void 0 ? 'on' : _d,
    dataTestId = _a["data-testid"],
    dropdownId = _a.dropdownId,
    children = _a.children,
    portalSelector = _a.portalSelector,
    isMenuVisible = _a.isMenuVisible,
    toggleMenuDropdown = _a.toggleMenuDropdown,
    hideMenuDropdown = _a.hideMenuDropdown,
    renderButton = _a.renderButton,
    onClick = _a.onClick;
  var _e = React.useState(null),
    referenceElement = _e[0],
    setReferenceElement = _e[1];
  var portalSelectorElementRef = React.useRef(null);
  var menuButton = renderButton({
    'onClick': function (e) {
      e.preventDefault();
      e.stopPropagation();
      toggleMenuDropdown();
    },
    'onMouseDown': function (e) {
      return e.preventDefault();
    },
    'aria-haspopup': true,
    'aria-expanded': isMenuVisible
  });
  React.useEffect(function () {
    portalSelectorElementRef.current = portalSelector ? document.querySelector(portalSelector) : null;
  }, [portalSelector]);
  React.useEffect(function () {
    if (portalSelector && !portalSelectorElementRef.current) {
      // eslint-disable-next-line no-console
      console.warn('The portal could not be created using the selector: ' + portalSelector);
    }
  }, [portalSelectorElementRef, portalSelector]);
  var menu = isMenuVisible ? React__default.default.createElement(MenuDropdown.MenuDropdown, {
    referenceElement: referenceElement,
    align: align,
    hideMenuDropdown: hideMenuDropdown,
    width: dropdownWidth,
    id: dropdownId,
    autoHide: autoHide
  }, children) : null;
  return (
    // eslint-disable-next-line jsx-a11y/click-events-have-key-events, jsx-a11y/no-static-element-interactions
    React__default.default.createElement("div", {
      "data-testid": dataTestId,
      onClick: onClick
    }, React__default.default.createElement("div", {
      className: StatelessMenu_module.buttonWrapper,
      ref: setReferenceElement
    }, menuButton), portalSelector && portalSelectorElementRef.current ? ReactDOM__default.default.createPortal(menu, portalSelectorElementRef.current) : menu)
  );
};
StatelessMenu.displayName = 'StatelessMenu';
exports.StatelessMenu = StatelessMenu;
