'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Button = require('../../../../Button/Button/Button.cjs');
require('../../../../Button/IconButton/IconButton.cjs');
var useMediaQueries = require('../../../../utils/useMediaQueries.cjs');
var ModalBody = require('../ModalBody/ModalBody.cjs');
var ModalFooter_module = require('./ModalFooter.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var ModalFooter = function (_a) {
  var unpadded = _a.unpadded,
    actions = _a.actions,
    _b = _a.appearance,
    appearance = _b === void 0 ? 'primary' : _b,
    alignStart = _a.alignStart,
    variant = _a.variant,
    props = tslib.__rest(_a, ["unpadded", "actions", "appearance", "alignStart", "variant"]);
  var queries = useMediaQueries.useMediaQueries().queries;
  return React__default.default.createElement(ModalBody.ModalBody, {
    inputEdit: variant === 'inputEdit'
  }, React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(ModalFooter_module.actions, !unpadded && ModalFooter_module.padded, variant === 'context' && ModalFooter_module.informationPadded, alignStart && ModalFooter_module.actionsAlignStart)
  }, props), actions.map(function (action, index) {
    return React__default.default.createElement("div", {
      className: ModalFooter_module.actionButton,
      key: index
    }, React__default.default.createElement(Button.Button, tslib.__assign({
      type: "button",
      primary: index === 0 && appearance === 'primary',
      destructive: index === 0 && appearance === 'destructive',
      secondary: index > 0,
      fullWidth: queries.isSmall
    }, action)));
  })));
};
ModalFooter.displayName = 'ModalFooter';
exports.ModalFooter = ModalFooter;
