'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Icon = require('../../../__next__/Icon/Icon.cjs');
var Checkbox_module = require('./Checkbox.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var renderIcon = function (status) {
  if (status === 'unchecked') return null;
  return React__default.default.createElement(Icon.Icon, {
    name: status === 'checked' ? 'check' : 'remove',
    isPresentational: true,
    className: Checkbox_module.icon
  });
};
var Checkbox = function (_a) {
  var checkedStatus = _a.checkedStatus,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["checkedStatus", "classNameOverride"]);
  var checkboxRef = React.useRef(null);
  React.useEffect(function () {
    if (checkboxRef.current) {
      if (checkedStatus === 'checked') {
        checkboxRef.current.checked = true;
        checkboxRef.current.indeterminate = false;
      } else if (checkedStatus === 'unchecked') {
        checkboxRef.current.checked = false;
        checkboxRef.current.indeterminate = false;
      } else if (checkedStatus === 'indeterminate') {
        checkboxRef.current.checked = false;
        checkboxRef.current.indeterminate = true;
      }
    }
  }, [checkedStatus]);
  return React__default.default.createElement("span", {
    className: classnames__default.default(Checkbox_module.checkbox, checkedStatus !== 'unchecked' && Checkbox_module.selected, classNameOverride)
  }, React__default.default.createElement("input", tslib.__assign({
    ref: checkboxRef,
    type: "checkbox",
    className: Checkbox_module.nativeCheckbox
  }, restProps)), React__default.default.createElement("span", {
    className: Checkbox_module.iconContainer
  }, renderIcon(checkedStatus)));
};
Checkbox.displayName = 'Checkbox';
exports.Checkbox = Checkbox;
