'use strict';

var tslib = require('tslib');
var React = require('react');
var ReactDOM = require('react-dom');
var reactDom = require('@floating-ui/react-dom');
var classnames = require('classnames');
var reactFocusOn = require('react-focus-on');
var Popover_module = require('./Popover.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var Popover = function (_a) {
  var children = _a.children,
    refs = _a.refs,
    floatingOptions = _a.floatingOptions,
    focusOnProps = _a.focusOnProps,
    portalContainer = _a.portalContainer,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "refs", "floatingOptions", "focusOnProps", "portalContainer", "classNameOverride"]);
  var floatingStyles = reactDom.useFloating(tslib.__assign({
    elements: {
      reference: refs.reference.current,
      floating: refs.floating.current
    },
    placement: 'bottom-start',
    middleware: [reactDom.offset(6), reactDom.flip(), reactDom.size({
      apply: function (_a) {
        var availableWidth = _a.availableWidth,
          availableHeight = _a.availableHeight,
          elements = _a.elements;
        Object.assign(elements.floating.style, {
          maxWidth: "".concat(Math.min(availableWidth, 400), "px"),
          minWidth: "".concat(Math.min(availableWidth, 196), "px"),
          maxHeight: "".concat(Math.min(availableHeight, 352), "px")
        });
      }
    })],
    whileElementsMounted: reactDom.autoUpdate
  }, floatingOptions)).floatingStyles;
  return ReactDOM.createPortal(React__default.default.createElement(reactFocusOn.FocusOn, tslib.__assign({
    enabled: false,
    scrollLock: false
  }, focusOnProps), React__default.default.createElement("div", tslib.__assign({
    ref: refs.setFloating,
    style: floatingStyles,
    className: classnames__default.default(Popover_module.popover, classNameOverride)
  }, restProps), children)), portalContainer !== null && portalContainer !== void 0 ? portalContainer : document.body);
};
Popover.displayName = 'Popover';
exports.Popover = Popover;
