'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var GenericNotification = require('../subcomponents/GenericNotification/GenericNotification.cjs');
var GenericNotification_module = require('../subcomponents/GenericNotification/GenericNotification.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082093392/Inline+Notification Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-notifications-inline-notification--docs Storybook}
 */
var InlineNotification = React.forwardRef(function (_a, ref) {
  var isSubtle = _a.isSubtle,
    _b = _a.hideCloseIcon,
    hideCloseIcon = _b === void 0 ? false : _b,
    _c = _a.persistent,
    persistent = _c === void 0 ? false : _c,
    classNameOverride = _a.classNameOverride,
    otherProps = tslib.__rest(_a, ["isSubtle", "hideCloseIcon", "persistent", "classNameOverride"]);
  return React__default.default.createElement(GenericNotification.GenericNotification, tslib.__assign({
    style: "inline",
    persistent: persistent || hideCloseIcon,
    classNameOverride: classnames__default.default(classNameOverride, [isSubtle && GenericNotification_module.subtle]),
    ref: ref
  }, otherProps));
});
InlineNotification.displayName = 'InlineNotification';
exports.InlineNotification = InlineNotification;
