'use strict';

var React = require('react');
var ToastNotificationContext = require('../context/ToastNotificationContext.cjs');
var ToastNotificationsMap = require('./subcomponents/ToastNotificationsMap/ToastNotificationsMap.cjs');
var ToastNotificationsList_module = require('./ToastNotificationsList.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var toastNotificationListId = 'toast-notifications-list';
var ToastNotificationsList = function () {
  var _a = ToastNotificationContext.useToastNotificationContext(),
    notifications = _a.notifications,
    removeToastNotification = _a.removeToastNotification;
  var _b = React.useState(null),
    toastContainer = _b[0],
    setToastContainer = _b[1];
  React.useEffect(function () {
    // this is to ensure that the container is created only once. Regardless of how many KaizenProvider is set up, they will also reuse the same container.
    var container = document.querySelector("[id=\"".concat(toastNotificationListId, "\"]"));
    if (!container) {
      container = document.createElement('div');
      container.setAttribute('id', toastNotificationListId);
      container.setAttribute('role', 'status');
      container.className = ToastNotificationsList_module.toastNotificationsList;
      document.body.appendChild(container);
    }
    setToastContainer(container);
  }, []);
  return toastContainer ? React__default.default.createElement(ToastNotificationsMap.ToastNotificationsMap, {
    notifications: notifications,
    onHide: removeToastNotification,
    container: toastContainer
  }) : React__default.default.createElement(React__default.default.Fragment, null);
};
ToastNotificationsList.displayName = 'ToastNotificationsList';
exports.ToastNotificationsList = ToastNotificationsList;
