'use strict';

var tslib = require('tslib');
var React = require('react');
var ReactDOM = require('react-dom');
var GenericNotification = require('../../../../subcomponents/GenericNotification/GenericNotification.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var ToastNotificationsMap = function (_a) {
  var notifications = _a.notifications,
    defaultOnHide = _a.onHide,
    container = _a.container;
  if (!container) return null;
  // To consolidate all notifications into a single list when there are multiple contexts,
  // this list cannot render with a container (must be portalled into one).
  return ReactDOM.createPortal(React__default.default.createElement(React__default.default.Fragment, null, notifications.map(function (_a) {
    var id = _a.id,
      title = _a.title,
      persistent = _a.persistent,
      onHide = _a.onHide,
      message = _a.message,
      restProps = tslib.__rest(_a, ["id", "title", "persistent", "onHide", "message"]);
    return React__default.default.createElement(GenericNotification.GenericNotification, tslib.__assign({
      key: id,
      style: "toast",
      title: title,
      persistent: persistent,
      onHide: function () {
        if (typeof onHide !== 'undefined') {
          onHide();
        }
        defaultOnHide(id);
      }
    }, restProps), message);
  })), container);
};
ToastNotificationsMap.displayName = 'ToastNotificationsMap';
exports.ToastNotificationsMap = ToastNotificationsMap;
