'use strict';

var tslib = require('tslib');
var React = require('react');
var GenericButton = require('../../../Button/GenericButton/GenericButton.cjs');
var Icon = require('../../../__next__/Icon/Icon.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var iconNameMap = {
  prev: 'arrow_back',
  next: 'arrow_forward',
  start: 'keyboard_tab_rtl',
  end: 'keyboard_tab'
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092975/Pagination Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-buttons-directionallink--docs Storybook}
 */
var DirectionalLink = function (_a) {
  var _b = _a.reversed,
    reversed = _b === void 0 ? false : _b,
    _c = _a.disabled,
    disabled = _c === void 0 ? false : _c,
    otherProps = tslib.__rest(_a, ["reversed", "disabled"]);
  return React__default.default.createElement(GenericButton.GenericButton, tslib.__assign({
    reversed: reversed,
    disabled: disabled
  }, otherProps, {
    iconButton: true,
    directionalLink: true,
    icon: React__default.default.createElement(Icon.Icon, {
      name: iconNameMap[otherProps.direction],
      isPresentational: true,
      shouldMirrorInRTL: true
    })
  }));
};
DirectionalLink.displayName = 'DirectionalLink';
exports.DirectionalLink = DirectionalLink;
