'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Radio_module = require('./Radio.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var renderSelected = function (selectedStatus, reversed) {
  if (selectedStatus) {
    return React__default.default.createElement("div", {
      className: classnames__default.default(Radio_module.icon, reversed && Radio_module.reversed)
    });
  }
  return;
};
var Radio = function (_a) {
  var name = _a.name,
    value = _a.value,
    _b = _a.selectedStatus,
    selectedStatus = _b === void 0 ? false : _b,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    onChange = _a.onChange,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["name", "value", "selectedStatus", "reversed", "onChange", "classNameOverride"]);
  return (
    // @todo: Move classNameOverride to span
    React__default.default.createElement("span", null, React__default.default.createElement("input", tslib.__assign({
      type: "radio",
      name: name,
      value: value,
      checked: selectedStatus,
      className: classnames__default.default(Radio_module.radioInput, classNameOverride, reversed && Radio_module.reversed),
      onChange: onChange,
      readOnly: onChange === undefined
    }, restProps)), React__default.default.createElement("span", {
      className: classnames__default.default(Radio_module.box, reversed && Radio_module.reversed)
    }, renderSelected(selectedStatus, reversed)))
  );
};
Radio.displayName = 'Radio';
exports.Radio = Radio;
