'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Label = require('../../Label/Label.cjs');
var Radio = require('../Radio/Radio.cjs');
var RadioField_module = require('./RadioField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092822/Radio+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-radio-controls-radio-field--docs Storybook}
 */
var RadioField = function (_a) {
  var propsId = _a["id"],
    labelText = _a.labelText,
    _b = _a.selectedStatus,
    selectedStatus = _b === void 0 ? false : _b,
    _c = _a.disabled,
    disabled = _c === void 0 ? false : _c,
    _d = _a.reversed,
    reversed = _d === void 0 ? false : _d,
    classNameOverride = _a.classNameOverride,
    dataTestId = _a["data-testid"],
    restProps = tslib.__rest(_a, ['id', "labelText", "selectedStatus", "disabled", "reversed", "classNameOverride", 'data-testid']);
  var fallbackId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  // @todo: Move restProps to the wrapping div?
  return React__default.default.createElement("div", {
    "data-testid": dataTestId,
    className: classnames__default.default(RadioField_module.container, classNameOverride, selectedStatus && RadioField_module.selected, reversed && RadioField_module.reversed)
  }, React__default.default.createElement(Label.Label, {
    "data-testid": "".concat(id, "-field-label"),
    id: "".concat(id, "-field-label"),
    htmlFor: id,
    labelText: labelText,
    labelType: "radio",
    disabled: disabled,
    reversed: reversed
  }, React__default.default.createElement(Radio.Radio, tslib.__assign({
    "data-testid": "".concat(id, "-radio-input"),
    id: id,
    disabled: disabled,
    reversed: reversed,
    selectedStatus: selectedStatus
  }, restProps))));
};
RadioField.displayName = 'RadioField';
exports.RadioField = RadioField;
