'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Label = require('../../Label/Label.cjs');
var RadioGroup_module = require('./RadioGroup.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var RadioGroup = function (_a) {
  var children = _a.children,
    propsLabelId = _a["labelId"],
    labelText = _a.labelText,
    _b = _a.noBottomMargin,
    noBottomMargin = _b === void 0 ? false : _b,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    classNameOverride = _a.classNameOverride,
    dataTestId = _a["data-testid"],
    restProps = tslib.__rest(_a, ["children", 'labelId', "labelText", "noBottomMargin", "reversed", "classNameOverride", 'data-testid']);
  var fallbackId = React.useId();
  var labelId = propsLabelId !== null && propsLabelId !== void 0 ? propsLabelId : fallbackId;
  return React__default.default.createElement("div", tslib.__assign({
    "data-testid": dataTestId,
    className: classnames__default.default(RadioGroup_module.radioGroupContainer, classNameOverride, noBottomMargin && RadioGroup_module.noBottomMargin, reversed && RadioGroup_module.reversed),
    role: "radiogroup",
    "aria-labelledby": labelId
  }, restProps), React__default.default.createElement("div", {
    className: RadioGroup_module.radioGroupLabel
  }, React__default.default.createElement(Label.Label, {
    id: labelId,
    "data-testid": dataTestId && "".concat(dataTestId, "-field-label"),
    labelText: labelText,
    labelType: "text",
    reversed: reversed
  })), children);
};
RadioGroup.displayName = 'RadioGroup';
exports.RadioGroup = RadioGroup;
