'use strict';

require('prosemirror-state');
require('prosemirror-view');
require('tslib');
require('react');
require('prosemirror-model');
var inputrules = require('../../utils/core/inputrules.cjs');
require('prosemirror-commands');
require('prosemirror-keymap');
require('prosemirror-history');
var ProseMirrorInputrules = require('prosemirror-inputrules');
require('prosemirror-schema-list');
function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () {
            return e[k];
          }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}
var ProseMirrorInputrules__namespace = /*#__PURE__*/_interopNamespace(ProseMirrorInputrules);
var buildInputRules = function (schema) {
  var smartQuotes = ProseMirrorInputrules__namespace.smartQuotes,
    ellipsis = ProseMirrorInputrules__namespace.ellipsis,
    emDash = ProseMirrorInputrules__namespace.emDash,
    inputRules = ProseMirrorInputrules__namespace.inputRules;
  var rules = smartQuotes.concat(ellipsis, emDash);
  if (schema.nodes.orderedList) {
    rules.push(inputrules.orderedListRule(schema.nodes.orderedList));
  }
  if (schema.nodes.bulletList) {
    rules.push(inputrules.bulletListRule(schema.nodes.bulletList));
  }
  return inputRules({
    rules: rules
  });
};
exports.buildInputRules = buildInputRules;
