'use strict';

var getMarkRange = require('./getMarkRange.cjs');
var markIsActive = require('./markIsActive.cjs');

/** Check the current PM Selection against the Mark Type provided */
var markContainsSelection = function (state, markType) {
  if (!markIsActive.markIsActive(state, markType)) {
    return false;
  }
  var selection = state.selection;
  var $from = selection.$from;
  var markRange = getMarkRange.getMarkRange($from, markType);
  return !!markRange && markRange.from <= selection.from && markRange.to >= selection.to;
};
exports.markContainsSelection = markContainsSelection;
