'use strict';

var ProseMirrorInputrules = require('prosemirror-inputrules');

// Given a list node type, returns an input rule that turns a number
// followed by a dot at the start of a textblock into an ordered list.
// Copied from https://github.com/ProseMirror/prosemirror-example-setup/blob/master/src/inputrules.js
var orderedListRule = function (nodeType) {
  return ProseMirrorInputrules.wrappingInputRule(/^(\d+)\.\s$/, nodeType, function (match) {
    return {
      order: +match[1]
    };
  }, function (match, node) {
    return node.childCount + node.attrs.order == +match[1];
  });
};
// Given a list node type, returns an input rule that turns a bullet
// (dash, plush, or asterisk) at the start of a textblock into a
// bullet list.
// Copied from https://github.com/ProseMirror/prosemirror-example-setup/blob/master/src/inputrules.js
var bulletListRule = function (nodeType) {
  return ProseMirrorInputrules.wrappingInputRule(/^\s*([-+*])\s$/, nodeType);
};
exports.bulletListRule = bulletListRule;
exports.orderedListRule = orderedListRule;
