'use strict';

var React = require('react');
var ReactDOM = require('react-dom');
var debounce = require('lodash.debounce');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var debounce__default = /*#__PURE__*/_interopDefault(debounce);
var Positioner = React.forwardRef(function (_a, ref) {
  var top = _a.top,
    left = _a.left,
    height = _a.height,
    width = _a.width;
  var _b = React.useState(),
    portalContainer = _b[0],
    setPortalContainer = _b[1];
  var _c = React.useState(),
    windowScroll = _c[0],
    setWindowScroll = _c[1];
  React.useEffect(function () {
    setWindowScroll([window.scrollX, window.scrollY]);
    setPortalContainer(document.body);
  }, []);
  var onResize = React.useRef(debounce__default.default(function () {
    return setWindowScroll([window.scrollX, window.scrollY]);
  }, 15));
  React.useEffect(function () {
    var resizeCurrent = onResize.current;
    window.addEventListener('resize', resizeCurrent);
    return function () {
      window.removeEventListener('resize', resizeCurrent);
    };
  }, [setWindowScroll, onResize]);
  if (windowScroll === undefined || portalContainer === undefined) return null;
  var x = windowScroll[0],
    y = windowScroll[1];
  return ReactDOM.createPortal(React__default.default.createElement("div", {
    ref: ref,
    style: {
      height: "".concat(height, "px"),
      left: "".concat(left + x, "px"),
      pointerEvents: 'none',
      position: 'absolute',
      top: "".concat(top + y, "px"),
      width: "".concat(width, "px")
    }
  }), portalContainer);
});
Positioner.displayName = 'Positioner';
exports.Positioner = Positioner;
