'use strict';

var tslib = require('tslib');
var React = require('react');
var InputSearch = require('../Input/InputSearch/InputSearch.cjs');
var Label = require('../Label/Label.cjs');
var SearchField_module = require('./SearchField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896613/Search+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-search-field--docs Storybook}
 */
var SearchField = function (_a) {
  var propsId = _a.id,
    labelText = _a.labelText,
    disabled = _a.disabled,
    _b = _a.reversed,
    reversed = _b === void 0 ? false : _b,
    _c = _a.secondary,
    secondary = _c === void 0 ? false : _c,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["id", "labelText", "disabled", "reversed", "secondary", "classNameOverride"]);
  var showVisibleLabel = !secondary;
  var reactId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : reactId;
  // @todo: Move restProps to container div?
  return React__default.default.createElement("div", {
    className: classNameOverride
  }, showVisibleLabel && React__default.default.createElement(Label.Label, {
    htmlFor: id,
    labelText: labelText,
    reversed: reversed,
    disabled: disabled,
    classNameOverride: SearchField_module.label
  }), React__default.default.createElement(InputSearch.InputSearch, tslib.__assign({
    "aria-label": !showVisibleLabel ? labelText : undefined,
    id: id,
    disabled: disabled,
    reversed: reversed,
    secondary: secondary
  }, restProps)));
};
SearchField.displayName = 'SearchField';
exports.SearchField = SearchField;
