'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var index = require('../Menu/index.cjs');
var ActionButton = require('./subcomponents/ActionButton/ActionButton.cjs');
var DropdownButton = require('./subcomponents/DropdownButton/DropdownButton.cjs');
var SplitButton_module = require('./SplitButton.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896196/Split+Button Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-splitbutton--docs Storybook}
 */
var SplitButton = function (_a) {
  var actionButtonProps = _a.actionButtonProps,
    dropdownButtonProps = _a.dropdownButtonProps,
    dropdownContent = _a.dropdownContent,
    isDropdownInitOpen = _a.isDropdownInitOpen,
    disabled = _a.disabled,
    isReversed = _a.isReversed,
    dir = _a.dir,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["actionButtonProps", "dropdownButtonProps", "dropdownContent", "isDropdownInitOpen", "disabled", "isReversed", "dir", "classNameOverride"]);
  return React__default.default.createElement("div", tslib.__assign({
    dir: dir,
    className: classnames__default.default(SplitButton_module.splitButton, classNameOverride)
  }, restProps), React__default.default.createElement(ActionButton.ActionButton, tslib.__assign({
    disabled: disabled,
    isReversed: isReversed
  }, actionButtonProps)), React__default.default.createElement(index.Menu, {
    align: dir === 'rtl' ? 'left' : 'right',
    dropdownWidth: "contain",
    button: React__default.default.createElement(DropdownButton.DropdownButton, tslib.__assign({
      disabled: disabled,
      isReversed: isReversed
    }, dropdownButtonProps)),
    menuVisible: isDropdownInitOpen
  }, dropdownContent));
};
SplitButton.displayName = 'SplitButton';
exports.SplitButton = SplitButton;
