'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var BaseButton_module = require('./BaseButton.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var isAnchor = function (attributes) {
  return !attributes.disabled && attributes.href !== undefined;
};
var BaseButton = function (_a) {
  var label = _a.label,
    icon = _a.icon,
    isReversed = _a.isReversed,
    classNameOverride = _a.classNameOverride,
    attributes = tslib.__rest(_a, ["label", "icon", "isReversed", "classNameOverride"]);
  var className = classnames__default.default(BaseButton_module.baseButton, classNameOverride, isReversed ? BaseButton_module.isReversed : BaseButton_module.default);
  var contentProps = icon ? {
    'children': React__default.default.createElement(React__default.default.Fragment, null, icon),
    'aria-label': label
  } : {
    children: label
  };
  var children = contentProps.children,
    restContentProps = tslib.__rest(contentProps, ["children"]);
  if (isAnchor(attributes)) {
    return React__default.default.createElement("a", tslib.__assign({
      className: className
    }, restContentProps, attributes), children);
  }
  return React__default.default.createElement("button", tslib.__assign({
    type: "button",
    className: className
  }, restContentProps, attributes), children);
};
BaseButton.displayName = 'BaseButton';
exports.BaseButton = BaseButton;
