'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var classnames = require('classnames');
var Icon = require('../../../__next__/Icon/Icon.cjs');
var BaseButton = require('../BaseButton/BaseButton.cjs');
var DropdownButton_module = require('./DropdownButton.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var DropdownButton = function (_a) {
  var classNameOverride = _a.classNameOverride,
    ariaLabel = _a["aria-label"],
    restProps = tslib.__rest(_a, ["classNameOverride", 'aria-label']);
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  return React__default.default.createElement(BaseButton.BaseButton, tslib.__assign({
    label: ariaLabel !== null && ariaLabel !== void 0 ? ariaLabel : formatMessage({
      id: 'splitButton.dropdownButton.label',
      defaultMessage: 'Additional actions',
      description: 'Label for a dropdown menu holding additional actions'
    }),
    icon: React__default.default.createElement(Icon.Icon, {
      name: "keyboard_arrow_down",
      isPresentational: true
    }),
    classNameOverride: classnames__default.default(DropdownButton_module.dropdownButton, classNameOverride)
  }, restProps));
};
DropdownButton.displayName = 'DropdownButton';
exports.DropdownButton = DropdownButton;
