'use strict';

var tslib = require('tslib');
var React = require('react');
var tabs = require('@reach/tabs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081929117/Tabs Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-tabs--controlled Storybook}
 *
 * Wrapper around all of the tab subcomponents
 * Holds a TabList and TabPanels
 */
var Tabs = function (props) {
  var defaultIndex = props.defaultIndex,
    selectedIndex = props.selectedIndex,
    onChange = props.onChange,
    children = props.children,
    restProps = tslib.__rest(props, ["defaultIndex", "selectedIndex", "onChange", "children"]);
  return React__default.default.createElement(tabs.Tabs, tslib.__assign({
    defaultIndex: defaultIndex,
    index: selectedIndex,
    onChange: onChange
  }, restProps), children);
};
Tabs.displayName = 'Tabs';
exports.Tabs = Tabs;
