'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Text_module = require('./Text.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3074885298/Typography#Paragraph Guidance}
 * {@link https://cultureamp.design/?path=/docs/components-typography-text--body Storybook}
 */
const Text = /*#__PURE__*/function () {
  const Text = function (_a) {
    var children = _a.children,
      tag = _a.tag,
      variant = _a.variant,
      _b = _a.color,
      color = _b === void 0 ? 'dark' : _b,
      classNameOverride = _a.classNameOverride,
      restProps = tslib.__rest(_a, ["children", "tag", "variant", "color", "classNameOverride"]);
    var className = classnames__default.default(Text_module.text, Text_module[variant], Text_module[color], classNameOverride);
    return React.createElement(tag !== null && tag !== void 0 ? tag : 'p', tslib.__assign(tslib.__assign({}, restProps), {
      className: className
    }), children);
  };
  Text.displayName = 'Text';
  return Text;
}();
exports.Text = Text;
