'use strict';

var tslib = require('tslib');
var React = require('react');
var Button = require('../../Button/Button/Button.cjs');
require('../../Button/IconButton/IconButton.cjs');
var GenericTile = require('../subcomponents/GenericTile/GenericTile.cjs');
var MultiActionTile_module = require('./MultiActionTile.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var renderActions = function (primaryAction, secondaryAction) {
  return React__default.default.createElement("div", {
    className: MultiActionTile_module.actions
  }, secondaryAction && React__default.default.createElement("div", {
    className: MultiActionTile_module.secondaryAction
  }, React__default.default.createElement(Button.Button, tslib.__assign({
    secondary: true
  }, secondaryAction))), React__default.default.createElement(Button.Button, tslib.__assign({}, primaryAction)));
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3079077889/Tile#MultiActionTile.1 Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-tiles-multiactiontile--docs Storybook}
 */
var MultiActionTile = function (_a) {
  var children = _a.children,
    primaryAction = _a.primaryAction,
    secondaryAction = _a.secondaryAction,
    restProps = tslib.__rest(_a, ["children", "primaryAction", "secondaryAction"]);
  return React__default.default.createElement(GenericTile.GenericTile, tslib.__assign({
    footer: renderActions(primaryAction, secondaryAction)
  }, restProps), children);
};
MultiActionTile.displayName = 'MultiActionTile';
exports.MultiActionTile = MultiActionTile;
