'use strict';

var tslib = require('tslib');
var isMenuGroupNotButton = function (value) {
  return 'menuItems' in value;
};
var NON_REVERSED_VARIANTS = ['education', 'admin'];
var isReversed = function (variant) {
  // The default variant (no variant prop) is reversed (dark background)
  if (variant === undefined) return true;
  return !NON_REVERSED_VARIANTS.includes(variant);
};
var convertSecondaryActionsToMenuItems = function (secondaryActions) {
  return secondaryActions.reduce(function (acc, cur) {
    if ('menuItems' in cur) {
      return tslib.__spreadArray(tslib.__spreadArray([], acc, true), cur.menuItems, true);
    }
    if ('component' in cur) {
      return tslib.__spreadArray(tslib.__spreadArray([], acc, true), [cur], false);
    }
    var out = {
      label: cur.label,
      icon: cur.icon,
      destructive: cur.destructive,
      disabled: cur.disabled
    };
    if ('onClick' in cur) {
      return tslib.__spreadArray(tslib.__spreadArray([], acc, true), [tslib.__assign(tslib.__assign({}, out), {
        onClick: cur.onClick
      })], false);
    }
    if ('href' in cur) {
      return tslib.__spreadArray(tslib.__spreadArray([], acc, true), [tslib.__assign(tslib.__assign({}, out), {
        href: cur.href
      })], false);
    }
    return acc;
  }, []);
};
var createTabletOverflowMenuItems = function (secondaryActions, secondaryOverflowMenuItems) {
  var secondaryActionsList;
  if (secondaryActions) {
    secondaryActionsList = secondaryActions ? convertSecondaryActionsToMenuItems(secondaryActions) : [];
  } else {
    secondaryActionsList = [];
  }
  var flatSecondaryOverflowItemsList = secondaryOverflowMenuItems !== null && secondaryOverflowMenuItems !== void 0 ? secondaryOverflowMenuItems : [];
  return secondaryActionsList.concat(flatSecondaryOverflowItemsList);
};
exports.NON_REVERSED_VARIANTS = NON_REVERSED_VARIANTS;
exports.convertSecondaryActionsToMenuItems = convertSecondaryActionsToMenuItems;
exports.createTabletOverflowMenuItems = createTabletOverflowMenuItems;
exports.isMenuGroupNotButton = isMenuGroupNotButton;
exports.isReversed = isReversed;
