'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var FieldGroup = require('../../FieldGroup/FieldGroup.cjs');
var Label = require('../../Label/Label.cjs');
var ToggleSwitch = require('../ToggleSwitch/ToggleSwitch.cjs');
var ToggleSwitchField_module = require('./ToggleSwitchField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3075638160/Toggle+Switch Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-toggleswitch-ield--docs Storybook}
 */
var ToggleSwitchField = function (_a) {
  var propsId = _a.id,
    labelText = _a.labelText,
    _b = _a.labelPosition,
    labelPosition = _b === void 0 ? 'start' : _b,
    toggledStatus = _a.toggledStatus,
    disabled = _a.disabled,
    reversed = _a.reversed,
    inline = _a.inline,
    fullWidth = _a.fullWidth,
    restProps = tslib.__rest(_a, ["id", "labelText", "labelPosition", "toggledStatus", "disabled", "reversed", "inline", "fullWidth"]);
  var fallbackId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  return React__default.default.createElement(FieldGroup.FieldGroup, {
    id: "".concat(id, "-field-group"),
    inline: inline,
    classNameOverride: classnames__default.default(ToggleSwitchField_module.container, fullWidth && ToggleSwitchField_module.fullWidth, toggledStatus === 'on' && ToggleSwitchField_module.on)
  }, React__default.default.createElement("div", {
    className: ToggleSwitchField_module.inner
  }, React__default.default.createElement(Label.Label, {
    id: "".concat(id, "-field-label"),
    htmlFor: "".concat(id, "-field-toggle"),
    labelText: labelText,
    labelType: "toggle",
    labelPosition: labelPosition,
    disabled: disabled,
    reversed: reversed
  }, React__default.default.createElement(ToggleSwitch.ToggleSwitch, tslib.__assign({
    id: "".concat(id, "-field-toggle"),
    disabled: disabled,
    reversed: reversed,
    toggledStatus: toggledStatus
  }, restProps)))));
};
ToggleSwitchField.displayName = 'ToggleSwitchField';
exports.ToggleSwitchField = ToggleSwitchField;
