'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var useExitingAnimation = require('../utils/useExitingAnimation/useExitingAnimation.cjs');
var AIMoment_module = require('../../styles/utils/AIMoment.module.css.cjs');
var Well_module = require('./Well.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3075604733/Well Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-well--docs Storybook}
 */
var Well = function (_a) {
  var children = _a.children,
    variant = _a.variant,
    _b = _a.color,
    color = _b === void 0 ? 'white' : _b,
    _c = _a.borderStyle,
    borderStyle = _c === void 0 ? 'solid' : _c,
    _d = _a.noMargin,
    noMargin = _d === void 0 ? false : _d,
    classNameOverride = _a.classNameOverride,
    isAiLoading = _a.isAiLoading,
    restProps = tslib.__rest(_a, ["children", "variant", "color", "borderStyle", "noMargin", "classNameOverride", "isAiLoading"]);
  var animationClass = useExitingAnimation.useExitingAnimation(isAiLoading, AIMoment_module.aiMomentLoading, AIMoment_module.aiMomentExiting, 500);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(Well_module.container, Well_module[borderStyle], Well_module[color], variant && Well_module[variant], noMargin && Well_module.noMargin, isAiLoading !== undefined && AIMoment_module.aiMoment, isAiLoading !== undefined && animationClass, classNameOverride)
  }, restProps), React__default.default.createElement(React__default.default.Fragment, null, isAiLoading !== undefined && React__default.default.createElement("div", {
    "aria-hidden": true,
    className: AIMoment_module.aiMomentBackground
  }), children));
};
Well.displayName = 'Well';
exports.Well = Well;
