'use strict';

var tslib = require('tslib');
var React = require('react');
var Footer = require('./subcomponents/Footer/Footer.cjs');
require('./subcomponents/Footer/components/Root/Root.cjs');
var ProgressStepper = require('./subcomponents/Footer/components/ProgressStepper/ProgressStepper.cjs');
require('./subcomponents/Footer/components/FooterActions/FooterActions.cjs');
var Header = require('./subcomponents/Header/Header.cjs');
require('./subcomponents/Header/components/Titles/Titles.cjs');
require('./subcomponents/Header/components/Actions/Actions.cjs');
require('./subcomponents/Header/components/Branding/Branding.cjs');
require('./subcomponents/Header/components/Root/Root.cjs');
var Main = require('./subcomponents/Main/Main.cjs');
var Wrapper = require('./subcomponents/Wrapper/Wrapper.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var Workflow = function (_a) {
  var steps = _a.steps,
    currentStepId = _a.currentStepId,
    isComplete = _a.isComplete,
    workflowName = _a.workflowName,
    statusTag = _a.statusTag,
    headerActions = _a.headerActions,
    children = _a.children,
    nextAction = _a.nextAction,
    previousAction = _a.previousAction,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["steps", "currentStepId", "isComplete", "workflowName", "statusTag", "headerActions", "children", "nextAction", "previousAction", "classNameOverride"]);
  var currentStep = steps.find(function (step) {
    return step.id === currentStepId;
  });
  return React__default.default.createElement(Workflow.Wrapper, tslib.__assign({
    classNameOverride: classNameOverride
  }, restProps), React__default.default.createElement(Workflow.Header, {
    workflowName: workflowName,
    stepName: currentStep.label,
    statusTag: statusTag,
    headerActions: headerActions
  }), React__default.default.createElement(Workflow.Main, null, children), React__default.default.createElement(Workflow.Footer, {
    currentStepId: currentStepId,
    steps: steps,
    isComplete: isComplete,
    nextAction: nextAction,
    previousAction: previousAction
  }));
};
Workflow.Header = Header.Header;
Workflow.Footer = Footer.Footer;
Workflow.Main = Main.Main;
Workflow.ProgressStepper = ProgressStepper.ProgressStepper;
Workflow.Wrapper = Wrapper.Wrapper;
exports.Workflow = Workflow;
