'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var VisuallyHidden = require('../../../../../VisuallyHidden/VisuallyHidden.cjs');
var Icon = require('../../../../../__next__/Icon/Icon.cjs');
var ProgressStepper_module = require('./ProgressStepper.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var getStepStatus = function (isComplete, isCurrentStep, step, index) {
  if (isComplete) {
    return {
      icon: React__default.default.createElement(Icon.Icon, {
        key: index,
        name: "check_circle",
        isPresentational: true,
        isFilled: true
      }),
      accessibleName: "Completed: ".concat(step.label)
    };
  }
  if (isCurrentStep) {
    return {
      icon: React__default.default.createElement(Icon.Icon, {
        key: index,
        name: "radio_button_checked",
        isPresentational: true
      }),
      accessibleName: "Current: ".concat(step.label)
    };
  }
  return {
    icon: React__default.default.createElement(Icon.Icon, {
      key: index,
      name: "radio_button_unchecked",
      isPresentational: true
    }),
    accessibleName: "Not started: ".concat(step.label)
  };
};
var ProgressStepper = function (_a) {
  var currentStepId = _a.currentStepId,
    steps = _a.steps,
    _b = _a.isComplete,
    isComplete = _b === void 0 ? false : _b,
    restprops = tslib.__rest(_a, ["currentStepId", "steps", "isComplete"]);
  var currentStepIndex = steps.findIndex(function (stepItem) {
    return stepItem.id === currentStepId;
  });
  return React__default.default.createElement("div", {
    className: ProgressStepper_module.stepsContainer
  }, React__default.default.createElement("ol", tslib.__assign({
    className: ProgressStepper_module.stepList
  }, restprops, {
    "aria-labelledby": "stepper-description"
  }), steps.map(function (step, index) {
    var _a, _b;
    var isCurrentStep = currentStepIndex === index;
    var isCompletedStep = index < currentStepIndex || isComplete;
    var _c = getStepStatus(isCompletedStep, isCurrentStep, step, index),
      accessibleName = _c.accessibleName,
      icon = _c.icon;
    return React__default.default.createElement("li", {
      className: ProgressStepper_module.step,
      key: "".concat(step.id),
      "aria-current": isCurrentStep
    }, React__default.default.createElement("div", {
      className: ProgressStepper_module.stepContent
    }, React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, accessibleName), React__default.default.createElement("span", {
      className: classnames__default.default(ProgressStepper_module.stepName, (_a = {}, _a[ProgressStepper_module.isCurrent] = isCurrentStep, _a)),
      "aria-hidden": true
    }, step.label), React__default.default.createElement("div", {
      className: ProgressStepper_module.stepIndicator
    }, React__default.default.createElement("span", {
      className: classnames__default.default(ProgressStepper_module.stepIcon, (_b = {}, _b[ProgressStepper_module.isCompleted] = isCompletedStep, _b))
    }, icon)), index < steps.length - 1 && React__default.default.createElement("div", {
      className: classnames__default.default([ProgressStepper_module.stepDivider, isCompletedStep && ProgressStepper_module.completedStep])
    })));
  })), React__default.default.createElement("span", {
    className: ProgressStepper_module.stepperDescription,
    id: "stepper-description"
  }, "Step ", currentStepIndex + 1, " of ", steps.length));
};
ProgressStepper.displayName = 'Workflow.ProgressStepper';
exports.ProgressStepper = ProgressStepper;
