'use strict';

var React = require('react');
var classnames = require('classnames');
require('../../../../Loading/LoadingGraphic/LoadingGraphic.cjs');
require('../../../../Loading/LoadingHeading/LoadingHeading.cjs');
require('../../../../Loading/LoadingInput/LoadingInput.cjs');
require('../../../../Loading/LoadingParagraph/LoadingParagraph.cjs');
var LoadingSpinner = require('../../../../Loading/LoadingSpinner/LoadingSpinner.cjs');
var VisuallyHidden = require('../../../../VisuallyHidden/VisuallyHidden.cjs');
var PendingContent_module = require('./PendingContent.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/** Renders the pending content of the button, handling pending label visibility and spinner positioning */
var PendingContent = function (_a) {
  var pendingLabel = _a.pendingLabel,
    _b = _a.hasHiddenPendingLabel,
    hasHiddenPendingLabel = _b === void 0 ? false : _b,
    _c = _a.size,
    size = _c === void 0 ? 'medium' : _c;
  return React__default.default.createElement("span", {
    className: classnames__default.default(PendingContent_module.pendingContent, PendingContent_module[size])
  }, hasHiddenPendingLabel ? React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, pendingLabel) : React__default.default.createElement("span", null, pendingLabel), React__default.default.createElement(LoadingSpinner.LoadingSpinner, {
    size: size === 'small' ? 'xs' : 'sm',
    accessibilityLabel: "",
    classNameOverride: hasHiddenPendingLabel ? PendingContent_module.centerSpinner : undefined
  }));
};
exports.PendingContent = PendingContent;
