'use strict';

var React = require('react');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var SelectContext = React__default.default.createContext(null);
var useSelectContext = function () {
  var context = React.useContext(SelectContext);
  if (!context) {
    throw new Error('useSelectContext must be used within the SelectContext.Provider');
  }
  return context;
};
var SelectProvider = function (_a) {
  var children = _a.children,
    state = _a.state;
  return React__default.default.createElement(SelectContext.Provider, {
    value: {
      state: state
    }
  }, children);
};
exports.SelectProvider = SelectProvider;
exports.useSelectContext = useSelectContext;
