'use strict';

var tslib = require('tslib');
var React = require('react');
var listbox = require('@react-aria/listbox');
var Heading = require('../../../../Heading/Heading.cjs');
var Option = require('../Option/Option.cjs');
var ListBoxSection_module = require('./ListBoxSection.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var ListBoxSection = function (_a) {
  var section = _a.section;
  var _b = listbox.useListBoxSection({
      'heading': section.rendered,
      'aria-label': section['aria-label']
    }),
    itemProps = _b.itemProps,
    headingProps = _b.headingProps,
    groupProps = _b.groupProps;
  return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("li", tslib.__assign({}, itemProps, {
    className: ListBoxSection_module.sectionWrapper
  }), section.rendered && React__default.default.createElement(Heading.Heading, tslib.__assign({
    tag: "span",
    variant: "heading-6"
  }, headingProps, {
    classNameOverride: ListBoxSection_module.sectionHeading
  }), section.rendered), React__default.default.createElement("ul", tslib.__assign({}, groupProps, {
    className: ListBoxSection_module.sectionList
  }), Array.from(section.childNodes).map(function (item) {
    return React__default.default.createElement(Option.Option, {
      key: item.key,
      item: item
    });
  }))));
};
ListBoxSection.displayName = 'ListBoxSection';
exports.ListBoxSection = ListBoxSection;
