'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var reactAria = require('react-aria');
var Icon = require('../../../Icon/Icon.cjs');
var SelectContext = require('../../context/SelectContext.cjs');
var Option_module = require('./Option.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var Option = function (_a) {
  var item = _a.item,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["item", "classNameOverride"]);
  var state = SelectContext.useSelectContext().state;
  var ref = React__default.default.useRef(null);
  var _b = reactAria.useOption({
      key: item.key
    }, state, ref),
    optionProps = _b.optionProps,
    isSelected = _b.isSelected,
    isDisabled = _b.isDisabled;
  var onPointerUp = optionProps.onPointerUp,
    restOptionProps = tslib.__rest(optionProps, ["onPointerUp"]);
  var _c = reactAria.useFocusRing(),
    isFocusVisible = _c.isFocusVisible,
    focusProps = _c.focusProps;
  return React__default.default.createElement("li", tslib.__assign({}, reactAria.mergeProps(restOptionProps, focusProps, props, {
    onPointerUp: function (e) {
      if (e.pointerType === 'touch') {
        // On touch devices, the listbox closes too quickly so below elements will trigger their pointer events.
        // Slow it down a bit to prevent the appearance of propagation.
        setTimeout(function () {
          return state.setSelectedKey(item.key);
        }, 250);
      } else {
        onPointerUp === null || onPointerUp === void 0 ? void 0 : onPointerUp(e);
      }
    }
  }), {
    ref: ref,
    className: classnames__default.default(Option_module.option, isSelected && Option_module.isSelected, isFocusVisible && Option_module.isFocusVisible, isDisabled && Option_module.disabled, classNameOverride),
    "aria-label": item.textValue
  }), item.rendered, React__default.default.createElement("span", {
    className: classnames__default.default(Option_module.icon, isSelected && Option_module.isSelected)
  }, isSelected && React__default.default.createElement(Icon.Icon, {
    name: "check",
    isPresentational: true
  })));
};
Option.displayName = 'Option';
exports.Option = Option;
