'use strict';

var React = require('react');
var SelectContext = require('../../context/SelectContext.cjs');
var ListBox = require('../ListBox/ListBox.cjs');
var ListItems = require('../ListItems/ListItems.cjs');
var Overlay = require('../Overlay/Overlay.cjs');
var SelectPopoverContents_module = require('./SelectPopoverContents.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var SelectPopoverContents = function (_a) {
  var children = _a.children,
    menuProps = _a.menuProps;
  var state = SelectContext.useSelectContext().state;
  // The collection structure is set by useSelectState's `children`
  // which we have used a util to ensure the following structure
  // - SelectOptionGroup => Section
  // - Option => Item
  var itemNodes = Array.from(state.collection);
  return React__default.default.createElement("div", {
    className: SelectPopoverContents_module.selectPopoverContents
  }, React__default.default.createElement(Overlay.Overlay, null, React__default.default.createElement(ListBox.ListBox, {
    menuProps: menuProps
  }, children ? children({
    items: itemNodes
  }) : React__default.default.createElement(ListItems.ListItems, {
    items: itemNodes
  }))));
};
SelectPopoverContents.displayName = 'Select.PopoverContents';
exports.SelectPopoverContents = SelectPopoverContents;
