'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var reactAriaComponents = require('react-aria-components');
var Badge = require('../../../../Badge/Badge.cjs');
var Tab_module = require('./Tab.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * A tab button
 */
var Tab = function (props) {
  var badge = props.badge,
    children = props.children,
    className = props.className,
    restProps = tslib.__rest(props, ["badge", "children", "className"]);
  var tabProps = tslib.__assign({
    className: classnames__default.default(Tab_module.tab, className)
  }, restProps);
  return React__default.default.createElement(reactAriaComponents.Tab, tslib.__assign({
    "data-kz-tab": true
  }, tabProps), function (TabRenderProps) {
    return React__default.default.createElement(React__default.default.Fragment, null, typeof children === 'function' ? children(TabRenderProps) : children, badge && React__default.default.createElement("span", {
      className: Tab_module.badge
    }, React__default.default.createElement(Badge.Badge, {
      variant: TabRenderProps.isSelected || TabRenderProps.isFocusVisible || TabRenderProps.isHovered ? 'active' : 'default'
    }, badge)));
  });
};
exports.Tab = Tab;
