import { format } from 'date-fns';
import { DateFormat } from '../enums.mjs';
import { isDisabledDate } from './isDisabledDate.mjs';
import { isInvalidDate } from './isInvalidDate.mjs';
var formatDateAsText = function (date, disabledDays, locale) {
  if (isDisabledDate(date, disabledDays)) {
    return format(date, DateFormat.Numeral, {
      locale: locale
    });
  }
  if (isInvalidDate(date)) {
    return 'Invalid Date';
  }
  return format(date, DateFormat.Text, {
    locale: locale
  });
};
export { formatDateAsText };
