import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { useExitingAnimation } from '../utils/useExitingAnimation/useExitingAnimation.mjs';
import sharedAiStyles from '../../styles/utils/AIMoment.module.css.mjs';
import styles from './Card.module.css.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094938/Card Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-card--docs Storybook}
 */
const Card = /*#__PURE__*/function () {
  const Card = function (_a) {
    var children = _a.children,
      _b = _a.tag,
      tag = _b === void 0 ? 'div' : _b,
      variant = _a.variant,
      _c = _a.color,
      color = _c === void 0 ? 'white' : _c,
      _d = _a.isElevated,
      isElevated = _d === void 0 ? false : _d,
      classNameOverride = _a.classNameOverride,
      isAiLoading = _a.isAiLoading,
      props = __rest(_a, ["children", "tag", "variant", "color", "isElevated", "classNameOverride", "isAiLoading"]);
    var Element = tag;
    var animationClass = useExitingAnimation(isAiLoading, sharedAiStyles.aiMomentLoading, sharedAiStyles.aiMomentExiting, 500);
    return /*#__PURE__*/React.createElement(Element, __assign({
      className: classnames(styles.wrapper, variant ? styles[variant] : styles[color], isElevated && styles.elevated, isAiLoading !== undefined && sharedAiStyles.aiMoment, isAiLoading !== undefined && animationClass, classNameOverride)
    }, props), isAiLoading !== undefined && (/*#__PURE__*/React.createElement("div", {
      "aria-hidden": true,
      className: sharedAiStyles.aiMomentBackground
    })), children);
  };
  Card.displayName = 'Card';
  return Card;
}();
export { Card };
