import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import styles from './Checkbox.module.scss.mjs';
var renderCheckOrMixedIcon = function (status, reversed) {
  if (status === 'off') return;
  return /*#__PURE__*/React.createElement(Icon, {
    name: status === 'on' ? 'check' : 'remove',
    isPresentational: true,
    className: classnames(styles.icon, reversed && styles.reversed)
  });
};
var getCheckedFromStatus = function (checkedStatus) {
  return checkedStatus === 'on';
};
const Checkbox = /*#__PURE__*/function () {
  const Checkbox = function (_a) {
    var _b = _a.checkedStatus,
      checkedStatus = _b === void 0 ? 'off' : _b,
      onCheck = _a.onCheck,
      _c = _a.reversed,
      reversed = _c === void 0 ? false : _c,
      value = _a.value,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["checkedStatus", "onCheck", "reversed", "value", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("span", {
      className: styles.container
    }, /*#__PURE__*/React.createElement("input", __assign({
      ref: function (node) {
        if (node) {
          node.indeterminate = checkedStatus === 'mixed';
        }
      },
      "data-indeterminate": checkedStatus === 'mixed',
      type: "checkbox",
      className: classnames(styles.checkbox, classNameOverride, reversed && styles.reversed),
      checked: getCheckedFromStatus(checkedStatus),
      onChange: onCheck,
      value: value !== null && value !== void 0 ? value : checkedStatus,
      readOnly: onCheck === undefined
    }, restProps)), /*#__PURE__*/React.createElement("span", {
      className: classnames(styles.box, reversed && styles.reversed)
    }, renderCheckOrMixedIcon(checkedStatus, reversed)));
  };
  Checkbox.displayName = 'Checkbox';
  return Checkbox;
}();
export { Checkbox };
