import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { Label } from '../../Label/Label.mjs';
import { Checkbox } from '../Checkbox/Checkbox.mjs';
import styles from './CheckboxField.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094661/Checkbox+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-checkobx-controls-checkbox-field--docs Storybook}
 */
const CheckboxField = /*#__PURE__*/function () {
  const CheckboxField = function (_a) {
    var propsId = _a["id"],
      labelText = _a.labelText,
      checkedStatus = _a.checkedStatus,
      _b = _a.disabled,
      disabled = _b === void 0 ? false : _b,
      _c = _a.reversed,
      reversed = _c === void 0 ? false : _c,
      _d = _a.noBottomMargin,
      noBottomMargin = _d === void 0 ? false : _d,
      dataTestId = _a["data-testid"],
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ['id', "labelText", "checkedStatus", "disabled", "reversed", "noBottomMargin", 'data-testid', "classNameOverride"]);
    var fallbackId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
    return /*#__PURE__*/React.createElement("div", {
      "data-testid": dataTestId,
      className: classnames(styles.container, classNameOverride, checkedStatus === 'on' && styles.checked, checkedStatus === 'mixed' && styles.mixed, reversed && styles.reversed, noBottomMargin && styles.noBottomMargin)
    }, /*#__PURE__*/React.createElement(Label, {
      id: "".concat(id, "-field-label"),
      htmlFor: "".concat(id, "-field-checkbox"),
      "data-testid": "".concat(id, "-field-label"),
      labelText: labelText,
      reversed: reversed,
      labelType: "checkbox",
      disabled: disabled,
      classNameOverride: styles.label
    }, /*#__PURE__*/React.createElement(Checkbox, __assign({
      id: "".concat(id, "-field-checkbox"),
      "data-testid": "".concat(id, "-field-checkbox"),
      disabled: disabled,
      reversed: reversed,
      checkedStatus: checkedStatus
    }, restProps))));
  };
  CheckboxField.displayName = 'CheckboxField';
  return CheckboxField;
}();
export { CheckboxField };
