import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './CollapsibleGroup.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094383/Collapsible Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-collapsible-collapsible-group--docs Storybook}
 */
var CollapsibleGroup = function (_a) {
  var children = _a.children,
    _b = _a.separated,
    separated = _b === void 0 ? false : _b,
    sticky = _a.sticky,
    _c = _a.noSectionPadding,
    noSectionPadding = _c === void 0 ? false : _c,
    _d = _a.lazyLoad,
    lazyLoad = _d === void 0 ? false : _d,
    onToggle = _a.onToggle,
    classNameOverride = _a.classNameOverride,
    props = __rest(_a, ["children", "separated", "sticky", "noSectionPadding", "lazyLoad", "onToggle", "classNameOverride"]);
  return /*#__PURE__*/React.createElement("div", __assign({
    className: classnames(classNameOverride, !separated && styles.container)
  }, props), React.Children.map(children, function (collapsible) {
    return /*#__PURE__*/React.cloneElement(collapsible, {
      group: true,
      separated: separated,
      sticky: sticky,
      noSectionPadding: noSectionPadding,
      lazyLoad: lazyLoad,
      onToggle: onToggle
    });
  }));
};
export { CollapsibleGroup };
