import { __assign } from 'tslib';
import React from 'react';
import { Brand } from '../../Brand/Brand.mjs';
import { Collapsible } from '../Collapsible/Collapsible.mjs';
import { Heading } from '../../Heading/Heading.mjs';
import styles from './ExpertAdviceCollapsible.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094383/Collapsible Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-collapsible--docs Storybook}
 */
const ExpertAdviceCollapsible = /*#__PURE__*/function () {
  const ExpertAdviceCollapsible = function (props) {
    return /*#__PURE__*/React.createElement(Collapsible, __assign({}, props, {
      noSectionPadding: true,
      classNameOverride: styles.expertAdviceContainer,
      renderHeader: function () {
        return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
          className: styles.expertAdviceHeader
        }, /*#__PURE__*/React.createElement(Brand, {
          classNameOverride: styles.expertAdviceIcon,
          alt: "Expert Advice",
          variant: "collective-intelligence",
          reversed: true
        }), /*#__PURE__*/React.createElement(Heading, {
          variant: "heading-4",
          tag: "span",
          classNameOverride: styles.expertAdviceHeading
        }, props.title)));
      }
    }), /*#__PURE__*/React.createElement("div", {
      className: styles.expertAdviceSection
    }, props.children));
  };
  ExpertAdviceCollapsible.displayName = 'ExpertAdviceCollapsible';
  return ExpertAdviceCollapsible;
}();
export { ExpertAdviceCollapsible };
