import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './Container.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3086156812/Layout Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-content--docs Storybook}
 */
const Container = /*#__PURE__*/function () {
  const Container = /*#__PURE__*/React.forwardRef(function (_a, ref) {
    var children = _a.children,
      style = _a.style,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "style", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      ref: ref,
      className: classnames(styles.container, classNameOverride),
      style: style
    }, restProps), children);
  });
  Container.displayName = 'Container';
  return Container;
}();
export { Container };
