import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Input } from '../../Input/Input/Input.mjs';
import '../../Input/InputRange/InputRange.mjs';
import '../../Input/InputSearch/InputSearch.mjs';
import { Label } from '../../Label/Label.mjs';
import { isRefObject } from '../../utils/isRefObject.mjs';
import styles from './DateInput.module.scss.mjs';
const DateInput = /*#__PURE__*/function () {
  const DateInput = /*#__PURE__*/React.forwardRef(function (_a, ref) {
    var id = _a.id,
      labelText = _a.labelText,
      disabled = _a.disabled,
      _b = _a.isReversed,
      isReversed = _b === void 0 ? false : _b,
      classNameOverride = _a.classNameOverride,
      inputProps = __rest(_a, ["id", "labelText", "disabled", "isReversed", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.dateInput, classNameOverride)
    }, /*#__PURE__*/React.createElement(Label, {
      htmlFor: id,
      id: "".concat(id, "-input-label"),
      labelText: labelText,
      reversed: isReversed,
      disabled: disabled
    }), /*#__PURE__*/React.createElement(Input, __assign({
      inputRef: isRefObject(ref) ? ref : undefined,
      id: id,
      type: "text",
      autoComplete: "off",
      classNameOverride: styles.input,
      disabled: disabled,
      reversed: isReversed
    }, inputProps)));
  });
  DateInput.displayName = 'DateInput';
  return DateInput;
}();
export { DateInput };
