import React from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import { LabelledMessage } from '../../LabelledMessage/LabelledMessage.mjs';
import { formatDescriptionInputFormat } from './utils/formatDescriptionInputFormat.mjs';
import styles from './DateInputDescription.module.scss.mjs';
const DateInputDescription = /*#__PURE__*/function () {
  const DateInputDescription = function (_a) {
    var description = _a.description,
      locale = _a.locale;
    var formatMessage = useIntl().formatMessage;
    var hasCustomDescription = typeof description === 'string' && description !== '' || /*#__PURE__*/React.isValidElement(description);
    var translatedInputFormatMessage = formatMessage({
      id: 'dateInputDescription.inputFormat',
      defaultMessage: 'Input format',
      description: "Label for the 'Input format' field"
    });
    if (hasCustomDescription) {
      return /*#__PURE__*/React.createElement("span", {
        className: styles.dateInputDescription
      }, /*#__PURE__*/React.createElement("span", null, description), /*#__PURE__*/React.createElement("span", {
        className: styles.dateInputFormatContainer
      }, "(", /*#__PURE__*/React.createElement(LabelledMessage, {
        label: translatedInputFormatMessage,
        message: formatDescriptionInputFormat(locale)
      }), ")"));
    }
    return /*#__PURE__*/React.createElement(LabelledMessage, {
      label: translatedInputFormatMessage,
      message: formatDescriptionInputFormat(locale)
    });
  };
  DateInputDescription.displayName = 'DateInputDescription';
  return DateInputDescription;
}();
export { DateInputDescription };
