import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { enAU } from 'date-fns/locale';
import '../../../DateInput/DateInput/DateInput.mjs';
import { DateInputDescription } from '../../../DateInput/DateInputDescription/DateInputDescription.mjs';
import { DateInputWithIconButton } from '../../../DateInput/DateInputWithIconButton/DateInputWithIconButton.mjs';
import { FieldMessage } from '../../../FieldMessage/FieldMessage.mjs';
import styles from './DateInputField.module.scss.mjs';
const DateInputField = /*#__PURE__*/function () {
  const DateInputField = /*#__PURE__*/React.forwardRef(function (_a, ref) {
    var description = _a.description,
      status = _a.status,
      validationMessage = _a.validationMessage,
      _b = _a.locale,
      locale = _b === void 0 ? enAU : _b,
      propsId = _a.id,
      disabled = _a.disabled,
      _c = _a.isReversed,
      isReversed = _c === void 0 ? false : _c,
      classNameOverride = _a.classNameOverride,
      dateInputWithIconButtonProps = __rest(_a, ["description", "status", "validationMessage", "locale", "id", "disabled", "isReversed", "classNameOverride"]);
    var reactId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : reactId;
    var descriptionId = "".concat(id, "-field-message");
    var shouldShowValidationMessage = !disabled && validationMessage;
    return /*#__PURE__*/React.createElement("div", {
      className: classNameOverride
    }, /*#__PURE__*/React.createElement(DateInputWithIconButton, __assign({
      ref: ref,
      id: id,
      "aria-describedby": descriptionId,
      status: status,
      disabled: disabled,
      isReversed: isReversed
    }, dateInputWithIconButtonProps)), shouldShowValidationMessage && (/*#__PURE__*/React.createElement(FieldMessage, {
      message: validationMessage,
      status: status,
      reversed: isReversed
    })), /*#__PURE__*/React.createElement("div", {
      className: classnames(disabled && styles.disabled)
    }, /*#__PURE__*/React.createElement(FieldMessage, {
      id: descriptionId,
      message: /*#__PURE__*/React.createElement(DateInputDescription, {
        description: description,
        locale: locale
      }),
      reversed: isReversed
    })));
  });
  DateInputField.displayName = 'DateInputField';
  return DateInputField;
}();
export { DateInputField };
