import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './Divider.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082061035/Divider Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-divider--docs Storybook}
 */
const Divider = /*#__PURE__*/function () {
  const Divider = function (_a) {
    var variant = _a.variant,
      _b = _a.isReversed,
      isReversed = _b === void 0 ? false : _b,
      classNameOverride = _a.classNameOverride,
      props = __rest(_a, ["variant", "isReversed", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("hr", __assign({
      "aria-hidden": "true",
      className: classnames(styles.wrapper, classNameOverride, isReversed && styles.reversed, styles[variant])
    }, props));
  };
  Divider.displayName = 'Divider';
  return Divider;
}();
export { Divider };
