import { __rest, __assign } from 'tslib';
import React, { useId, useState, useRef, useEffect } from 'react';
import classnames from 'classnames';
import { FocusOn } from 'react-focus-on';
import { FilterPopover } from './subcomponents/FilterPopover/FilterPopover.mjs';
import styles from './Filter.module.css.mjs';
const Filter = /*#__PURE__*/function () {
  const Filter = function (_a) {
    var _b, _c, _d, _e;
    var children = _a.children,
      isOpen = _a.isOpen,
      setIsOpen = _a.setIsOpen,
      renderTrigger = _a.renderTrigger,
      classNameOverride = _a.classNameOverride,
      onMount = _a.onMount,
      restProps = __rest(_a, ["children", "isOpen", "setIsOpen", "renderTrigger", "classNameOverride", "onMount"]);
    var triggerId = useId();
    var _f = useState(false),
      isRefLoaded = _f[0],
      setIsRefLoaded = _f[1];
    var trigger = renderTrigger({
      id: triggerId,
      onClick: function () {
        return setIsOpen(!isOpen);
      },
      isOpen: isOpen
    });
    var inbuiltButtonRef = useRef(null);
    var inbuiltRef = useRef({
      triggerRef: inbuiltButtonRef
    });
    var filterButtonRef = (_b = trigger.ref) !== null && _b !== void 0 ? _b : inbuiltRef;
    useEffect(function () {
      var _a, _b;
      if ((_b = (_a = filterButtonRef.current) === null || _a === void 0 ? void 0 : _a.triggerRef) === null || _b === void 0 ? void 0 : _b.current) {
        setIsRefLoaded(true);
        onMount === null || onMount === void 0 ? void 0 : onMount(filterButtonRef.current.triggerRef);
      }
    }, [filterButtonRef, onMount]);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.filter, classNameOverride)
    }, restProps), /*#__PURE__*/React.cloneElement(trigger, {
      ref: filterButtonRef
    }), isRefLoaded && isOpen && (/*#__PURE__*/React.createElement(FocusOn, {
      scrollLock: false,
      onClickOutside: function () {
        return setIsOpen(false);
      },
      onEscapeKey: function () {
        return setIsOpen(false);
      }
    }, /*#__PURE__*/React.createElement(FilterPopover, {
      referenceElement: (_e = (_d = (_c = filterButtonRef.current) === null || _c === void 0 ? void 0 : _c.triggerRef) === null || _d === void 0 ? void 0 : _d.current) !== null && _e !== void 0 ? _e : null,
      "aria-labelledby": trigger.props.id
    }, children))));
  };
  Filter.displayName = 'Filter';
  return Filter;
}();
export { Filter };
