import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { FilterBarProvider } from './context/FilterBarContext.mjs';
import { FilterBarDatePicker } from './subcomponents/FilterBarDatePicker/FilterBarDatePicker.mjs';
import { FilterBarDateRangePicker } from './subcomponents/FilterBarDateRangePicker/FilterBarDateRangePicker.mjs';
import { FilterBarMultiSelect } from './subcomponents/FilterBarMultiSelect/FilterBarMultiSelect.mjs';
import { FilterBarSelect } from './subcomponents/FilterBarSelect/FilterBarSelect.mjs';
import { AddFiltersMenu } from './subcomponents/AddFiltersMenu/AddFiltersMenu.mjs';
import { ClearAllButton } from './subcomponents/ClearAllButton/ClearAllButton.mjs';
import styles from './FilterBar.module.css.mjs';
const FilterBar = /*#__PURE__*/function () {
  const FilterBar = function (_a) {
    var filters = _a.filters,
      classNameOverride = _a.classNameOverride,
      providerProps = __rest(_a, ["filters", "classNameOverride"]);
    return /*#__PURE__*/React.createElement(FilterBarProvider, __assign({
      filters: filters
    }, providerProps), function (activeFilters) {
      return /*#__PURE__*/React.createElement("div", {
        className: classnames(styles.filterBar, classNameOverride)
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.filtersContainer
      }, Object.values(activeFilters).map(function (_a) {
        var id = _a.id,
          Component = _a.Component;
        return (
          /*#__PURE__*/
          // `id` will always be `string`, but keyof ValuesMap transformed it
          React.createElement(React.Fragment, {
            key: id
          }, /*#__PURE__*/React.cloneElement(Component, {
            id: id
          }))
        );
      }), /*#__PURE__*/React.createElement(AddFiltersMenu, null)), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(ClearAllButton, null)));
    });
  };
  FilterBar.displayName = 'FilterBar';
  FilterBar.DatePicker = FilterBarDatePicker;
  FilterBar.DateRangePicker = FilterBarDateRangePicker;
  FilterBar.MultiSelect = FilterBarMultiSelect;
  FilterBar.Select = FilterBarSelect;
  return FilterBar;
}();
export { FilterBar };
