import React, { useRef, useEffect } from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import { Button } from '../../../../Button/Button/Button.mjs';
import '../../../../Button/IconButton/IconButton.mjs';
import { Menu, MenuList, MenuItem } from '../../../../Menu/index.mjs';
import { Icon } from '../../../../__next__/Icon/Icon.mjs';
import { useFilterBarContext } from '../../context/FilterBarContext.mjs';
const AddFiltersMenu = /*#__PURE__*/function () {
  const AddFiltersMenu = function () {
    var formatMessage = useIntl().formatMessage;
    var buttonRef = useRef(null);
    var menuButtonLabel = formatMessage({
      id: 'filterBar.addFiltersMenu.buttonLabel',
      defaultMessage: 'Add filters',
      description: 'Menu button label to show additional available filter options'
    });
    var _a = useFilterBarContext(),
      getInactiveFilters = _a.getInactiveFilters,
      showFilter = _a.showFilter,
      focusId = _a.focusId,
      setFocus = _a.setFocus;
    var inactiveFilters = getInactiveFilters();
    useEffect(function () {
      var _a;
      if (focusId === 'add_filter') {
        (_a = buttonRef.current) === null || _a === void 0 ? void 0 : _a.focus();
        setFocus(undefined);
      }
    }, [focusId, setFocus]);
    return /*#__PURE__*/React.createElement(Menu, {
      button: /*#__PURE__*/React.createElement(Button, {
        ref: buttonRef,
        label: menuButtonLabel,
        secondary: true,
        disabled: inactiveFilters.length === 0,
        icon: /*#__PURE__*/React.createElement(Icon, {
          name: "add",
          isPresentational: true
        })
      })
    }, /*#__PURE__*/React.createElement(MenuList, null, inactiveFilters.map(function (_a) {
      var id = _a.id,
        name = _a.name;
      return /*#__PURE__*/React.createElement(MenuItem, {
        key: id,
        label: name,
        onClick: function () {
          return showFilter(id);
        }
      });
    })));
  };
  AddFiltersMenu.displayName = 'FilterBar.AddFiltersMenu';
  return AddFiltersMenu;
}();
export { AddFiltersMenu };
