import React from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import classnames from 'classnames';
import { Button } from '../../../../Button/Button/Button.mjs';
import '../../../../Button/IconButton/IconButton.mjs';
import { useFilterBarContext } from '../../context/FilterBarContext.mjs';
import styles from './ClearAllButton.module.css.mjs';
const ClearAllButton = /*#__PURE__*/function () {
  const ClearAllButton = function () {
    var _a;
    var formatMessage = useIntl().formatMessage;
    var clearButtonLabel = formatMessage({
      id: 'filterBar.clearAllButton.label',
      defaultMessage: 'Clear all',
      description: 'Button label to clear all values within the filter bar'
    });
    var clearButtonAriaLabel = formatMessage({
      id: 'filterBar.clearAllButton.ariaLabel',
      defaultMessage: 'Clear all filters',
      description: 'Button aria-label to clear all values within the filter bar'
    });
    var _b = useFilterBarContext(),
      clearAllFilters = _b.clearAllFilters,
      isClearable = _b.isClearable;
    return /*#__PURE__*/React.createElement(Button, {
      label: clearButtonLabel,
      "aria-label": clearButtonAriaLabel,
      classNameOverride: classnames(styles.clearAllButton, (_a = {}, _a[styles.hidden] = !isClearable, _a)),
      secondary: true,
      onClick: clearAllFilters
    });
  };
  ClearAllButton.displayName = 'FilterBar.ClearAllButton';
  return ClearAllButton;
}();
export { ClearAllButton };
