import { __rest, __assign } from 'tslib';
import React, { forwardRef, useEffect } from 'react';
import classnames from 'classnames';
import { useFilterBarContext } from '../../context/FilterBarContext.mjs';
import '../../../FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.mjs';
import { FilterButton } from '../../../FilterButton/FilterButton/FilterButton.mjs';
import { FilterButtonRemovable } from '../../../FilterButton/FilterButtonRemovable/FilterButtonRemovable.mjs';
import { isRefObject } from '../../../../utils/isRefObject.mjs';
import styles from './FilterBarButton.module.css.mjs';
const FilterBarButton = /*#__PURE__*/function () {
  const FilterBarButton = /*#__PURE__*/forwardRef(function (_a, ref) {
    var filterId = _a.filterId,
      _b = _a.isRemovable,
      isRemovable = _b === void 0 ? false : _b,
      classNameOverride = _a.classNameOverride,
      props = __rest(_a, ["filterId", "isRemovable", "classNameOverride"]);
    var _c = useFilterBarContext(),
      hideFilter = _c.hideFilter,
      focusId = _c.focusId,
      setFocus = _c.setFocus;
    useEffect(function () {
      var _a, _b, _c;
      if (focusId === filterId && isRefObject(ref)) {
        (_c = (_b = (_a = ref === null || ref === void 0 ? void 0 : ref.current) === null || _a === void 0 ? void 0 : _a.triggerRef) === null || _b === void 0 ? void 0 : _b.current) === null || _c === void 0 ? void 0 : _c.focus();
        setFocus(undefined);
      }
    }, [filterId, focusId, ref, setFocus]);
    return isRemovable ? (/*#__PURE__*/React.createElement(FilterButtonRemovable, {
      ref: ref,
      triggerButtonProps: props,
      removeButtonProps: {
        onClick: function () {
          return hideFilter(filterId);
        }
      },
      classNameOverride: classnames(classNameOverride, styles.filterBarButton)
    })) : (/*#__PURE__*/React.createElement(FilterButton, __assign({
      ref: ref,
      classNameOverride: classnames(classNameOverride, styles.filterBarButton)
    }, props)));
  });
  FilterBarButton.displayName = 'FilterBar.Button';
  return FilterBarButton;
}();
export { FilterBarButton };
