import { __rest, __assign } from 'tslib';
import React from 'react';
import { FilterDateRangePicker } from '../../../FilterDateRangePicker/FilterDateRangePicker.mjs';
import { useFilterBarContext } from '../../context/FilterBarContext.mjs';
import { FilterBarButton } from '../FilterBarButton/FilterBarButton.mjs';
const FilterBarDateRangePicker = /*#__PURE__*/function () {
  const FilterBarDateRangePicker = function (_a) {
    var id = _a.id,
      onRangeChange = _a.onRangeChange,
      _b = _a.locale,
      locale = _b === void 0 ? 'en-AU' : _b,
      props = __rest(_a, ["id", "onRangeChange", "locale"]);
    var _c = useFilterBarContext(),
      getFilterState = _c.getFilterState,
      setFilterOpenState = _c.setFilterOpenState,
      updateValue = _c.updateValue;
    if (!id) throw Error('Missing `id` prop in FilterBarDateRangePicker');
    var filterState = getFilterState(id);
    return /*#__PURE__*/React.createElement(FilterDateRangePicker, __assign({}, props, {
      id: id,
      label: filterState.name,
      renderTrigger: function (triggerProps) {
        return /*#__PURE__*/React.createElement(FilterBarButton, __assign({}, triggerProps, {
          filterId: id,
          isRemovable: filterState.isRemovable
        }));
      },
      isOpen: filterState.isOpen,
      setIsOpen: function (open) {
        return setFilterOpenState(id, open);
      },
      selectedRange: filterState.value,
      onRangeChange: function (range) {
        updateValue(id, range);
        onRangeChange === null || onRangeChange === void 0 ? void 0 : onRangeChange(range);
      },
      locale: locale
    }));
  };
  FilterBarDateRangePicker.displayName = 'FilterBar.DateRangePicker';
  return FilterBarDateRangePicker;
}();
export { FilterBarDateRangePicker };
