import { __rest, __assign } from 'tslib';
import React, { useState, useEffect } from 'react';
import { FilterSelect } from '../../../FilterSelect/FilterSelect.mjs';
import { useFilterBarContext } from '../../context/FilterBarContext.mjs';
import { checkArraysMatch } from '../../utils/checkArraysMatch.mjs';
import { FilterBarButton } from '../FilterBarButton/FilterBarButton.mjs';
const FilterBarSelect = /*#__PURE__*/function () {
  const FilterBarSelect = function (_a) {
    var _b;
    var id = _a.id,
      propsItems = _a.items,
      onSelectionChange = _a.onSelectionChange,
      props = __rest(_a, ["id", "items", "onSelectionChange"]);
    var _c = useFilterBarContext(),
      getFilterState = _c.getFilterState,
      setFilterOpenState = _c.setFilterOpenState,
      updateValue = _c.updateValue;
    var _d = useState(propsItems),
      items = _d[0],
      setItems = _d[1];
    if (!id) throw Error('Missing `id` prop in FilterBarSelect');
    var filterState = getFilterState(id);
    useEffect(function () {
      if (!checkArraysMatch(items, propsItems)) {
        setItems(propsItems);
      }
      // We only want to run this effect when propsItems changes
      // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [propsItems]);
    useEffect(function () {
      if (filterState.value) {
        var itemValues = items.map(function (item) {
          return item === null || item === void 0 ? void 0 : item.value;
        });
        if (!itemValues.includes(filterState.value)) {
          updateValue(id, undefined);
        }
      }
      // We only want to run this effect when items changes
      // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [items]);
    return /*#__PURE__*/React.createElement(FilterSelect, __assign({}, props, {
      items: items,
      selectedKey: (_b = filterState.value) !== null && _b !== void 0 ? _b : null,
      label: filterState.name,
      renderTrigger: function (triggerProps) {
        return /*#__PURE__*/React.createElement(FilterBarButton, __assign({}, triggerProps, {
          filterId: id,
          isRemovable: filterState.isRemovable
        }));
      },
      onSelectionChange: function (key) {
        updateValue(id, key !== null && key !== void 0 ? key : undefined);
        onSelectionChange === null || onSelectionChange === void 0 ? void 0 : onSelectionChange(key);
      },
      isOpen: filterState.isOpen,
      setIsOpen: function (open) {
        return setFilterOpenState(id, open);
      }
    }));
  };
  FilterBarSelect.displayName = 'FilterBarSelect';
  return FilterBarSelect;
}();
export { FilterBarSelect };
