import React from 'react';
import { LabelledMessage } from '../../../LabelledMessage/LabelledMessage.mjs';
import { getNodeText } from '../../../utils/getNodeText.mjs';
var getDateValidationHandler = function (_a) {
  var onValidate = _a.onValidate,
    setInbuiltValidationMessage = _a.setInbuiltValidationMessage,
    inputLabel = _a.inputLabel;
  return function (validationResponse) {
    if (onValidate) return onValidate(validationResponse);
    var validationMessage = validationResponse.validationMessage;
    if (!validationMessage) {
      setInbuiltValidationMessage(undefined);
      return;
    }
    setInbuiltValidationMessage({
      status: validationMessage.status,
      message: inputLabel ? (/*#__PURE__*/React.createElement(LabelledMessage, {
        label: "".concat(getNodeText(inputLabel)),
        message: validationMessage.message
      })) : validationMessage.message
    });
  };
};
export { getDateValidationHandler };
