import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { getLocale } from '../../DatePicker/utils/getLocale.mjs';
import { Filter } from '../Filter/Filter.mjs';
import { FilterContents } from '../Filter/subcomponents/FilterContents/FilterContents.mjs';
import { DateRangeDisplayLabel } from './subcomponents/DateRangeDisplayLabel/DateRangeDisplayLabel.mjs';
import { FilterDateRangePickerField } from './subcomponents/FilterDateRangePickerField/FilterDateRangePickerField.mjs';
import { isValidRange } from './subcomponents/FilterDateRangePickerField/utils/isValidRange.mjs';
import { isCompleteDateRange } from './utils/isCompleteDateRange.mjs';
import styles from './FilterDateRangePicker.module.css.mjs';
const FilterDateRangePicker = /*#__PURE__*/function () {
  const FilterDateRangePicker = function (_a) {
    var propsId = _a.id,
      isOpen = _a.isOpen,
      setIsOpen = _a.setIsOpen,
      renderTrigger = _a.renderTrigger,
      selectedRange = _a.selectedRange,
      label = _a.label,
      locale = _a.locale,
      restProps = __rest(_a, ["id", "isOpen", "setIsOpen", "renderTrigger", "selectedRange", "label", "locale"]);
    var reactId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : reactId;
    return /*#__PURE__*/React.createElement(Filter, {
      isOpen: isOpen,
      setIsOpen: setIsOpen,
      renderTrigger: function (triggerProps) {
        return renderTrigger(__assign({
          selectedValue: isCompleteDateRange(selectedRange) && isValidRange(selectedRange.from, selectedRange.to) ? (/*#__PURE__*/React.createElement(DateRangeDisplayLabel, {
            dateRange: selectedRange,
            locale: getLocale(locale)
          })) : undefined,
          label: label
        }, triggerProps));
      }
    }, /*#__PURE__*/React.createElement(FilterContents, {
      classNameOverride: classnames(styles.filterDateRangePickerContents)
    }, /*#__PURE__*/React.createElement(FilterDateRangePickerField, __assign({
      id: "".concat(id, "--input"),
      label: label,
      locale: locale,
      selectedRange: selectedRange
    }, restProps))));
  };
  FilterDateRangePicker.displayName = 'FilterDateRangePicker';
  return FilterDateRangePicker;
}();
export { FilterDateRangePicker };
