import React from 'react';
import { FieldMessage } from '../../../../FieldMessage/FieldMessage.mjs';
import styles from './DateRangeValidationMessage.module.scss.mjs';
const DateRangeValidationMessage = /*#__PURE__*/function () {
  const DateRangeValidationMessage = function (_a) {
    var validationMessage = _a.validationMessage,
      dateStartId = _a.dateStartId,
      dateEndId = _a.dateEndId,
      isReversed = _a.isReversed;
    if (!validationMessage) return null;
    var dateStart = validationMessage.dateStart;
    var dateEnd = validationMessage.dateEnd;
    if (dateStart && dateEnd) {
      if (dateStart.status === dateEnd.status) {
        return /*#__PURE__*/React.createElement(FieldMessage, {
          message: /*#__PURE__*/React.createElement("ul", {
            className: styles.fieldMessageList
          }, /*#__PURE__*/React.createElement("li", {
            id: dateStartId
          }, dateStart.message), /*#__PURE__*/React.createElement("li", {
            id: dateEndId
          }, dateEnd.message)),
          status: dateStart.status || dateEnd.status,
          reversed: isReversed
        });
      }
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(FieldMessage, {
        id: dateStartId,
        message: dateStart.message,
        status: dateStart.status,
        reversed: isReversed
      }), /*#__PURE__*/React.createElement(FieldMessage, {
        id: dateEndId,
        message: dateEnd.message,
        status: dateEnd.status,
        reversed: isReversed
      }));
    }
    if (dateStart) {
      return /*#__PURE__*/React.createElement(FieldMessage, {
        id: dateStartId,
        message: dateStart.message,
        status: dateStart.status,
        reversed: isReversed
      });
    }
    if (dateEnd) {
      return /*#__PURE__*/React.createElement(FieldMessage, {
        id: dateEndId,
        message: dateEnd.message,
        status: dateEnd.status,
        reversed: isReversed
      });
    }
    return null;
  };
  DateRangeValidationMessage.displayName = 'DateRangeValidationMessage';
  return DateRangeValidationMessage;
}();
export { DateRangeValidationMessage };
