import { __assign } from 'tslib';
import React from 'react';
import { FormattedMessage } from '@cultureamp/i18n-react-intl';
import { getNodeText } from '../../../../../utils/getNodeText.mjs';
import { isValidRange } from './isValidRange.mjs';
var validateEndDateBeforeStartDate = function (_a) {
  var startDate = _a.startDate,
    startDateFieldLabel = _a.startDateFieldLabel,
    endDate = _a.endDate,
    endDateInputValue = _a.endDateInputValue;
  var baseResponse = {
    date: endDate,
    inputValue: endDateInputValue,
    validationMessage: undefined,
    isInvalid: false,
    isDisabled: false,
    isEmpty: false,
    isValidDate: true
  };
  if (!isValidRange(startDate, endDate)) {
    return {
      validationResponse: __assign(__assign({}, baseResponse), {
        validationMessage: {
          status: 'error',
          message: (/*#__PURE__*/React.createElement(FormattedMessage, {
            id: "date.validation.rangeEndBeforeRangeStart",
            defaultMessage: 'Cannot be earlier than the selection in "{startDateFieldLabel}"',
            description: "Error message when the user tries to select an end date earlier than the start date",
            values: {
              startDateFieldLabel: getNodeText(startDateFieldLabel)
            }
          }))
        }
      }),
      newDate: endDate
    };
  }
  return {
    validationResponse: baseResponse,
    newDate: endDate
  };
};
export { validateEndDateBeforeStartDate };
