import { __rest } from 'tslib';
import React, { useId } from 'react';
import { VisuallyHidden } from '../../../../VisuallyHidden/VisuallyHidden.mjs';
import styles from './ListBoxSection.module.scss.mjs';
const ListBoxSection = /*#__PURE__*/function () {
  const ListBoxSection = function (_a) {
    var items = _a.items,
      children = _a.children,
      sectionName = _a.sectionName,
      restProps = __rest(_a, ["items", "children", "sectionName"]);
    var listSectionId = useId();
    var hasSectionHeader = 'sectionHeader' in restProps;
    return /*#__PURE__*/React.createElement("li", {
      role: "presentation"
    }, /*#__PURE__*/React.createElement("ul", {
      className: styles.listBoxSection,
      "aria-label": !hasSectionHeader ? sectionName : undefined,
      "aria-labelledby": hasSectionHeader ? listSectionId : undefined,
      role: "group"
    }, hasSectionHeader && (/*#__PURE__*/React.createElement("li", {
      className: styles.listBoxSectionHeader,
      id: listSectionId,
      role: "presentation"
    }, sectionName && /*#__PURE__*/React.createElement(VisuallyHidden, null, sectionName, ". "), restProps.sectionHeader)), Array.from(items).map(function (node) {
      return node != undefined && children(node);
    })));
  };
  ListBoxSection.displayName = 'ListBoxSection';
  return ListBoxSection;
}();
export { ListBoxSection };
