import React, { useId } from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import { InputSearch } from '../../../../Input/InputSearch/InputSearch.mjs';
import '../../context/MenuTriggerProvider/MenuTriggerProvider.mjs';
import { useSelectionContext } from '../../context/SelectionProvider/SelectionProvider.mjs';
import styles from './SearchInput.module.scss.mjs';
const SearchInput = /*#__PURE__*/function () {
  const SearchInput = function (_a) {
    var label = _a.label,
      id = _a.id,
      isLoading = _a.isLoading;
    var formatMessage = useIntl().formatMessage;
    var _b = useSelectionContext(),
      setSearchQuery = _b.setSearchQuery,
      searchQuery = _b.searchQuery;
    var handleChange = function (e) {
      setSearchQuery(e.target.value);
    };
    var handleClear = function () {
      return setSearchQuery('');
    };
    var reactId = useId();
    var inputId = id !== null && id !== void 0 ? id : reactId;
    var defaultAriaLabel = formatMessage({
      id: 'filterMultiSelectSearchInput.label',
      defaultMessage: 'Filter options by search query',
      description: 'Label for the search input'
    });
    var placeholder = formatMessage({
      id: 'filterMultiSelectSearchInput.placeholder',
      defaultMessage: 'Search…',
      description: 'Placeholder for the search input'
    });
    return /*#__PURE__*/React.createElement("div", {
      className: styles.inputSearchContainer
    }, /*#__PURE__*/React.createElement(InputSearch, {
      id: inputId,
      "aria-label": label !== null && label !== void 0 ? label : defaultAriaLabel,
      secondary: true,
      placeholder: placeholder,
      value: searchQuery,
      onChange: handleChange,
      onClear: handleClear,
      loading: isLoading
    }));
  };
  SearchInput.displayName = 'FilterMultiSelect.SearchInput';
  return SearchInput;
}();
export { SearchInput };
