import { __spreadArray } from 'tslib';
import React from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import classnames from 'classnames';
import '../../../context/MenuTriggerProvider/MenuTriggerProvider.mjs';
import { useSelectionContext } from '../../../context/SelectionProvider/SelectionProvider.mjs';
import styles from '../SelectionControlButton.module.scss.mjs';
const SelectAllButton = /*#__PURE__*/function () {
  const SelectAllButton = function () {
    var selectionState = useSelectionContext().selectionState;
    var selectedOptions = Array.from(selectionState.selectionManager.selectedKeys);
    var disabledOptions = selectionState.disabledKeys ? Array.from(selectionState.disabledKeys) : [];
    var filteredOptions = Array.from(selectionState.collection.getKeys()).filter(function (key) {
      return !disabledOptions.includes(key);
    });
    var formatMessage = useIntl().formatMessage;
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: classnames(styles.button, selectionState.selectionManager.isSelectAll && styles.isDisabled),
      "aria-disabled": selectionState.selectionManager.isSelectAll,
      onClick: function () {
        return !selectionState.selectionManager.isSelectAll && selectionState.selectionManager.setSelectedKeys(__spreadArray(__spreadArray([], selectedOptions, true), filteredOptions, true));
      }
    }, formatMessage({
      defaultMessage: 'Select all',
      id: 'filterMultiSelectSelectAllButton.label',
      description: 'Select all button in filter multi select'
    }));
  };
  SelectAllButton.displayName = 'FilterMultiSelect.SelectAllButton';
  return SelectAllButton;
}();
export { SelectAllButton };
