import { __assign } from 'tslib';
import React, { useRef } from 'react';
import '../../../../FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.mjs';
import { FilterButton } from '../../../../FilterButton/FilterButton/FilterButton.mjs';
import '../../../../FilterButton/FilterButtonRemovable/FilterButtonRemovable.mjs';
import { useMenuTriggerContext } from '../../../context/MenuTriggerProvider/MenuTriggerProvider.mjs';
import '../../../context/SelectionProvider/SelectionProvider.mjs';
import { getTruncatedLabels } from '../../../utils/getTruncatedLabel.mjs';
const FilterTriggerButton = /*#__PURE__*/function () {
  const FilterTriggerButton = function (_a) {
    var selectedOptionLabels = _a.selectedOptionLabels,
      label = _a.label,
      classNameOverride = _a.classNameOverride,
      _b = _a.labelCharacterLimitBeforeTruncate,
      labelCharacterLimitBeforeTruncate = _b === void 0 ? 50 : _b;
    var _c = useMenuTriggerContext(),
      buttonProps = _c.buttonProps,
      buttonRef = _c.buttonRef,
      menuTriggerState = _c.menuTriggerState;
    var ref = useRef({
      triggerRef: buttonRef
    });
    return /*#__PURE__*/React.createElement(FilterButton, __assign({
      ref: ref
    }, buttonProps, {
      label: label,
      selectedValue: getTruncatedLabels(selectedOptionLabels, labelCharacterLimitBeforeTruncate),
      classNameOverride: classNameOverride,
      isOpen: menuTriggerState.isOpen
    }));
  };
  FilterTriggerButton.displayName = 'FilterMultiSelect.TriggerButton';
  return FilterTriggerButton;
}();
export { FilterTriggerButton };
