import { __rest, __assign } from 'tslib';
import React, { useRef } from 'react';
import classnames from 'classnames';
import { useFocusable } from 'react-aria';
import styles from './Focusable.module.scss.mjs';
var Focusable = function (_a) {
  var children = _a.children,
    className = _a.className,
    props = __rest(_a, ["children", "className"]);
  var ref = useRef(null);
  var focusableProps = useFocusable(props, ref).focusableProps;
  return /*#__PURE__*/React.createElement("div", __assign({
    ref: ref,
    className: classnames(styles.focusableWrapper, className)
  }, focusableProps, {
    "data-inline-hidden-content": true,
    // We want the div to be focusable for keyboard users,
    // but screen readers will have the VisuallyHidden content
    // eslint-disable-next-line jsx-a11y/no-noninteractive-tabindex
    tabIndex: 0,
    "aria-describedby": undefined
  }, props), children);
};
export { Focusable };
