import { __rest, __assign } from 'tslib';
import React from 'react';
import { Base } from '../subcomponents/Base/Base.mjs';
import { VideoPlayer } from '../subcomponents/VideoPlayer/VideoPlayer.mjs';

// Brand Moments
const BrandMomentPositiveOutro = /*#__PURE__*/function () {
  const BrandMomentPositiveOutro = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/brand-moments-positive-outro",
        source: "illustrations/heart/scene/brand-moments-positive-outro"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/brand-moments-positive-outro.png"
    }));
  };
  BrandMomentPositiveOutro.displayName = 'BrandMomentPositiveOutro';
  return BrandMomentPositiveOutro;
}();
const BrandMomentLogin = /*#__PURE__*/function () {
  const BrandMomentLogin = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/brand-moments-login",
        source: "illustrations/heart/scene/brand-moments-login"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/brand-moments-login.png"
    }));
  };
  BrandMomentLogin.displayName = 'BrandMomentLogin';
  return BrandMomentLogin;
}();
const BrandMomentError = /*#__PURE__*/function () {
  const BrandMomentError = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/brand-moments-error",
        source: "illustrations/heart/scene/brand-moments-error"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/brand-moments-error.png"
    }));
  };
  BrandMomentError.displayName = 'BrandMomentError';
  return BrandMomentError;
}();
const BrandMomentNewAccountOnboarding = /*#__PURE__*/function () {
  const BrandMomentNewAccountOnboarding = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/brand-moments-new-account-onboarding.svg"
    }));
  };
  BrandMomentNewAccountOnboarding.displayName = 'BrandMomentNewAccountOnboarding';
  return BrandMomentNewAccountOnboarding;
}();
const BrandMomentUploadEmployeeData = /*#__PURE__*/function () {
  const BrandMomentUploadEmployeeData = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/brand-moments-upload-employee-data.svg"
    }));
  };
  BrandMomentUploadEmployeeData.displayName = 'BrandMomentUploadEmployeeData';
  return BrandMomentUploadEmployeeData;
}();
const BrandMomentStarterKit = /*#__PURE__*/function () {
  const BrandMomentStarterKit = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/brand-moments-starter-kit.svg"
    }));
  };
  BrandMomentStarterKit.displayName = 'BrandMomentStarterKit';
  // Empty States
  return BrandMomentStarterKit;
}();
const EmptyStatesAction = /*#__PURE__*/function () {
  const EmptyStatesAction = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/empty-states-action",
        source: "illustrations/heart/scene/empty-states-action"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/empty-states-action.svg"
    }));
  };
  EmptyStatesAction.displayName = 'EmptyStatesAction';
  return EmptyStatesAction;
}();
const EmptyStatesInformative = /*#__PURE__*/function () {
  const EmptyStatesInformative = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/empty-states-informative",
        source: "illustrations/heart/scene/empty-states-informative"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/empty-states-informative.svg"
    }));
  };
  EmptyStatesInformative.displayName = 'EmptyStatesInformative';
  return EmptyStatesInformative;
}();
const EmptyStatesNegative = /*#__PURE__*/function () {
  const EmptyStatesNegative = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/empty-states-negative",
        source: "illustrations/heart/scene/empty-states-negative"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/empty-states-negative.svg"
    }));
  };
  EmptyStatesNegative.displayName = 'EmptyStatesNegative';
  return EmptyStatesNegative;
}();
const EmptyStatesPositive = /*#__PURE__*/function () {
  const EmptyStatesPositive = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/empty-states-positive",
        source: "illustrations/heart/scene/empty-states-positive"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/empty-states-positive.svg"
    }));
  };
  EmptyStatesPositive.displayName = 'EmptyStatesPositive';
  return EmptyStatesPositive;
}();
const EmptyStatesNeutral = /*#__PURE__*/function () {
  const EmptyStatesNeutral = function (_a) {
    var isAnimated = _a.isAnimated,
      enableAspectRatio = _a.enableAspectRatio,
      alt = _a.alt,
      otherProps = __rest(_a, ["isAnimated", "enableAspectRatio", "alt"]);
    if (isAnimated) {
      return /*#__PURE__*/React.createElement(VideoPlayer, __assign({
        aspectRatio: enableAspectRatio ? 'landscape' : undefined
      }, otherProps, {
        fallback: "illustrations/heart/scene/empty-states-neutral",
        source: "illustrations/heart/scene/empty-states-neutral"
      }));
    }
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/empty-states-neutral.svg"
    }));
  };
  EmptyStatesNeutral.displayName = 'EmptyStatesNeutral';
  // Information Modals
  return EmptyStatesNeutral;
}();
const Information360Upgrade = /*#__PURE__*/function () {
  const Information360Upgrade = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-360-upgrade.svg"
    }));
  };
  Information360Upgrade.displayName = 'Information360Upgrade';
  return Information360Upgrade;
}();
const InformationDemographicFocus = /*#__PURE__*/function () {
  const InformationDemographicFocus = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-demographic-focus.svg"
    }));
  };
  InformationDemographicFocus.displayName = 'InformationDemographicFocus';
  return InformationDemographicFocus;
}();
const InformationTurnoverCalculator = /*#__PURE__*/function () {
  const InformationTurnoverCalculator = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-turnover-calculator.svg"
    }));
  };
  InformationTurnoverCalculator.displayName = 'InformationTurnoverCalculator';
  return InformationTurnoverCalculator;
}();
const InformationTurnoverForecast = /*#__PURE__*/function () {
  const InformationTurnoverForecast = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-turnover-forecast.svg"
    }));
  };
  InformationTurnoverForecast.displayName = 'InformationTurnoverForecast';
  return InformationTurnoverForecast;
}();
const InformationEmergingTrends = /*#__PURE__*/function () {
  const InformationEmergingTrends = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-emerging-trends.svg"
    }));
  };
  InformationEmergingTrends.displayName = 'InformationEmergingTrends';
  return InformationEmergingTrends;
}();
const InformationEmployeeLifecycle = /*#__PURE__*/function () {
  const InformationEmployeeLifecycle = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-employee-lifecycle.svg"
    }));
  };
  InformationEmployeeLifecycle.displayName = 'InformationEmployeeLifecycle';
  return InformationEmployeeLifecycle;
}();
const InformationReportOwner = /*#__PURE__*/function () {
  const InformationReportOwner = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-report-owner.svg"
    }));
  };
  InformationReportOwner.displayName = 'InformationReportOwner';
  return InformationReportOwner;
}();
const InformationReportOwnerByRule = /*#__PURE__*/function () {
  const InformationReportOwnerByRule = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/information-modals-report-owner-by-rule.svg"
    }));
  };
  InformationReportOwnerByRule.displayName = 'InformationReportOwnerByRule';
  // Miscellaneous
  return InformationReportOwnerByRule;
}();
const Collaboration = /*#__PURE__*/function () {
  const Collaboration = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/miscellaneous-collaboration.svg"
    }));
  };
  Collaboration.displayName = 'Collaboration';
  return Collaboration;
}();
const Communication = /*#__PURE__*/function () {
  const Communication = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/miscellaneous-communications.svg"
    }));
  };
  Communication.displayName = 'Communication';
  return Communication;
}();
const CompanyValues = /*#__PURE__*/function () {
  const CompanyValues = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/miscellaneous-company-values.svg"
    }));
  };
  CompanyValues.displayName = 'CompanyValues';
  return CompanyValues;
}();
const ConnectTheDots = /*#__PURE__*/function () {
  const ConnectTheDots = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/miscellaneous-connect-the-dots.svg"
    }));
  };
  ConnectTheDots.displayName = 'ConnectTheDots';
  return ConnectTheDots;
}();
const CultureLab = /*#__PURE__*/function () {
  const CultureLab = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/miscellaneous-culture-lab.svg"
    }));
  };
  CultureLab.displayName = 'CultureLab';
  return CultureLab;
}();
const TermsAgreement = /*#__PURE__*/function () {
  const TermsAgreement = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/miscellaneous-terms-agreement.svg"
    }));
  };
  TermsAgreement.displayName = 'TermsAgreement';
  // Skills Coach
  return TermsAgreement;
}();
const SkillsCoach1On1Meetings = /*#__PURE__*/function () {
  const SkillsCoach1On1Meetings = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-1-on-1-meetings.svg"
    }));
  };
  SkillsCoach1On1Meetings.displayName = 'SkillsCoach1On1Meetings';
  return SkillsCoach1On1Meetings;
}();
const SkillsCoachCoaching = /*#__PURE__*/function () {
  const SkillsCoachCoaching = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-coaching.svg"
    }));
  };
  SkillsCoachCoaching.displayName = 'SkillsCoachCoaching';
  return SkillsCoachCoaching;
}();
const SkillsCoachEmployeeDevelopment = /*#__PURE__*/function () {
  const SkillsCoachEmployeeDevelopment = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-employee-development.svg"
    }));
  };
  SkillsCoachEmployeeDevelopment.displayName = 'SkillsCoachEmployeeDevelopment';
  return SkillsCoachEmployeeDevelopment;
}();
const SkillsCoachEssentialFeedback = /*#__PURE__*/function () {
  const SkillsCoachEssentialFeedback = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-essential-feedback.svg"
    }));
  };
  SkillsCoachEssentialFeedback.displayName = 'SkillsCoachEssentialFeedback';
  return SkillsCoachEssentialFeedback;
}();
const SkillsCoachEssentialProductivity = /*#__PURE__*/function () {
  const SkillsCoachEssentialProductivity = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-essential-productivity.svg"
    }));
  };
  SkillsCoachEssentialProductivity.displayName = 'SkillsCoachEssentialProductivity';
  return SkillsCoachEssentialProductivity;
}();
const SkillsCoachEssentialResilience = /*#__PURE__*/function () {
  const SkillsCoachEssentialResilience = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-essential-resilience.svg"
    }));
  };
  SkillsCoachEssentialResilience.displayName = 'SkillsCoachEssentialResilience';
  return SkillsCoachEssentialResilience;
}();
const SkillsCoachInfluentialCommunication = /*#__PURE__*/function () {
  const SkillsCoachInfluentialCommunication = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-influential-communication.svg"
    }));
  };
  SkillsCoachInfluentialCommunication.displayName = 'SkillsCoachInfluentialCommunication';
  return SkillsCoachInfluentialCommunication;
}();
const SkillsCoachLeadingChange = /*#__PURE__*/function () {
  const SkillsCoachLeadingChange = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-leading-change.svg"
    }));
  };
  SkillsCoachLeadingChange.displayName = 'SkillsCoachLeadingChange';
  return SkillsCoachLeadingChange;
}();
const SkillsCoachFeedback = /*#__PURE__*/function () {
  const SkillsCoachFeedback = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-feedback.svg"
    }));
  };
  SkillsCoachFeedback.displayName = 'SkillsCoachFeedback';
  return SkillsCoachFeedback;
}();
const SkillsCoachManagerHub = /*#__PURE__*/function () {
  const SkillsCoachManagerHub = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-manager-hub.svg"
    }));
  };
  SkillsCoachManagerHub.displayName = 'SkillsCoachManagerHub';
  return SkillsCoachManagerHub;
}();
const SkillsCoachProductivity = /*#__PURE__*/function () {
  const SkillsCoachProductivity = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-productivity.svg"
    }));
  };
  SkillsCoachProductivity.displayName = 'SkillsCoachProductivity';
  return SkillsCoachProductivity;
}();
const SkillsCoachRemoteManager = /*#__PURE__*/function () {
  const SkillsCoachRemoteManager = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-remote-manager.svg"
    }));
  };
  SkillsCoachRemoteManager.displayName = 'SkillsCoachRemoteManager';
  return SkillsCoachRemoteManager;
}();
const SkillsCoachResilience = /*#__PURE__*/function () {
  const SkillsCoachResilience = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-resilience.svg"
    }));
  };
  SkillsCoachResilience.displayName = 'SkillsCoachResilience';
  return SkillsCoachResilience;
}();
const SkillsCoachStrategy = /*#__PURE__*/function () {
  const SkillsCoachStrategy = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/skills-coach-strategy.svg"
    }));
  };
  SkillsCoachStrategy.displayName = 'SkillsCoachStrategy';
  // Engagement
  return SkillsCoachStrategy;
}();
const Programs = /*#__PURE__*/function () {
  const Programs = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/engagement-programs.svg"
    }));
  };
  Programs.displayName = 'Programs';
  return Programs;
}();
const EngagementSurveySummaryFemale = /*#__PURE__*/function () {
  const EngagementSurveySummaryFemale = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/engagement-survey-summary-female.svg"
    }));
  };
  EngagementSurveySummaryFemale.displayName = 'EngagementSurveySummaryFemale';
  return EngagementSurveySummaryFemale;
}();
const EngagementSurveySummaryMale = /*#__PURE__*/function () {
  const EngagementSurveySummaryMale = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/engagement-survey-summary-male.svg"
    }));
  };
  EngagementSurveySummaryMale.displayName = 'EngagementSurveySummaryMale';
  return EngagementSurveySummaryMale;
}();
const SurveyOverviewClosed = /*#__PURE__*/function () {
  const SurveyOverviewClosed = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/survey-overview-closed.svg"
    }));
  };
  SurveyOverviewClosed.displayName = 'SurveyOverviewClosed';
  return SurveyOverviewClosed;
}();
const SurveyGetStarted = /*#__PURE__*/function () {
  const SurveyGetStarted = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'portrait' : undefined
    }, props, {
      name: "illustrations/heart/scene/getting-started.svg"
    }));
  };
  SurveyGetStarted.displayName = 'SurveyGetStarted';
  return SurveyGetStarted;
}();
const PerformanceCompanySettings = /*#__PURE__*/function () {
  const PerformanceCompanySettings = function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      props = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'landscape' : undefined
    }, props, {
      name: "illustrations/heart/scene/performance-company-settings.svg"
    }));
  };
  PerformanceCompanySettings.displayName = 'PerformanceCompanySettings';
  return PerformanceCompanySettings;
}();
export { BrandMomentError, BrandMomentLogin, BrandMomentNewAccountOnboarding, BrandMomentPositiveOutro, BrandMomentStarterKit, BrandMomentUploadEmployeeData, Collaboration, Communication, CompanyValues, ConnectTheDots, CultureLab, EmptyStatesAction, EmptyStatesInformative, EmptyStatesNegative, EmptyStatesNeutral, EmptyStatesPositive, EngagementSurveySummaryFemale, EngagementSurveySummaryMale, Information360Upgrade, InformationDemographicFocus, InformationEmergingTrends, InformationEmployeeLifecycle, InformationReportOwner, InformationReportOwnerByRule, InformationTurnoverCalculator, InformationTurnoverForecast, PerformanceCompanySettings, Programs, SkillsCoach1On1Meetings, SkillsCoachCoaching, SkillsCoachEmployeeDevelopment, SkillsCoachEssentialFeedback, SkillsCoachEssentialProductivity, SkillsCoachEssentialResilience, SkillsCoachFeedback, SkillsCoachInfluentialCommunication, SkillsCoachLeadingChange, SkillsCoachManagerHub, SkillsCoachProductivity, SkillsCoachRemoteManager, SkillsCoachResilience, SkillsCoachStrategy, SurveyGetStarted, SurveyOverviewClosed, TermsAgreement };
