import React, { useState } from 'react';
import { Icon } from '../../__next__/Icon/Icon.mjs';
var usePausePlay = function (videoRef) {
  var _a = useState(false),
    isPaused = _a[0],
    setPaused = _a[1];
  return {
    toggle: function () {
      if (!videoRef.current) return;
      if (videoRef.current.paused) {
        setPaused(false);
        videoRef.current.play();
      } else {
        setPaused(true);
        videoRef.current.pause();
      }
    },
    icon: /*#__PURE__*/React.createElement(Icon, {
      name: isPaused ? 'play_circle' : 'pause',
      isPresentational: true,
      isFilled: true
    }),
    label: isPaused ? 'Play animation' : 'Pause animation'
  };
};
export { usePausePlay };
