import { __rest, __assign } from 'tslib';
import React, { useRef } from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import classnames from 'classnames';
import { ClearButton } from '../../ClearButton/ClearButton.mjs';
import '../../Loading/LoadingGraphic/LoadingGraphic.mjs';
import '../../Loading/LoadingHeading/LoadingHeading.mjs';
import '../../Loading/LoadingInput/LoadingInput.mjs';
import '../../Loading/LoadingParagraph/LoadingParagraph.mjs';
import { LoadingSpinner } from '../../Loading/LoadingSpinner/LoadingSpinner.mjs';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import styles from './InputSearch.module.scss.mjs';
const InputSearch = /*#__PURE__*/function () {
  const InputSearch = function (props) {
    var value = props.value,
      onChange = props.onChange,
      onClear = props.onClear,
      classNameOverride = props.classNameOverride,
      disabled = props.disabled,
      _a = props.reversed,
      reversed = _a === void 0 ? false : _a,
      _b = props.loading,
      loading = _b === void 0 ? false : _b,
      _c = props.secondary,
      secondary = _c === void 0 ? false : _c,
      restProps = __rest(props, ["value", "onChange", "onClear", "classNameOverride", "disabled", "reversed", "loading", "secondary"]);
    var formatMessage = useIntl().formatMessage;
    var inputRef = useRef(null);
    var handleOnClear = function () {
      var _a;
      (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
      onClear === null || onClear === void 0 ? void 0 : onClear();
    };
    var clearButtonLabel = formatMessage({
      id: 'inputSearch.clear',
      defaultMessage: 'Clear search',
      description: 'Label for the clear search button'
    });
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.wrapper, secondary ? styles.secondary : styles.default, reversed && styles.reversed, disabled && styles.disabled, value && styles.hasEndIconAdornment, classNameOverride)
    }, /*#__PURE__*/React.createElement("div", {
      className: styles.startIconAdornment
    }, loading ? (/*#__PURE__*/React.createElement(LoadingSpinner, {
      accessibilityLabel: "",
      size: "sm",
      classNameOverride: styles.loadingSpinner
    })) : (/*#__PURE__*/React.createElement(Icon, {
      name: "search",
      isPresentational: true
    }))), /*#__PURE__*/React.createElement("input", __assign({
      ref: inputRef,
      type: "search",
      className: styles.input,
      disabled: disabled,
      value: value,
      onChange: onChange,
      readOnly: onChange === undefined
    }, restProps)), value && (/*#__PURE__*/React.createElement(ClearButton, {
      isReversed: reversed,
      onClick: handleOnClear,
      disabled: disabled,
      classNameOverride: styles.endIconAdornment,
      "aria-label": clearButtonLabel
    })));
  };
  InputSearch.displayName = 'InputSearch';
  return InputSearch;
}();
export { InputSearch };
