import React, { useContext } from 'react';
import { StaticIntlProvider } from '@cultureamp/i18n-react-intl';
import { I18nProvider } from 'react-aria';
import { IntlContext } from 'react-intl';
const OptionalIntlProvider = /*#__PURE__*/function () {
  const OptionalIntlProvider = function (_a) {
    var locale = _a.locale,
      children = _a.children;
    var parent = useContext(IntlContext);
    if (parent) {
      // we always wrap with react-aria provider as we have no way checking if parent is wrapped (useLocale returns default value if not)
      // but it's not a big deal as we'll consume the defined locale anyways so no effect on children
      return /*#__PURE__*/React.createElement(I18nProvider, {
        locale: parent.locale
      }, children);
    }
    return /*#__PURE__*/React.createElement(StaticIntlProvider, {
      locale: locale
    }, /*#__PURE__*/React.createElement(I18nProvider, {
      locale: locale
    }, children));
  };
  OptionalIntlProvider.displayName = 'OptionalIntlProvider';
  return OptionalIntlProvider;
}();
export { OptionalIntlProvider };
