import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './LoadingGraphic.module.scss.mjs';
var loadingGraphicSizeMap = new Map([['small', 1.25], ['medium', 3], ['large', 4.5], ['xlarge', 6], ['xxlarge', 7.5], ['scene', 18.75]]);
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadinggraphic--docs Storybook}
 */
const LoadingGraphic = /*#__PURE__*/function () {
  const LoadingGraphic = function (_a) {
    var isAnimated = _a.isAnimated,
      isReversed = _a.isReversed,
      size = _a.size,
      classNameOverride = _a.classNameOverride,
      props = __rest(_a, ["isAnimated", "isReversed", "size", "classNameOverride"]);
    var sizeValue = "".concat(loadingGraphicSizeMap.get(size), "rem");
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.loadingGraphic, isAnimated && styles.isAnimated, isReversed && styles.isReversed, classNameOverride),
      style: {
        width: sizeValue,
        height: sizeValue
      }
    }, props));
  };
  LoadingGraphic.displayName = 'LoadingGraphic';
  return LoadingGraphic;
}();
export { LoadingGraphic };
