import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './LoadingParagraph.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadingparagraph--docs Storybook}
 */
const LoadingParagraph = /*#__PURE__*/function () {
  const LoadingParagraph = function (_a) {
    var isAnimated = _a.isAnimated,
      isCentred = _a.isCentred,
      isReversed = _a.isReversed,
      isInline = _a.isInline,
      noBottomMargin = _a.noBottomMargin,
      width = _a.width,
      isLink = _a.isLink,
      inheritBaseline = _a.inheritBaseline,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["isAnimated", "isCentred", "isReversed", "isInline", "noBottomMargin", "width", "isLink", "inheritBaseline", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.loadingParagraph, classNameOverride, isAnimated && styles.isAnimated, isCentred && styles.isCentered, isReversed && styles.isReversed, isLink && styles.isLink, inheritBaseline && styles.inheritBaseline, isInline && styles.isInline, noBottomMargin && styles.noBottomMargin),
      style: {
        width: "".concat(width, "%")
      }
    }, restProps));
  };
  LoadingParagraph.displayName = 'LoadingParagraph';
  return LoadingParagraph;
}();
export { LoadingParagraph };
