import React, { useState, useRef, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { MenuDropdown } from '../MenuDropdown/MenuDropdown.mjs';
import styles from './StatelessMenu.module.scss.mjs';
const StatelessMenu = /*#__PURE__*/function () {
  const StatelessMenu = function (_a) {
    var _b = _a.align,
      align = _b === void 0 ? 'left' : _b,
      _c = _a.dropdownWidth,
      dropdownWidth = _c === void 0 ? 'default' : _c,
      _d = _a.autoHide,
      autoHide = _d === void 0 ? 'on' : _d,
      dataTestId = _a["data-testid"],
      dropdownId = _a.dropdownId,
      children = _a.children,
      portalSelector = _a.portalSelector,
      isMenuVisible = _a.isMenuVisible,
      toggleMenuDropdown = _a.toggleMenuDropdown,
      hideMenuDropdown = _a.hideMenuDropdown,
      renderButton = _a.renderButton,
      onClick = _a.onClick;
    var _e = useState(null),
      referenceElement = _e[0],
      setReferenceElement = _e[1];
    var portalSelectorElementRef = useRef(null);
    var menuButton = renderButton({
      'onClick': function (e) {
        e.preventDefault();
        e.stopPropagation();
        toggleMenuDropdown();
      },
      'onMouseDown': function (e) {
        return e.preventDefault();
      },
      'aria-haspopup': true,
      'aria-expanded': isMenuVisible
    });
    useEffect(function () {
      portalSelectorElementRef.current = portalSelector ? document.querySelector(portalSelector) : null;
    }, [portalSelector]);
    useEffect(function () {
      if (portalSelector && !portalSelectorElementRef.current) {
        // eslint-disable-next-line no-console
        console.warn('The portal could not be created using the selector: ' + portalSelector);
      }
    }, [portalSelectorElementRef, portalSelector]);
    var menu = isMenuVisible ? (/*#__PURE__*/React.createElement(MenuDropdown, {
      referenceElement: referenceElement,
      align: align,
      hideMenuDropdown: hideMenuDropdown,
      width: dropdownWidth,
      id: dropdownId,
      autoHide: autoHide
    }, children)) : null;
    return (
      /*#__PURE__*/
      // eslint-disable-next-line jsx-a11y/click-events-have-key-events, jsx-a11y/no-static-element-interactions
      React.createElement("div", {
        "data-testid": dataTestId,
        onClick: onClick
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.buttonWrapper,
        ref: setReferenceElement
      }, menuButton), portalSelector && portalSelectorElementRef.current ? /*#__PURE__*/ReactDOM.createPortal(menu, portalSelectorElementRef.current) : menu)
    );
  };
  StatelessMenu.displayName = 'StatelessMenu';
  return StatelessMenu;
}();
export { StatelessMenu };
