import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Checkbox } from '../Checkbox/Checkbox.mjs';
import styles from './MultiSelectOptionField.module.scss.mjs';
const MultiSelectOptionField = /*#__PURE__*/function () {
  const MultiSelectOptionField = function (_a) {
    var id = _a.id,
      option = _a.option,
      checkedStatus = _a.checkedStatus,
      onChange = _a.onChange,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["id", "option", "checkedStatus", "onChange", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.multiSelectOptionField, classNameOverride)
    }, restProps), /*#__PURE__*/React.createElement(Checkbox, {
      id: id,
      checkedStatus: checkedStatus,
      onChange: onChange,
      value: option.value,
      classNameOverride: classnames(styles.checkbox, [checkedStatus !== 'unchecked' && styles.checked])
    }), /*#__PURE__*/React.createElement("label", {
      htmlFor: id,
      className: styles.label
    }, option.label));
  };
  MultiSelectOptionField.displayName = 'MultiSelect.OptionField';
  return MultiSelectOptionField;
}();
export { MultiSelectOptionField };
