import { __rest, __assign } from 'tslib';
import React, { forwardRef, useId } from 'react';
import classnames from 'classnames';
import { ClearButton } from '../../../ClearButton/ClearButton.mjs';
import styles from './MultiSelectToggle.module.scss.mjs';
import { RemovableTag } from '../../../__next__/Tag/RemovableTag/RemovableTag.mjs';
import { Icon } from '../../../__next__/Icon/Icon.mjs';
const MultiSelectToggle = /*#__PURE__*/function () {
  const MultiSelectToggle = /*#__PURE__*/forwardRef(function (_a, ref) {
    var onClick = _a.onClick,
      ariaLabelledBy = _a["aria-labelledby"],
      ariaDescribedBy = _a["aria-describedby"],
      ariaControls = _a["aria-controls"],
      _b = _a.isOpen,
      isOpen = _b === void 0 ? false : _b,
      classNameOverride = _a.classNameOverride,
      selectedOptions = _a.selectedOptions,
      onRemoveOption = _a.onRemoveOption,
      onRemoveAllOptions = _a.onRemoveAllOptions,
      status = _a.status,
      restProps = __rest(_a, ["onClick", 'aria-labelledby', 'aria-describedby', 'aria-controls', "isOpen", "classNameOverride", "selectedOptions", "onRemoveOption", "onRemoveAllOptions", "status"]);
    var clearAllId = useId();
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.multiSelectToggle, classNameOverride, status && styles[status]),
      onClick: onClick
    }, restProps), /*#__PURE__*/React.createElement("button", {
      ref: ref,
      className: styles.toggleButton,
      "aria-labelledby": ariaLabelledBy,
      "aria-describedby": ariaDescribedBy,
      "aria-controls": ariaControls,
      "aria-expanded": isOpen,
      "aria-haspopup": "dialog",
      type: "button",
      onClick: function (e) {
        e.stopPropagation();
        onClick(e);
      }
    }, /*#__PURE__*/React.createElement(Icon, {
      name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
      isPresentational: true
    })), /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.selectedItemsContainer, selectedOptions.length && styles.hasSelectedItems)
    }, selectedOptions.length > 0 && (/*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("ul", {
      role: "list",
      className: styles.selectedItems
    }, selectedOptions.map(function (_a) {
      var label = _a.label,
        value = _a.value;
      return (
        /*#__PURE__*/
        // This stops the underlying toggle collapsing the popover when interactive with Tags
        // eslint-disable-next-line jsx-a11y/no-noninteractive-element-interactions, jsx-a11y/click-events-have-key-events
        React.createElement("li", {
          key: value,
          onClick: function (e) {
            return e.stopPropagation();
          }
        }, /*#__PURE__*/React.createElement(RemovableTag, {
          removeButtonProps: {
            ariaLabel: "Remove option: ".concat(label),
            onClick: function () {
              return onRemoveOption(value);
            }
          }
        }, label))
      );
    })), /*#__PURE__*/React.createElement(ClearButton, {
      id: clearAllId,
      "aria-label": "Remove all options from ",
      "aria-labelledby": "".concat(clearAllId, " ").concat(ariaLabelledBy),
      classNameOverride: styles.clearAllButton,
      onClick: function (e) {
        e.stopPropagation();
        onRemoveAllOptions();
      }
    }))))));
  });
  MultiSelectToggle.displayName = 'MultiSelectToggle';
  return MultiSelectToggle;
}();
export { MultiSelectToggle };
