import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import classnames from 'classnames';
import { GenericNotification } from '../subcomponents/GenericNotification/GenericNotification.mjs';
import styles from '../subcomponents/GenericNotification/GenericNotification.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082093392/Inline+Notification Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-notifications-inline-notification--docs Storybook}
 */
const InlineNotification = /*#__PURE__*/function () {
  const InlineNotification = /*#__PURE__*/forwardRef(function (_a, ref) {
    var isSubtle = _a.isSubtle,
      _b = _a.hideCloseIcon,
      hideCloseIcon = _b === void 0 ? false : _b,
      _c = _a.persistent,
      persistent = _c === void 0 ? false : _c,
      classNameOverride = _a.classNameOverride,
      otherProps = __rest(_a, ["isSubtle", "hideCloseIcon", "persistent", "classNameOverride"]);
    return /*#__PURE__*/React.createElement(GenericNotification, __assign({
      style: "inline",
      persistent: persistent || hideCloseIcon,
      classNameOverride: classnames(classNameOverride, [isSubtle && styles.subtle]),
      ref: ref
    }, otherProps));
  });
  InlineNotification.displayName = 'InlineNotification';
  return InlineNotification;
}();
export { InlineNotification };
