import { __rest, __assign } from 'tslib';
import React from 'react';
import { GenericButton } from '../../../Button/GenericButton/GenericButton.mjs';
import { Icon } from '../../../__next__/Icon/Icon.mjs';
var iconNameMap = {
  prev: 'arrow_back',
  next: 'arrow_forward',
  start: 'keyboard_tab_rtl',
  end: 'keyboard_tab'
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092975/Pagination Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-buttons-directionallink--docs Storybook}
 */
const DirectionalLink = /*#__PURE__*/function () {
  const DirectionalLink = function (_a) {
    var _b = _a.reversed,
      reversed = _b === void 0 ? false : _b,
      _c = _a.disabled,
      disabled = _c === void 0 ? false : _c,
      otherProps = __rest(_a, ["reversed", "disabled"]);
    return /*#__PURE__*/React.createElement(GenericButton, __assign({
      reversed: reversed,
      disabled: disabled
    }, otherProps, {
      iconButton: true,
      directionalLink: true,
      icon: /*#__PURE__*/React.createElement(Icon, {
        name: iconNameMap[otherProps.direction],
        isPresentational: true,
        shouldMirrorInRTL: true
      })
    }));
  };
  DirectionalLink.displayName = 'DirectionalLink';
  return DirectionalLink;
}();
export { DirectionalLink };
