import { __rest, __assign } from 'tslib';
import React from 'react';
import { GenericButton } from '../../../Button/GenericButton/GenericButton.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092975/Pagination Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-buttons-paginationlink--docs Storybook}
 */
const PaginationLink = /*#__PURE__*/function () {
  const PaginationLink = function (_a) {
    var pageNumber = _a.pageNumber,
      _b = _a.reversed,
      reversed = _b === void 0 ? false : _b,
      _c = _a.isActive,
      isActive = _c === void 0 ? false : _c,
      restProps = __rest(_a, ["pageNumber", "reversed", "isActive"]);
    return /*#__PURE__*/React.createElement(GenericButton, __assign({}, restProps, {
      paginationLink: true,
      reversed: reversed,
      isActive: isActive,
      label: "".concat(pageNumber)
    }));
  };
  PaginationLink.displayName = 'PaginationLink';
  return PaginationLink;
}();
export { PaginationLink };
