import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { Label } from '../../Label/Label.mjs';
import { Radio } from '../Radio/Radio.mjs';
import styles from './RadioField.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092822/Radio+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-radio-controls-radio-field--docs Storybook}
 */
const RadioField = /*#__PURE__*/function () {
  const RadioField = function (_a) {
    var propsId = _a["id"],
      labelText = _a.labelText,
      _b = _a.selectedStatus,
      selectedStatus = _b === void 0 ? false : _b,
      _c = _a.disabled,
      disabled = _c === void 0 ? false : _c,
      _d = _a.reversed,
      reversed = _d === void 0 ? false : _d,
      classNameOverride = _a.classNameOverride,
      dataTestId = _a["data-testid"],
      restProps = __rest(_a, ['id', "labelText", "selectedStatus", "disabled", "reversed", "classNameOverride", 'data-testid']);
    var fallbackId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
    // @todo: Move restProps to the wrapping div?
    return /*#__PURE__*/React.createElement("div", {
      "data-testid": dataTestId,
      className: classnames(styles.container, classNameOverride, selectedStatus && styles.selected, reversed && styles.reversed)
    }, /*#__PURE__*/React.createElement(Label, {
      "data-testid": "".concat(id, "-field-label"),
      id: "".concat(id, "-field-label"),
      htmlFor: id,
      labelText: labelText,
      labelType: "radio",
      disabled: disabled,
      reversed: reversed
    }, /*#__PURE__*/React.createElement(Radio, __assign({
      "data-testid": "".concat(id, "-radio-input"),
      id: id,
      disabled: disabled,
      reversed: reversed,
      selectedStatus: selectedStatus
    }, restProps))));
  };
  RadioField.displayName = 'RadioField';
  return RadioField;
}();
export { RadioField };
