import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { Label } from '../../Label/Label.mjs';
import styles from './RadioGroup.module.scss.mjs';
const RadioGroup = /*#__PURE__*/function () {
  const RadioGroup = function (_a) {
    var children = _a.children,
      propsLabelId = _a["labelId"],
      labelText = _a.labelText,
      _b = _a.noBottomMargin,
      noBottomMargin = _b === void 0 ? false : _b,
      _c = _a.reversed,
      reversed = _c === void 0 ? false : _c,
      classNameOverride = _a.classNameOverride,
      dataTestId = _a["data-testid"],
      restProps = __rest(_a, ["children", 'labelId', "labelText", "noBottomMargin", "reversed", "classNameOverride", 'data-testid']);
    var fallbackId = useId();
    var labelId = propsLabelId !== null && propsLabelId !== void 0 ? propsLabelId : fallbackId;
    return /*#__PURE__*/React.createElement("div", __assign({
      "data-testid": dataTestId,
      className: classnames(styles.radioGroupContainer, classNameOverride, noBottomMargin && styles.noBottomMargin, reversed && styles.reversed),
      role: "radiogroup",
      "aria-labelledby": labelId
    }, restProps), /*#__PURE__*/React.createElement("div", {
      className: styles.radioGroupLabel
    }, /*#__PURE__*/React.createElement(Label, {
      id: labelId,
      "data-testid": dataTestId && "".concat(dataTestId, "-field-label"),
      labelText: labelText,
      labelType: "text",
      reversed: reversed
    })), children);
  };
  RadioGroup.displayName = 'RadioGroup';
  return RadioGroup;
}();
export { RadioGroup };
