import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Tooltip } from '../../../../Tooltip/Tooltip.mjs';
import styles from './ToggleIconButton.module.scss.mjs';
const ToggleIconButton = /*#__PURE__*/function () {
  const ToggleIconButton = /*#__PURE__*/React.forwardRef(function (props, ref) {
    var label = props.label,
      icon = props.icon,
      _a = props.isActive,
      isActive = _a === void 0 ? false : _a,
      _b = props.mood,
      mood = _b === void 0 ? 'default' : _b,
      _c = props.disabled,
      disabled = _c === void 0 ? false : _c,
      classNameOverride = props.classNameOverride,
      onClick = props.onClick,
      nativeButtonProps = __rest(props, ["label", "icon", "isActive", "mood", "disabled", "classNameOverride", "onClick"]);
    return /*#__PURE__*/React.createElement(Tooltip, {
      text: label,
      display: "inline-block",
      position: "above",
      animationDuration: 5
    }, /*#__PURE__*/React.createElement("button", __assign({
      ref: ref,
      type: "button",
      "aria-pressed": isActive,
      "aria-label": label,
      "aria-disabled": disabled,
      onMouseDown: function (e) {
        return e.preventDefault();
      },
      onClick: !disabled ? onClick : undefined,
      className: classnames(styles.button, classNameOverride, styles[mood], isActive && styles.active, disabled && styles.disabled)
    }, nativeButtonProps), icon));
  });
  ToggleIconButton.displayName = 'ToggleIconButton';
  return ToggleIconButton;
}();
export { ToggleIconButton };
