import 'prosemirror-state';
import 'prosemirror-view';
import 'tslib';
import 'react';
import 'prosemirror-model';
import { orderedListRule, bulletListRule } from '../../utils/core/inputrules.mjs';
import 'prosemirror-commands';
import 'prosemirror-keymap';
import 'prosemirror-history';
import * as ProseMirrorInputrules from 'prosemirror-inputrules';
import 'prosemirror-schema-list';
var buildInputRules = function (schema) {
  var smartQuotes = ProseMirrorInputrules.smartQuotes,
    ellipsis = ProseMirrorInputrules.ellipsis,
    emDash = ProseMirrorInputrules.emDash,
    inputRules = ProseMirrorInputrules.inputRules;
  var rules = smartQuotes.concat(ellipsis, emDash);
  if (schema.nodes.orderedList) {
    rules.push(orderedListRule(schema.nodes.orderedList));
  }
  if (schema.nodes.bulletList) {
    rules.push(bulletListRule(schema.nodes.bulletList));
  }
  return inputRules({
    rules: rules
  });
};
export { buildInputRules };
