import { getMarkRange } from './getMarkRange.mjs';
import { markIsActive } from './markIsActive.mjs';

/** Check the current PM Selection against the Mark Type provided */
var markContainsSelection = function (state, markType) {
  if (!markIsActive(state, markType)) {
    return false;
  }
  var selection = state.selection;
  var $from = selection.$from;
  var markRange = getMarkRange($from, markType);
  return !!markRange && markRange.from <= selection.from && markRange.to >= selection.to;
};
export { markContainsSelection };
