import React, { useState } from 'react';
import { LinkModal } from '../LinkModal/LinkModal.mjs';
import { LinkPopover } from '../LinkPopover/LinkPopover.mjs';
const LinkEditor = /*#__PURE__*/function () {
  const LinkEditor = function (_a) {
    var _b, _c;
    var attrs = _a.attrs,
      removeMark = _a.removeMark,
      updateAttrs = _a.updateAttrs,
      selectionPosition = _a.selectionPosition,
      focusEditor = _a.focusEditor;
    var _d = useState(attrs.href != null),
      isPopoverOpen = _d[0],
      setIsPopoverOpen = _d[1];
    var _e = useState(((_b = attrs._metadata) === null || _b === void 0 ? void 0 : _b.added) === true),
      modalOpen = _e[0],
      setModalOpen = _e[1];
    var _f = useState((_c = attrs.href) !== null && _c !== void 0 ? _c : undefined),
      href = _f[0],
      setHref = _f[1];
    return /*#__PURE__*/React.createElement(React.Fragment, null, isPopoverOpen && (/*#__PURE__*/React.createElement(LinkPopover, {
      href: href,
      selectionPosition: selectionPosition,
      onRemove: function () {
        removeMark();
        focusEditor();
      },
      onEdit: function () {
        setIsPopoverOpen(false);
        setModalOpen(true);
      }
    })), /*#__PURE__*/React.createElement(LinkModal, {
      defaultHref: href,
      isOpen: modalOpen,
      onAfterLeave: focusEditor,
      onSubmit: function (submittedHref) {
        setHref(submittedHref);
        updateAttrs({
          href: submittedHref,
          _metadata: null
        });
        setModalOpen(false);
      },
      onDismiss: function () {
        setModalOpen(false);
        if (href) {
          setIsPopoverOpen(true);
        } else {
          removeMark();
        }
      }
    }));
  };
  LinkEditor.displayName = 'LinkEditor';
  return LinkEditor;
}();
export { LinkEditor };
