import React, { useState, useRef } from 'react';
import '../../../../../../Modal/ConfirmationModal/ConfirmationModal.mjs';
import '../../../../../../Modal/ContextModal/ContextModal.mjs';
import '../../../../../../Modal/GenericModal/GenericModal.mjs';
import '../../../../../../Modal/GenericModal/context/ModalContext.mjs';
import '../../../../../../Modal/GenericModal/subcomponents/ModalAccessibleDescription/ModalAccessibleDescription.mjs';
import '../../../../../../Modal/GenericModal/subcomponents/ModalFooter/ModalFooter.mjs';
import '../../../../../../Modal/GenericModal/subcomponents/ModalHeader/ModalHeader.mjs';
import '../../../../../../Modal/GenericModal/subcomponents/ModalAccessibleLabel/ModalAccessibleLabel.mjs';
import '../../../../../../Modal/GenericModal/subcomponents/ModalBody/ModalBody.mjs';
import { InputEditModal } from '../../../../../../Modal/InputEditModal/InputEditModal.mjs';
import { TextField } from '../../../../../../TextField/TextField.mjs';
import { validateLink } from '../../validation.mjs';
import styles from './LinkModal.module.scss.mjs';
const LinkModal = /*#__PURE__*/function () {
  const LinkModal = function (_a) {
    var onSubmit = _a.onSubmit,
      onDismiss = _a.onDismiss,
      onAfterLeave = _a.onAfterLeave,
      isOpen = _a.isOpen,
      defaultHref = _a.defaultHref;
    var _b = useState(defaultHref !== null && defaultHref !== void 0 ? defaultHref : ''),
      href = _b[0],
      setHref = _b[1];
    var _c = useState({
        status: 'default'
      }),
      validationStatus = _c[0],
      setValidationStatus = _c[1];
    var inputRef = useRef(null);
    var handleSubmit = function () {
      var _a;
      var validation = validateLink(href);
      if (validation.status !== 'success') {
        (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
        setValidationStatus(validation);
        return;
      }
      onSubmit(href);
    };
    return /*#__PURE__*/React.createElement(InputEditModal, {
      submitLabel: defaultHref ? 'Save' : 'Add',
      mood: "positive",
      isOpen: isOpen,
      title: defaultHref ? 'Edit link' : 'Add link',
      onSubmit: handleSubmit,
      onDismiss: onDismiss,
      onAfterLeave: onAfterLeave,
      onAfterEnter: function () {
        var _a;
        return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
      }
    }, /*#__PURE__*/React.createElement(TextField, {
      id: "href",
      type: "text",
      defaultValue: href !== null && href !== void 0 ? href : '',
      labelText: "Link URL",
      description: "Must start with http:// or https://",
      inputRef: inputRef,
      validationMessage: (validationStatus === null || validationStatus === void 0 ? void 0 : validationStatus.message) && (/*#__PURE__*/React.createElement("div", {
        className: styles.validationErrorMessage
      }, validationStatus.message)),
      status: validationStatus.status,
      onChange: function (e) {
        setHref(e.target.value);
      },
      inline: true
    }));
  };
  LinkModal.displayName = 'LinkModal';
  return LinkModal;
}();
export { LinkModal };
