import { __rest, __assign } from 'tslib';
import React from 'react';
import { useIntl } from '@cultureamp/i18n-react-intl';
import classnames from 'classnames';
import { Icon } from '../../../__next__/Icon/Icon.mjs';
import { BaseButton } from '../BaseButton/BaseButton.mjs';
import styles from './DropdownButton.module.scss.mjs';
const DropdownButton = /*#__PURE__*/function () {
  const DropdownButton = function (_a) {
    var classNameOverride = _a.classNameOverride,
      ariaLabel = _a["aria-label"],
      restProps = __rest(_a, ["classNameOverride", 'aria-label']);
    var formatMessage = useIntl().formatMessage;
    return /*#__PURE__*/React.createElement(BaseButton, __assign({
      label: ariaLabel !== null && ariaLabel !== void 0 ? ariaLabel : formatMessage({
        id: 'splitButton.dropdownButton.label',
        defaultMessage: 'Additional actions',
        description: 'Label for a dropdown menu holding additional actions'
      }),
      icon: /*#__PURE__*/React.createElement(Icon, {
        name: "keyboard_arrow_down",
        isPresentational: true
      }),
      classNameOverride: classnames(styles.dropdownButton, classNameOverride)
    }, restProps));
  };
  DropdownButton.displayName = 'DropdownButton';
  return DropdownButton;
}();
export { DropdownButton };
