import { __rest, __assign } from 'tslib';
import React from 'react';
import { TabList as TabList$1 } from '@reach/tabs';
import classnames from 'classnames';
import styles from './TabList.module.scss.mjs';

/**
 * Wrapper for the tabs themselves
 */
var TabList = function (props) {
  var ariaLabel = props["aria-label"],
    _a = props.noPadding,
    noPadding = _a === void 0 ? false : _a,
    children = props.children,
    classNameOverride = props.classNameOverride,
    restProps = __rest(props, ['aria-label', "noPadding", "children", "classNameOverride"]);
  return /*#__PURE__*/React.createElement(TabList$1, __assign({
    "aria-label": ariaLabel,
    className: classnames(styles.tabList, classNameOverride, noPadding && styles.noPadding)
  }, restProps), children);
};
export { TabList };
