import { __rest, __assign } from 'tslib';
import React from 'react';
import { Button } from '../../Button/Button/Button.mjs';
import '../../Button/IconButton/IconButton.mjs';
import { GenericTile } from '../subcomponents/GenericTile/GenericTile.mjs';
import styles from './MultiActionTile.module.scss.mjs';
var renderActions = function (primaryAction, secondaryAction) {
  return /*#__PURE__*/React.createElement("div", {
    className: styles.actions
  }, secondaryAction && (/*#__PURE__*/React.createElement("div", {
    className: styles.secondaryAction
  }, /*#__PURE__*/React.createElement(Button, __assign({
    secondary: true
  }, secondaryAction)))), /*#__PURE__*/React.createElement(Button, __assign({}, primaryAction)));
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3079077889/Tile#MultiActionTile.1 Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-tiles-multiactiontile--docs Storybook}
 */
const MultiActionTile = /*#__PURE__*/function () {
  const MultiActionTile = function (_a) {
    var children = _a.children,
      primaryAction = _a.primaryAction,
      secondaryAction = _a.secondaryAction,
      restProps = __rest(_a, ["children", "primaryAction", "secondaryAction"]);
    return /*#__PURE__*/React.createElement(GenericTile, __assign({
      footer: renderActions(primaryAction, secondaryAction)
    }, restProps), children);
  };
  MultiActionTile.displayName = 'MultiActionTile';
  return MultiActionTile;
}();
export { MultiActionTile };
