import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './TileGrid.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3079077889/Tile#TileGrid Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-tiles-tilegrid--docs Storybook}
 */
const TileGrid = /*#__PURE__*/function () {
  const TileGrid = function (_a) {
    var _b;
    var children = _a.children,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "classNameOverride"]);
    var isFragment = !Array.isArray(children) && children.type === React.Fragment;
    return /*#__PURE__*/React.createElement("ul", __assign({
      className: classnames(styles.grid, classNameOverride),
      "data-tile-grid": true
    }, restProps), isFragment ? ((_b = children === null || children === void 0 ? void 0 : children.props) === null || _b === void 0 ? void 0 : _b.children) ? (/*#__PURE__*/React.createElement(TileListItem, {
      tiles: children.props.children
    })) : null : (/*#__PURE__*/React.createElement(TileListItem, {
      tiles: children
    })));
  };
  TileGrid.displayName = 'TileGrid';
  return TileGrid;
}();
var TileListItem = function (_a) {
  var tiles = _a.tiles;
  if (Array.isArray(tiles)) {
    return /*#__PURE__*/React.createElement(React.Fragment, null, tiles.map(function (tile, index) {
      return /*#__PURE__*/React.createElement("li", {
        key: "".concat(tile.props.title, "-").concat(index)
      }, tile);
    }));
  }
  return /*#__PURE__*/React.createElement("li", null, tiles);
};
export { TileGrid };
