import { __assign } from 'tslib';
import React from 'react';
import { useDateSegment } from '@react-aria/datepicker';
import classnames from 'classnames';
import { generateSegmentDisplayText } from './utils/generateSegmentDisplayText.mjs';
import styles from './TimeSegment.module.scss.mjs';
const TimeSegment = /*#__PURE__*/function () {
  const TimeSegment = function (_a) {
    var segment = _a.segment,
      state = _a.state,
      _b = _a.hasPadding,
      hasPadding = _b === void 0 ? true : _b;
    var ref = React.useRef(null);
    var segmentProps = useDateSegment(segment, state, ref).segmentProps;
    // Chrome has a bug where `contenteditable` elements receive focus from external clicks.
    // This (in combination with the invisible character &#8203;) creates boundaries
    // for the element.
    // https://stackoverflow.com/a/34445203
    return /*#__PURE__*/React.createElement("span", {
      className: styles.timeSegmentWrapper
    }, "\u200B", /*#__PURE__*/React.createElement("span", __assign({}, segmentProps, {
      ref: ref,
      className: classnames(styles.timeSegment, segment.type === 'literal' && styles.literal, segment.isPlaceholder && styles.placeholder, segment.type === 'dayPeriod' && styles.dayPeriod, hasPadding && styles.hasPadding)
    }), generateSegmentDisplayText(segment)), "\u200B");
  };
  TimeSegment.displayName = 'TimeSegment';
  return TimeSegment;
}();
export { TimeSegment };
