import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { NON_REVERSED_VARIANTS } from '../utils.mjs';
import styles from './NavigationTabs.module.scss.mjs';
var isLight = function (variant) {
  return variant !== undefined && NON_REVERSED_VARIANTS.includes(variant);
};
const NavigationTab = /*#__PURE__*/function () {
  const NavigationTab = function (props) {
    var className = classnames(styles.linkAnchor, isLight(props.variant) && styles.lightBackground, props.active && styles.active);
    if (props.render) {
      var Component = props.render,
        otherProps = __rest(props, ["render"]);
      return /*#__PURE__*/React.createElement(Component, __assign({}, otherProps, {
        className: className
      }));
    }
    return /*#__PURE__*/React.createElement("a", {
      className: className,
      href: props.href,
      onClick: props.handleClick,
      id: props.id,
      "data-automation-id": props.automationId,
      "data-testid": props.automationId,
      "aria-current": props.active ? 'page' : undefined
    }, props.text);
  };
  NavigationTab.displayName = 'NavigationTab';
  return NavigationTab;
}();
export { NavigationTab };
