import { __assign, __spreadArray } from 'tslib';
import React from 'react';
import { Button } from '../../Button/Button/Button.mjs';
import { IconButton } from '../../Button/IconButton/IconButton.mjs';
import { Menu, MenuList } from '../../Menu/index.mjs';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import styles from '../TitleBlockZen.module.scss.mjs';
import { TITLE_BLOCK_ZEN_SECONDARY_MENU_HTML_ID } from '../constants.mjs';
import { TitleBlockMenuItem } from './TitleBlockMenuItem.mjs';
import { Toolbar } from './Toolbar.mjs';
var renderSecondaryOverflowMenu = function (secondaryOverflowMenuItems, reversed) {
  if (!secondaryOverflowMenuItems) return undefined;
  return /*#__PURE__*/React.createElement(Menu, {
    align: "right",
    button: /*#__PURE__*/React.createElement(IconButton, {
      label: "Open secondary menu",
      reversed: reversed,
      icon: /*#__PURE__*/React.createElement(Icon, {
        name: "more_horiz",
        isPresentational: true
      }),
      id: TITLE_BLOCK_ZEN_SECONDARY_MENU_HTML_ID
    })
  }, /*#__PURE__*/React.createElement(MenuList, null, secondaryOverflowMenuItems.map(function (menuItem, i) {
    return /*#__PURE__*/React.createElement(TitleBlockMenuItem, __assign({
      key: i
    }, menuItem));
  })));
};
// Unfortunately, you'll notice below, that I needed to use the array index,
// against react best practices (https://reactjs.org/docs/lists-and-keys.html)
// This is because the menu items have no unique identifier.
const SecondaryActions = /*#__PURE__*/function () {
  const SecondaryActions = function (_a) {
    var secondaryActions = _a.secondaryActions,
      secondaryOverflowMenuItems = _a.secondaryOverflowMenuItems,
      _b = _a.reversed,
      reversed = _b === void 0 ? false : _b;
    if (!secondaryActions && !secondaryOverflowMenuItems) return null;
    var secondaryActionsAsToolbarItems = secondaryActions ? secondaryActions.map(function (action, i) {
      if ('menuItems' in action) {
        return {
          key: "".concat(i),
          // We shouldn't use an index here, see note above
          node: (/*#__PURE__*/React.createElement(Menu, {
            align: "right",
            button: /*#__PURE__*/React.createElement(Button, {
              secondary: true,
              label: action.label,
              reversed: reversed,
              icon: /*#__PURE__*/React.createElement(Icon, {
                name: "keyboard_arrow_down",
                isPresentational: true
              }),
              iconPosition: "end"
            })
          }, /*#__PURE__*/React.createElement(MenuList, null, action.menuItems.map(function (menuItem, i2) {
            return /*#__PURE__*/React.createElement(TitleBlockMenuItem, __assign({
              key: i2
            }, menuItem));
          }))))
        };
      } else {
        if ('onClick' in action && 'href' in action) {
          // eslint-disable-next-line no-console
          console.warn('\u001b[33m \nTITLE BLOCK WARNING:\nSecondary actions only support ' + 'either an href or an onClick, not both simultaneously.\n');
        }
        return {
          key: "".concat(i),
          // We shouldn't use an index here, see note above
          node: (/*#__PURE__*/React.createElement(Button, __assign({
            secondary: true,
            reversed: reversed
          }, action, {
            "data-automation-id": "title-block-secondary-actions-button",
            "data-testid": "title-block-secondary-actions-button"
          })))
        };
      }
    }) : [];
    var overflowMenu = renderSecondaryOverflowMenu(secondaryOverflowMenuItems, reversed);
    var toolbarItems = __spreadArray(__spreadArray([], secondaryActionsAsToolbarItems, true), overflowMenu ? [{
      key: 'overflowMenu',
      node: overflowMenu
    }] : [], true);
    return /*#__PURE__*/React.createElement("div", {
      className: styles.secondaryActionsContainer
    }, /*#__PURE__*/React.createElement(Toolbar, {
      items: toolbarItems,
      noGap: true,
      automationId: "title-block-secondary-actions-toolbar"
    }));
  };
  SecondaryActions.displayName = 'SecondaryActions';
  return SecondaryActions;
}();
export { SecondaryActions };
