import { __rest, __assign } from 'tslib';
import React from 'react';
import { Footer } from './subcomponents/Footer/Footer.mjs';
import './subcomponents/Footer/components/Root/Root.mjs';
import { ProgressStepper } from './subcomponents/Footer/components/ProgressStepper/ProgressStepper.mjs';
import './subcomponents/Footer/components/FooterActions/FooterActions.mjs';
import { Header } from './subcomponents/Header/Header.mjs';
import './subcomponents/Header/components/Titles/Titles.mjs';
import './subcomponents/Header/components/Actions/Actions.mjs';
import './subcomponents/Header/components/Branding/Branding.mjs';
import './subcomponents/Header/components/Root/Root.mjs';
import { Main } from './subcomponents/Main/Main.mjs';
import { Wrapper } from './subcomponents/Wrapper/Wrapper.mjs';
const Workflow = /*#__PURE__*/function () {
  const Workflow = function (_a) {
    var steps = _a.steps,
      currentStepId = _a.currentStepId,
      isComplete = _a.isComplete,
      workflowName = _a.workflowName,
      statusTag = _a.statusTag,
      headerActions = _a.headerActions,
      children = _a.children,
      nextAction = _a.nextAction,
      previousAction = _a.previousAction,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["steps", "currentStepId", "isComplete", "workflowName", "statusTag", "headerActions", "children", "nextAction", "previousAction", "classNameOverride"]);
    var currentStep = steps.find(function (step) {
      return step.id === currentStepId;
    });
    return /*#__PURE__*/React.createElement(Workflow.Wrapper, __assign({
      classNameOverride: classNameOverride
    }, restProps), /*#__PURE__*/React.createElement(Workflow.Header, {
      workflowName: workflowName,
      stepName: currentStep.label,
      statusTag: statusTag,
      headerActions: headerActions
    }), /*#__PURE__*/React.createElement(Workflow.Main, null, children), /*#__PURE__*/React.createElement(Workflow.Footer, {
      currentStepId: currentStepId,
      steps: steps,
      isComplete: isComplete,
      nextAction: nextAction,
      previousAction: previousAction
    }));
  };
  Workflow.Header = Header;
  Workflow.Footer = Footer;
  Workflow.Main = Main;
  Workflow.ProgressStepper = ProgressStepper;
  Workflow.Wrapper = Wrapper;
  return Workflow;
}();
export { Workflow };
