import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { Button as Button$1 } from 'react-aria-components';
import { useReversedColors } from '../../utils/ReversedColors/ReversedColors.mjs';
import { mergeClassNames } from '../../utils/mergeClassNames.mjs';
import { PendingContent } from './subcomponents/PendingContent/PendingContent.mjs';
import { ButtonContent } from './subcomponents/ButtonContent/ButtonContent.mjs';
import buttonStyles from './Button.module.css.mjs';
const Button = /*#__PURE__*/function () {
  const Button = /*#__PURE__*/forwardRef(function (_a, ref) {
    var _b = _a.variant,
      variant = _b === void 0 ? 'primary' : _b,
      _c = _a.size,
      size = _c === void 0 ? 'medium' : _c,
      className = _a.className,
      children = _a.children,
      isDisabled = _a.isDisabled,
      _d = _a.isFullWidth,
      isFullWidth = _d === void 0 ? false : _d,
      icon = _a.icon,
      iconPosition = _a.iconPosition,
      _e = _a.hasHiddenLabel,
      hasHiddenLabel = _e === void 0 ? false : _e,
      isPending = _a.isPending,
      _f = _a.hasHiddenPendingLabel,
      propsHasHiddenPendingLabel = _f === void 0 ? false : _f,
      pendingLabel = _a.pendingLabel,
      isReversed = _a.isReversed,
      restProps = __rest(_a, ["variant", "size", "className", "children", "isDisabled", "isFullWidth", "icon", "iconPosition", "hasHiddenLabel", "isPending", "hasHiddenPendingLabel", "pendingLabel", "isReversed"]);
    var shouldUseReverse = useReversedColors();
    var isReversedVariant = isReversed !== null && isReversed !== void 0 ? isReversed : shouldUseReverse;
    var pendingProps = isPending ? {
      isPending: isPending,
      hasHiddenPendingLabel: hasHiddenLabel || propsHasHiddenPendingLabel,
      pendingLabel: pendingLabel
    } : {};
    var buttonContentClass = isPending ? !hasHiddenLabel && propsHasHiddenPendingLabel ? buttonStyles.retainContentWidth : buttonStyles.hideContentWidth : undefined;
    return /*#__PURE__*/React.createElement(Button$1, __assign({
      ref: ref,
      className: mergeClassNames(buttonStyles.button, buttonStyles[size], hasHiddenLabel && buttonStyles["".concat(size, "IconButton")], isDisabled && buttonStyles.isDisabled, isReversedVariant ? buttonStyles["".concat(variant, "Reversed")] : buttonStyles[variant], isFullWidth && buttonStyles.fullWidth, className),
      isDisabled: isDisabled,
      isPending: isPending
    }, restProps), function (racStateProps) {
      var childIsFunction = typeof children === 'function';
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(ButtonContent, {
        size: size,
        icon: icon,
        iconPosition: iconPosition,
        hasHiddenLabel: hasHiddenLabel,
        className: buttonContentClass
      }, childIsFunction ? children(racStateProps) : children), /*#__PURE__*/React.createElement("span", {
        "aria-live": "polite"
      }, pendingProps.isPending && /*#__PURE__*/React.createElement(PendingContent, __assign({}, pendingProps, {
        size: size
      }))));
    });
  });
  Button.displayName = 'Button';
  return Button;
}();
export { Button };
