import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { handledRtlIcons } from './constants.mjs';
import styles from './Icon.module.css.mjs';
var MaterialIcon = function (_a) {
  var children = _a.children,
    isFilled = _a.isFilled,
    isPresentational = _a.isPresentational,
    alt = _a.alt,
    className = _a.className,
    restProps = __rest(_a, ["children", "isFilled", "isPresentational", "alt", "className"]);
  return /*#__PURE__*/React.createElement("span", __assign({
    className: classnames(styles['material-symbols-outlined'], styles.icon, isFilled && styles.filled, className),
    "aria-hidden": isPresentational,
    role: isPresentational ? undefined : 'img',
    "aria-label": alt
  }, restProps), children);
};
var Icon = function (_a) {
  var name = _a.name,
    shouldMirrorInRTL = _a.shouldMirrorInRTL,
    restProps = __rest(_a, ["name", "shouldMirrorInRTL"]);
  if (!shouldMirrorInRTL) {
    return /*#__PURE__*/React.createElement(MaterialIcon, __assign({}, restProps), name);
  }
  if (Object.keys(handledRtlIcons).includes(name)) {
    return /*#__PURE__*/React.createElement(MaterialIcon, __assign({}, restProps), /*#__PURE__*/React.createElement("span", {
      className: styles.iconLTR
    }, name), /*#__PURE__*/React.createElement("span", {
      className: styles.iconRTL
    }, handledRtlIcons[name]));
  }
  return /*#__PURE__*/React.createElement(MaterialIcon, __assign({}, restProps, {
    className: classnames(styles.shouldMirrorInRTL, restProps.className)
  }), name);
};
export { Icon };
