import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { Menu as Menu$1 } from 'react-aria-components';
import { mergeClassNames } from '../../utils/mergeClassNames.mjs';
import styles from './Menu.module.css.mjs';

/**
 * A menu displays a list of actions or options that a user can choose.
 */
const Menu = /*#__PURE__*/function () {
  const Menu = /*#__PURE__*/forwardRef(function (_a, ref) {
    var className = _a.className,
      props = __rest(_a, ["className"]);
    return /*#__PURE__*/React.createElement(Menu$1, __assign({
      className: mergeClassNames(styles.menu, className),
      ref: ref
    }, props));
  });
  Menu.displayName = 'Menu';
  return Menu;
}();
export { Menu };
