import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { MenuItem as MenuItem$1 } from 'react-aria-components';
import { mergeClassNames } from '../../utils/mergeClassNames.mjs';
import styles from './MenuItem.module.css.mjs';

/**
 * A MenuItem represents an individual action in a Menu.
 */
const MenuItem = /*#__PURE__*/function () {
  const MenuItem = /*#__PURE__*/forwardRef(function (_a, ref) {
    var className = _a.className,
      icon = _a.icon,
      children = _a.children,
      textValue = _a.textValue,
      props = __rest(_a, ["className", "icon", "children", "textValue"]);
    var determinedTextValue = textValue !== null && textValue !== void 0 ? textValue : typeof children === 'string' ? children : undefined;
    return /*#__PURE__*/React.createElement(MenuItem$1, __assign({
      ref: ref,
      className: mergeClassNames(styles.item, className),
      textValue: determinedTextValue
    }, props), typeof children === 'string' && icon ? (/*#__PURE__*/React.createElement("div", {
      className: styles.flexWrapper
    }, /*#__PURE__*/React.createElement("span", {
      className: styles.iconWrapper
    }, icon), children)) : children);
  });
  MenuItem.displayName = 'MenuItem';
  return MenuItem;
}();
export { MenuItem };
