import { __assign } from 'tslib';
import React from 'react';
import { useListBoxSection } from '@react-aria/listbox';
import { Heading } from '../../../../Heading/Heading.mjs';
import { Option } from '../Option/Option.mjs';
import styles from './ListBoxSection.module.scss.mjs';
const ListBoxSection = /*#__PURE__*/function () {
  const ListBoxSection = function (_a) {
    var section = _a.section;
    var _b = useListBoxSection({
        'heading': section.rendered,
        'aria-label': section['aria-label']
      }),
      itemProps = _b.itemProps,
      headingProps = _b.headingProps,
      groupProps = _b.groupProps;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("li", __assign({}, itemProps, {
      className: styles.sectionWrapper
    }), section.rendered && (/*#__PURE__*/React.createElement(Heading, __assign({
      tag: "span",
      variant: "heading-6"
    }, headingProps, {
      classNameOverride: styles.sectionHeading
    }), section.rendered)), /*#__PURE__*/React.createElement("ul", __assign({}, groupProps, {
      className: styles.sectionList
    }), Array.from(section.childNodes).map(function (item) {
      return /*#__PURE__*/React.createElement(Option, {
        key: item.key,
        item: item
      });
    }))));
  };
  ListBoxSection.displayName = 'ListBoxSection';
  return ListBoxSection;
}();
export { ListBoxSection };
