import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { useOption, useFocusRing, mergeProps } from 'react-aria';
import { Icon } from '../../../Icon/Icon.mjs';
import { useSelectContext } from '../../context/SelectContext.mjs';
import styles from './Option.module.scss.mjs';
const Option = /*#__PURE__*/function () {
  const Option = function (_a) {
    var item = _a.item,
      classNameOverride = _a.classNameOverride,
      props = __rest(_a, ["item", "classNameOverride"]);
    var state = useSelectContext().state;
    var ref = React.useRef(null);
    var _b = useOption({
        key: item.key
      }, state, ref),
      optionProps = _b.optionProps,
      isSelected = _b.isSelected,
      isDisabled = _b.isDisabled;
    var onPointerUp = optionProps.onPointerUp,
      restOptionProps = __rest(optionProps, ["onPointerUp"]);
    var _c = useFocusRing(),
      isFocusVisible = _c.isFocusVisible,
      focusProps = _c.focusProps;
    return /*#__PURE__*/React.createElement("li", __assign({}, mergeProps(restOptionProps, focusProps, props, {
      onPointerUp: function (e) {
        if (e.pointerType === 'touch') {
          // On touch devices, the listbox closes too quickly so below elements will trigger their pointer events.
          // Slow it down a bit to prevent the appearance of propagation.
          setTimeout(function () {
            return state.setSelectedKey(item.key);
          }, 250);
        } else {
          onPointerUp === null || onPointerUp === void 0 ? void 0 : onPointerUp(e);
        }
      }
    }), {
      ref: ref,
      className: classnames(styles.option, isSelected && styles.isSelected, isFocusVisible && styles.isFocusVisible, isDisabled && styles.disabled, classNameOverride),
      "aria-label": item.textValue
    }), item.rendered, /*#__PURE__*/React.createElement("span", {
      className: classnames(styles.icon, isSelected && styles.isSelected)
    }, isSelected && /*#__PURE__*/React.createElement(Icon, {
      name: "check",
      isPresentational: true
    })));
  };
  Option.displayName = 'Option';
  return Option;
}();
export { Option };
