import { __rest, __assign } from 'tslib';
import React from 'react';
import { FocusScope } from '@react-aria/focus';
import { useOverlay, DismissButton } from '@react-aria/overlays';
import { useSelectContext } from '../../context/SelectContext.mjs';
const Overlay = /*#__PURE__*/function () {
  const Overlay = function (_a) {
    var children = _a.children,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "classNameOverride"]);
    var state = useSelectContext().state;
    // Handle events that should cause the menu to close,
    // e.g. blur, clicking outside, or pressing the escape key.
    var overlayRef = React.useRef(null);
    var overlayProps = useOverlay({
      isDismissable: true,
      isOpen: state.isOpen,
      onClose: state.close
    }, overlayRef).overlayProps;
    // Wrap in <FocusScope> so that focus is restored back to the trigger when the menu is closed
    // and auto focus on the first focusable item after loading. (disable eslint no-autofocus error for it)
    // In addition, add hidden <DismissButton> components at the start and end of the list
    // to allow screen reader users to dismiss the popup easily.
    return /*#__PURE__*/React.createElement("div", __assign({
      ref: overlayRef,
      className: classNameOverride
    }, overlayProps, restProps), /*#__PURE__*/React.createElement(FocusScope, {
      autoFocus: false,
      restoreFocus: true
    }, /*#__PURE__*/React.createElement(DismissButton, {
      onDismiss: state.close
    }), children, /*#__PURE__*/React.createElement(DismissButton, {
      onDismiss: state.close
    })));
  };
  Overlay.displayName = 'Overlay';
  return Overlay;
}();
export { Overlay };
