import React from 'react';
import { useSelectContext } from '../../context/SelectContext.mjs';
import { ListBox } from '../ListBox/ListBox.mjs';
import { ListItems } from '../ListItems/ListItems.mjs';
import { Overlay } from '../Overlay/Overlay.mjs';
import styles from './SelectPopoverContents.module.scss.mjs';
const SelectPopoverContents = /*#__PURE__*/function () {
  const SelectPopoverContents = function (_a) {
    var children = _a.children,
      menuProps = _a.menuProps;
    var state = useSelectContext().state;
    // The collection structure is set by useSelectState's `children`
    // which we have used a util to ensure the following structure
    // - SelectOptionGroup => Section
    // - Option => Item
    var itemNodes = Array.from(state.collection);
    return /*#__PURE__*/React.createElement("div", {
      className: styles.selectPopoverContents
    }, /*#__PURE__*/React.createElement(Overlay, null, /*#__PURE__*/React.createElement(ListBox, {
      menuProps: menuProps
    }, children ? children({
      items: itemNodes
    }) : /*#__PURE__*/React.createElement(ListItems, {
      items: itemNodes
    }))));
  };
  SelectPopoverContents.displayName = 'Select.PopoverContents';
  return SelectPopoverContents;
}();
export { SelectPopoverContents };
