import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Tab as Tab$1 } from 'react-aria-components';
import { Badge } from '../../../../Badge/Badge.mjs';
import styles from './Tab.module.css.mjs';

/**
 * A tab button
 */
var Tab = function (props) {
  var badge = props.badge,
    children = props.children,
    className = props.className,
    restProps = __rest(props, ["badge", "children", "className"]);
  var tabProps = __assign({
    className: classnames(styles.tab, className)
  }, restProps);
  return /*#__PURE__*/React.createElement(Tab$1, __assign({
    "data-kz-tab": true
  }, tabProps), function (TabRenderProps) {
    return /*#__PURE__*/React.createElement(React.Fragment, null, typeof children === 'function' ? children(TabRenderProps) : children, badge && (/*#__PURE__*/React.createElement("span", {
      className: styles.badge
    }, /*#__PURE__*/React.createElement(Badge, {
      variant: TabRenderProps.isSelected || TabRenderProps.isFocusVisible || TabRenderProps.isHovered ? 'active' : 'default'
    }, badge))));
  });
};
export { Tab };
