import { __assign } from 'tslib';
import React from 'react';
import { OverlayArrow as OverlayArrow$1 } from 'react-aria-components';
import { useReversedColors } from '../../utils/ReversedColors/ReversedColors.mjs';
import { mergeClassNames } from '../../utils/mergeClassNames.mjs';
import styles from './OverlayArrow.module.scss.mjs';

/**
 * An OverlayArrow renders a custom arrow element relative to an overlay element
 * such as a popover or tooltip such that it aligns with a trigger element.
 */
var OverlayArrow = function (props) {
  var reverseColors = useReversedColors();
  return /*#__PURE__*/React.createElement(OverlayArrow$1, __assign({}, props, {
    className: mergeClassNames(styles.overlayArrow, reverseColors && styles.reversed, props.className)
  }), /*#__PURE__*/React.createElement("svg", {
    width: 8,
    height: 8,
    viewBox: "0 0 8 8"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0 L4 4 L8 0"
  })));
};
export { OverlayArrow };
