import React, { useState, useEffect } from 'react';

/** a utility hook for handling an the addition and removal of an animation and exit animation class */
var useExitingAnimation = function (shouldAnimate, animatingClass, exitingClass, exitDuration) {
  var _a = useState(''),
    animationClass = _a[0],
    setAnimationClass = _a[1];
  var previousIsLoading = React.useRef(undefined);
  useEffect(function () {
    if (shouldAnimate !== undefined) {
      if (previousIsLoading.current === true && shouldAnimate === false) {
        setAnimationClass(exitingClass);
        var timeout_1 = setTimeout(function () {
          setAnimationClass('');
        }, exitDuration);
        return function () {
          return clearTimeout(timeout_1);
        };
      }
      if (shouldAnimate === true) {
        setAnimationClass(animatingClass);
      }
    }
    previousIsLoading.current = shouldAnimate;
  }, [shouldAnimate, animatingClass, exitingClass, exitDuration]);
  return animationClass;
};
export { useExitingAnimation };
