import React, { type HTMLAttributes } from 'react';
import { type CollapsibleProps } from "../Collapsible";
import { type Sticky } from "../types";
import { type OverrideClassName } from "../../types/OverrideClassName";
export type CollapsibleGroupProps = {
    children: React.ReactElement<CollapsibleProps>[];
    separated?: boolean;
    sticky?: Sticky;
    noSectionPadding?: boolean;
    lazyLoad?: boolean;
    onToggle?: (open: boolean, id: string) => void;
} & Omit<OverrideClassName<HTMLAttributes<HTMLDivElement>>, 'children'>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094383/Collapsible Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-collapsible-collapsible-group--docs Storybook}
 */
export declare const CollapsibleGroup: ({ children, separated, sticky, noSectionPadding, lazyLoad, onToggle, classNameOverride, ...props }: CollapsibleGroupProps) => JSX.Element;
