import React, { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
import { type ErrorStatuses } from './hooks';
export type ErrorPageProps = {
    code: ErrorStatuses;
    title?: string;
    message?: React.ReactNode | string;
    callToAction?: {
        onContactSupport: () => void;
        homeHref?: string;
    };
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
export declare const ErrorPage: {
    ({ code, title, message, callToAction, classNameOverride, }: ErrorPageProps): JSX.Element;
    displayName: string;
};
