import React, { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
export type FieldMessageStatus = 'default' | 'success' | 'error' | 'caution';
export type FieldMessageProps = {
    message?: React.ReactNode;
    /** @default "default" */
    status?: FieldMessageStatus;
    /** @default "bottom" */
    position?: 'top' | 'bottom';
    reversed?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
export declare const FieldMessage: {
    ({ message, status, position, reversed, classNameOverride, ...restProps }: FieldMessageProps): JSX.Element;
    displayName: string;
};
