import React from 'react';
import type { Locale } from 'date-fns';
import { type DateInputDescriptionProps, type DateInputProps } from "../../../../DateInput";
import { type ValidationMessage } from '../../types';
export type DateInputFieldProps = {
    id: string;
    locale: Locale;
    /**
     * A description that provides context for the text field
     */
    description?: DateInputDescriptionProps['description'];
    isReversed?: boolean;
    validationMessage?: ValidationMessage;
    disabled?: boolean;
    labelText?: DateInputProps['labelText'];
} & Omit<DateInputProps, 'id' | 'labelText'>;
export declare const DateInputField: React.ForwardRefExoticComponent<{
    id: string;
    locale: Locale;
    /**
     * A description that provides context for the text field
     */
    description?: DateInputDescriptionProps["description"];
    isReversed?: boolean;
    validationMessage?: ValidationMessage;
    disabled?: boolean;
    labelText?: DateInputProps["labelText"];
} & Omit<DateInputProps, "id" | "labelText"> & React.RefAttributes<HTMLInputElement>>;
