import React, { type HTMLAttributes } from 'react';
import type { Locale } from 'date-fns';
import { type DateInputDescriptionProps, type DateInputProps } from "../../../../DateInput";
import { type OverrideClassName } from "../../../../types/OverrideClassName";
import { type DateRangeValidationMessageProps } from '../DateRangeValidationMessage';
export type DateRangeInputFieldProps = {
    id: string;
    legend: string;
    inputStartDateProps: Omit<DateInputProps, 'id'>;
    inputEndDateProps: Omit<DateInputProps, 'id'>;
    locale: Locale;
    /**
     * A description that provides context for the text field
     */
    description?: DateInputDescriptionProps['description'];
    isReversed?: boolean;
    validationMessage?: DateRangeValidationMessageProps['validationMessage'];
    disabled?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
export type DateRangeInputFieldRefs = {
    inputStartDateRef?: React.RefObject<HTMLInputElement>;
    inputEndDateRef?: React.RefObject<HTMLInputElement>;
};
export declare const DateRangeInputField: React.ForwardRefExoticComponent<{
    id: string;
    legend: string;
    inputStartDateProps: Omit<DateInputProps, "id">;
    inputEndDateProps: Omit<DateInputProps, "id">;
    locale: Locale;
    /**
     * A description that provides context for the text field
     */
    description?: DateInputDescriptionProps["description"];
    isReversed?: boolean;
    validationMessage?: DateRangeValidationMessageProps["validationMessage"];
    disabled?: boolean;
} & Omit<React.HTMLAttributes<HTMLDivElement>, "className"> & {
    classNameOverride?: string;
} & React.RefAttributes<DateRangeInputFieldRefs>>;
