import React from 'react';
import { type Selection, type SelectionMode } from '@react-types/shared';
import { type MenuTriggerProviderContextType, type MenuTriggerProviderProps, type SelectionProviderContextType } from './context';
import { type MenuPopupProps } from './subcomponents/MenuPopup';
import { type ItemType } from './types';
type SelectionProps = {
    label: string;
    items: ItemType[];
    selectedKeys?: Selection;
    defaultSelectedKeys?: Selection;
    onSelectionChange?: (keys: Selection) => void;
    selectionMode?: SelectionMode;
    onSearchInputChange?: (searchInput: string) => void;
};
export type FilterMultiSelectProps = {
    trigger: (value?: MenuTriggerProviderContextType) => React.ReactNode;
    children: (value?: SelectionProviderContextType) => React.ReactNode;
    triggerRef?: React.RefObject<HTMLButtonElement>;
    className?: string;
} & Omit<MenuPopupProps, 'children'> & Omit<MenuTriggerProviderProps, 'children'> & SelectionProps;
export declare const FilterMultiSelect: {
    ({ trigger, children, isOpen, defaultOpen, onOpenChange, isLoading, loadingSkeleton, label, items, selectedKeys, defaultSelectedKeys, onSelectionChange, selectionMode, onSearchInputChange, triggerRef, className, }: FilterMultiSelectProps): JSX.Element;
    displayName: string;
    TriggerButton: {
        ({ selectedOptionLabels, label, classNameOverride, labelCharacterLimitBeforeTruncate, }: import("./subcomponents/Trigger").FilterTriggerButtonProps): JSX.Element;
        displayName: string;
    };
    RemovableTrigger: {
        ({ label, selectedOptionLabels, labelCharacterLimitBeforeTruncate, classNameOverride, onRemove, }: import("./subcomponents/Trigger").RemovableFilterTriggerProps): JSX.Element;
        displayName: string;
    };
    SearchInput: {
        ({ label, id, isLoading }: import("./subcomponents/SearchInput").SearchInputProps): JSX.Element;
        displayName: string;
    };
    ListBox: {
        ({ children }: import("./subcomponents/ListBox").ListBoxProps): JSX.Element;
        displayName: string;
    };
    ListBoxSection: {
        ({ items, children, sectionName, ...restProps }: import("./subcomponents/ListBoxSection").ListBoxSectionProps): JSX.Element;
        displayName: string;
    };
    SectionDivider: () => JSX.Element;
    Option: {
        ({ classNameOverride, item, }: import("./subcomponents/MultiSelectOption").MultiSelectOptionProps): JSX.Element;
        displayName: string;
    };
    SelectAllButton: {
        (): JSX.Element;
        displayName: string;
    };
    ClearButton: {
        (): JSX.Element;
        displayName: string;
    };
    MenuFooter: {
        ({ children }: import("./subcomponents/MenuLayout").MenuFooterProps): JSX.Element;
        displayName: string;
    };
    MenuLoadingSkeleton: {
        ({ isAnimated, }: import("./subcomponents/MenuLayout").MenuLoadingSkeletonProps): JSX.Element;
        displayName: string;
    };
    LoadMoreButton: {
        (props: import("./subcomponents/LoadMoreButton").LoadMoreButtonProps): JSX.Element;
        displayName: string;
    };
    NoResults: {
        ({ children, ...restProps }: import("./subcomponents/NoResults").NoResultsProps): JSX.Element;
        displayName: string;
    };
};
export {};
