import React, { type ButtonHTMLAttributes, type HTMLAttributes } from 'react';
import { type AriaMenuOptions } from '@react-aria/menu';
import { type MenuTriggerState } from '@react-stately/menu';
import { type ItemType } from '../../types';
export type MenuTriggerProviderProps = {
    isOpen?: boolean;
    defaultOpen?: boolean;
    onOpenChange?: (isOpen: boolean) => void;
    children: React.ReactNode;
    triggerRef?: React.RefObject<HTMLButtonElement>;
};
export type MenuTriggerProviderContextType = {
    menuTriggerProps: HTMLAttributes<HTMLElement>;
    buttonProps: ButtonHTMLAttributes<HTMLButtonElement>;
    menuProps: AriaMenuOptions<ItemType>;
    menuTriggerState: MenuTriggerState;
    buttonRef: React.RefObject<HTMLButtonElement>;
};
export declare function MenuTriggerProvider({ isOpen, defaultOpen, onOpenChange, children, triggerRef, }: MenuTriggerProviderProps): JSX.Element;
export declare const useMenuTriggerContext: () => MenuTriggerProviderContextType;
export declare const MenuTriggerConsumer: ({ children, }: React.ConsumerProps<MenuTriggerProviderContextType>) => JSX.Element;
