import React, { type ReactNode } from 'react';
import { type MultiSelectItem } from '../../types';
type SectionNameProps = {
    /**
     * Becomes an aria-label on the section, informing
     * unsighted users
     */
    sectionName: string;
};
type SectionHeaderProps = {
    /**
     * Becomes an aria-label on the section, informing
     * unsighted users
     */
    sectionName?: string;
    /**
     * Can be used for a visual title of the ListBoxSection or to provide addition information in a React node.
     * If this is the same title as sectionName, you should only pass in a sectionHeader to avoid duplicate descriptions.
     */
    sectionHeader: ReactNode;
};
export type ListBoxSectionProps = {
    items: MultiSelectItem[];
    children: (item: MultiSelectItem) => React.ReactNode;
} & (SectionHeaderProps | SectionNameProps);
export declare const ListBoxSection: {
    ({ items, children, sectionName, ...restProps }: ListBoxSectionProps): JSX.Element;
    displayName: string;
};
export {};
