import { type SelectProps as AriaSelectProps } from '@react-stately/select';
import { type FilterButtonProps } from "../FilterButton";
import { type SelectPopoverContentsProps } from "../../__next__/Select/subcomponents";
import { type OverrideClassName } from "../../types/OverrideClassName";
import { type SelectItem, type SelectOption } from './types';
type OmittedAriaSelectProps = 'label' | 'children' | 'isOpen' | 'onOpenChange' | 'defaultOpen' | 'items';
export type FilterSelectProps<Option extends SelectOption = SelectOption> = {
    isOpen: boolean;
    setIsOpen: (isOpen: boolean) => void;
    renderTrigger: (triggerButtonProps: FilterButtonProps) => JSX.Element;
    label: string;
    children?: SelectPopoverContentsProps<Option>['children'];
    items: SelectItem<Option>[];
} & OverrideClassName<Omit<AriaSelectProps<Option>, OmittedAriaSelectProps>>;
export declare const FilterSelect: {
    <Option extends SelectOption = SelectOption>({ isOpen, setIsOpen, renderTrigger, label, children, items, classNameOverride, selectedKey, ...restProps }: FilterSelectProps<Option>): JSX.Element;
    displayName: string;
    Section: {
        <Option extends SelectOption = SelectOption>({ section, }: import("../../__next__/Select/subcomponents").ListBoxSectionProps<Option>): JSX.Element;
        displayName: string;
    };
    SectionDivider: {
        (): JSX.Element;
        displayName: string;
    };
    Option: {
        <Option extends SelectOption = SelectOption>({ item, classNameOverride, ...props }: import("../../__next__/Select/subcomponents").OptionProps<Option>): JSX.Element;
        displayName: string;
    };
    ItemDefaultRender: {
        <Option extends SelectOption = SelectOption>({ item, }: import("../../__next__/Select/subcomponents").ListItemProps<Option>): JSX.Element;
        displayName: string;
    };
};
export {};
