import { type ReactNode, type SVGAttributes } from 'react';
import { type OverrideClassName } from "../../../types/OverrideClassName";
type MeaningfulIcon = {
    'role': 'img';
    'aria-label': string;
};
type DecorativeIcon = {
    'role': 'presentation';
    'aria-label'?: never;
};
export type BaseSVGProps = {
    inheritSize?: boolean;
} & OverrideClassName<SVGAttributes<SVGElement>> & (MeaningfulIcon | DecorativeIcon);
export type SVGProps = BaseSVGProps & {
    children: ReactNode;
};
/**
 * {@link https://cultureamp.design/?path=/docs/components-icon--meaningful-kaizen-site-demo Storybook}
 */
export declare const SVG: {
    ({ inheritSize, role, viewBox, classNameOverride, children, ...restProps }: SVGProps): JSX.Element;
    displayName: string;
};
export {};
