import { type BaseProps } from '../subcomponents/Base';
import { type VideoPlayerProps } from '../subcomponents/VideoPlayer';
export type SceneProps = {
    enableAspectRatio?: boolean;
} & Pick<BaseProps, 'alt' | 'classNameOverride'>;
type BaseAnimatedSceneProps = {
    isAnimated?: boolean;
} & SceneProps & Pick<VideoPlayerProps, 'autoplay' | 'loop'>;
type AnimatedProps = {
    isAnimated: true;
    alt?: never;
} & Omit<BaseAnimatedSceneProps, 'alt'>;
type NotAnimatedProps = {
    isAnimated?: false;
    autoplay?: never;
    loop?: never;
} & BaseAnimatedSceneProps;
export type AnimatedSceneProps = AnimatedProps | NotAnimatedProps;
export declare const BrandMomentPositiveOutro: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const BrandMomentLogin: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const BrandMomentError: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const BrandMomentNewAccountOnboarding: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const BrandMomentUploadEmployeeData: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const BrandMomentStarterKit: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const EmptyStatesAction: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const EmptyStatesInformative: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const EmptyStatesNegative: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const EmptyStatesPositive: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const EmptyStatesNeutral: {
    ({ isAnimated, enableAspectRatio, alt, ...otherProps }: AnimatedSceneProps): JSX.Element;
    displayName: string;
};
export declare const Information360Upgrade: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationDemographicFocus: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationTurnoverCalculator: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationTurnoverForecast: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationEmergingTrends: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationEmployeeLifecycle: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationReportOwner: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const InformationReportOwnerByRule: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const Collaboration: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const Communication: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const CompanyValues: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const ConnectTheDots: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const CultureLab: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const TermsAgreement: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoach1On1Meetings: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachCoaching: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachEmployeeDevelopment: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachEssentialFeedback: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachEssentialProductivity: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachEssentialResilience: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachInfluentialCommunication: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachLeadingChange: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachFeedback: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachManagerHub: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachProductivity: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachRemoteManager: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachResilience: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SkillsCoachStrategy: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const Programs: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const EngagementSurveySummaryFemale: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const EngagementSurveySummaryMale: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SurveyOverviewClosed: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const SurveyGetStarted: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export declare const PerformanceCompanySettings: {
    ({ enableAspectRatio, ...props }: SceneProps): JSX.Element;
    displayName: string;
};
export {};
