import { type BaseProps } from '../subcomponents/Base';
export type SpotProps = Pick<BaseProps, 'alt' | 'classNameOverride'> & {
    enableAspectRatio?: boolean;
};
/**
 * Template Library / Moods
 */
export declare const Cautionary: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Informative: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Negative: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Positive: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Assertive: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Template Library / Engagement
 */
export declare const BenefitsSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const CustomSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const CustomUnattributedSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const EngagementSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const InclusionSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const QuickEngagementSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ValuesSurvey1: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ValuesSurvey2: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const WellbeingSurvey1: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const WellbeingSurvey2: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const WellbeingSurvey3: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ChangeReadiness: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ChangeSuccess: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PerformanceDiagnostics: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const LeadingThroughCrisis: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const EmergencyResponse: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Template Library / Experience
 */
export declare const CandidateSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const CustomOnboardSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ExitSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const InternSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PhasedWeek1OnboardSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PhasedWeek5OnboardSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const SinglePointOnboardSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const GeneralOnboardSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const RemoteOnboardSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const HealthAndSafety: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const EndOfProbation: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const NewWaysOfWorking: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ReOnboarding: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Template Library / Performance
 */
export declare const Individual360: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Leadership360: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Manager360: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Individual180: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Leadership180: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Manager180: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const TeamEffectiveness1: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const TeamEffectiveness2: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Offices
 */
export declare const London: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Melbourne: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const NewYork: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const SanFrancisco: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Values
 */
export declare const AmplifyOthers: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const HaveTheCourageToBeVulnerable: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const LearnFasterThroughFeedback: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const TrustOthersToMakeDecisions: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Template Library / COVID-19
 */
export declare const WellbeingSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Response: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const RemoteWorkQSet: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ReturnToWorkplace: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PulseSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * New Account
 */
export declare const AccountBasics: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const CompanyDetails: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const EmployeeData: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Gdpr: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Timezone: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const AddUser: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Skills Coach (previously referred to as Manager Learning)
 */
export declare const Strategy: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Resilience: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const EssentialResilience: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const RemoteManager: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Productivity: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const EssentialProductivity: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const InfluentialCommunication: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const LeadingChange: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ManagerLearning: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Feedback: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Coaching: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const OneOnOne: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
/**
 * Miscellaneous
 */
export declare const ActionPlans: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const BCorp: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Behaviour: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ChangeAgents: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Communications: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Community: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Company: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Conversations: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const DataVisualization: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Goals: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Insights: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Learn: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Microphone: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PaperPen: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PowerfulInsights: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Privacy: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Process: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Resources: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ScienceBackedTools: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const SkillsDevelopment: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ViewReports: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ReadArticle: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const FastAction: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const BaselineSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const SpreadsheetTemplate: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const AddImage: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const MeetingVoices: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Workshop: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Video: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ReportSharing: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const BlankSurvey: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const TakeAim: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Action: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Training1: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Training2: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Training3: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ShareReport: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Team1: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Team2: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Templates: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ExecutiveReportSharing: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ManagerReportSharing: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const LeaderReportSharing: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Alarm: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Fire: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Fireworks: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const FullImport: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const HrisImport: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const PartialImport: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Starburst: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Stop: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const TrafficCone: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Trophy: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const UnderConstruction: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const ValueAdd: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Recommendation: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const Objective: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
export declare const CalendarSync: ({ enableAspectRatio, ...restProps }: SpotProps) => JSX.Element;
