export type VideoPlayerProps = {
    /**
     * Specifies whether the animation plays as soon as it is rendered.
     * If the user has enabled prefer-reduced-motion their preferences
     * take precedent over this prop.
     */
    autoplay?: boolean;
    /**
     * Replay from start when active animation reaches the end of the animation.
     */
    loop?: boolean;
    /**
     * Fallback image. Used when rendering of the asset fails, or as a
     * poster for the video player.
     */
    fallback: string;
    /**
     * The path of the animation source, excluding the file extension. This
     * Player will preference Webm over mp4.
     */
    source: string;
    /**
     * Aspect ratio that is set on the illustration in Scene/Spot which wraps the
     * component in a container, forcing the aspect ratio.
     */
    aspectRatio?: 'landscape' | 'portrait' | 'square';
    onEnded?: () => void;
};
export declare const VideoPlayer: ({ autoplay, loop, fallback, source, aspectRatio, onEnded, }: VideoPlayerProps) => JSX.Element;
