import React, { type InputHTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
import { type InputStatus, type InputTypes } from './types';
export type InputType = (typeof InputTypes)[number];
export type InputStatusType = (typeof InputStatus)[number];
export type InputProps = {
    inputRef?: React.RefObject<HTMLInputElement>;
    status?: InputStatusType;
    startIconAdornment?: React.ReactNode;
    endIconAdornment?: React.ReactNode;
    reversed?: boolean;
    type?: InputType;
    /**
     * @deprecated Use of placeholder text goes against our a11y standards.
     * Use the `labelText` prop to provide a concise name, and the `description` prop for any help text.
     */
    placeholder?: string;
} & OverrideClassName<InputHTMLAttributes<HTMLInputElement>>;
export declare const Input: {
    ({ inputRef, status, startIconAdornment, endIconAdornment, reversed, type, value, defaultValue, classNameOverride, disabled, ...restProps }: InputProps): JSX.Element;
    displayName: string;
};
