import { type ColorSchema, type Scale, type ScaleItem } from './types';
export type LikertScaleProps = {
    'labelId': string;
    'scale': Scale;
    'selectedItem': ScaleItem | null;
    /**
     * @deprecated Please use data-testid instead
     */
    'automationId'?: string;
    'data-testid'?: string;
    'reversed'?: boolean;
    'colorSchema'?: ColorSchema | 'classical';
    'validationMessage'?: string;
    'status'?: 'default' | 'error';
    'onSelect': (value: ScaleItem | null) => void;
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060201/Likert+Scale Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-likertscalelegacy--docs Storybook}
 */
export declare const LikertScaleLegacy: ({ scale, selectedItem, reversed, colorSchema, "data-testid": dataTestId, onSelect, validationMessage, status, labelId, }: LikertScaleProps) => JSX.Element;
