import { type HTMLAttributes } from 'react';
import { type HeadingVariants } from "../../Heading";
import { type OverrideClassName } from "../../types/OverrideClassName";
export type LoadingHeadingProps = {
    variant: HeadingVariants;
    isAnimated?: boolean;
    isReversed?: boolean;
    isLink?: boolean;
    /**
     * Width as a percentage.
     */
    width?: number;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadingheading--docs Storybook}
 */
export declare const LoadingHeading: {
    ({ isAnimated, isReversed, width, isLink, classNameOverride, variant, ...props }: LoadingHeadingProps): JSX.Element;
    displayName: string;
};
