import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type LoadingInputProps = {
    isAnimated?: boolean;
    isReversed?: boolean;
    /**
     * Width as a percentage.
     */
    width?: number;
    /**
     * Width as px.
     */
    height?: number;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadinginput--docs Storybook}
 */
export declare const LoadingInput: {
    ({ isAnimated, isReversed, width, classNameOverride, height, ...props }: LoadingInputProps): JSX.Element;
    displayName: string;
};
