import { type HTMLAttributes } from 'react';
import { type ButtonProps } from "../../../../Button";
type ActionsVariantProps = 'context' | 'inputEdit';
export type ModalFooterProps = {
    /**
     * We have a special case for the InformationModal when it has an image.
     * Since this modal may have an image on the right side the actions might look disconected from the content.
     * So for this instance we need to flip the order of the actions so that the primary
     * action is anchored to the left edge of the modal.
     * For this rare instance added the variant prop as optional to update the order of action buttons.
     */
    variant?: ActionsVariantProps;
    unpadded?: boolean;
    actions: ButtonProps[];
    /**
     * @deprecated we are no longer supporting different appearances for ModalFooter, instead there will only be a single default appearance set by the Button.
     */
    appearance?: 'primary' | 'destructive';
    /**
     * @deprecated Please use data-testid
     */
    automationId?: string;
    alignStart?: boolean;
} & HTMLAttributes<HTMLDivElement>;
export declare const ModalFooter: {
    ({ unpadded, actions, appearance, alignStart, variant, ...props }: ModalFooterProps): JSX.Element;
    displayName: string;
};
export {};
