import React, { type HTMLAttributes } from 'react';
import { type ReferenceType, type UseFloatingOptions, type UseFloatingReturn } from '@floating-ui/react-dom';
import { type ReactFocusOnProps } from 'react-focus-on/dist/es5/types';
import { type OverrideClassName } from "../../../types/OverrideClassName";
export type PopoverProps<RT extends ReferenceType = ReferenceType> = {
    children: React.ReactNode;
    refs: UseFloatingReturn<RT>['refs'];
    /**
     * passes in additional options / override for https://floating-ui.com/docs/tooltip#usefloating-hook
     */
    floatingOptions?: Omit<UseFloatingOptions, 'elements'>;
    focusOnProps?: Omit<ReactFocusOnProps, 'children'>;
    portalContainer?: Element | DocumentFragment;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
export declare const Popover: {
    <RT extends ReferenceType>({ children, refs, floatingOptions, focusOnProps, portalContainer, classNameOverride, ...restProps }: PopoverProps<RT>): JSX.Element;
    displayName: string;
};
