import React, { type HTMLAttributes } from 'react';
import { type HeadingProps } from "../../Heading";
import { type OverrideClassName } from "../../types/OverrideClassName";
import { type GenericNotificationType, type GenericNotificationVariant } from '../subcomponents/GenericNotification';
export type InlineNotificationBase = {
    children?: React.ReactNode;
    /** @default false */
    persistent?: boolean;
    /** @default false */
    hideCloseIcon?: boolean;
    onHide?: () => void;
    noBottomMargin?: boolean;
    forceMultiline?: boolean;
    headingProps?: HeadingProps;
    isSubtle?: boolean;
} & Omit<OverrideClassName<HTMLAttributes<HTMLDivElement>>, 'style'>;
export type InlineNotificationProps = InlineNotificationBase & (GenericNotificationType | GenericNotificationVariant);
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082093392/Inline+Notification Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-notifications-inline-notification--docs Storybook}
 */
export declare const InlineNotification: React.ForwardRefExoticComponent<InlineNotificationProps & React.RefAttributes<HTMLDivElement>>;
