import React from 'react';
import { type GenericNotificationType, type GenericNotificationVariant } from "../../subcomponents/GenericNotification";
import { type ToastNotificationObj, type ToastNotificationObjBase } from '../types';
type ToastNotificationObjOptionalId = Omit<ToastNotificationObjBase, 'id'> & {
    id?: string;
} & (GenericNotificationType | GenericNotificationVariant);
export type ToastNotificationContextValue = {
    notifications: ToastNotificationObj[];
    addToastNotification: (notification: ToastNotificationObjOptionalId) => void;
    updateToastNotification: (notification: ToastNotificationObj) => void;
    removeToastNotification: (notificationId: string) => void;
    clearToastNotifications: () => void;
};
export declare const useToastNotificationContext: () => ToastNotificationContextValue;
type ToastNotificationProviderProps = {
    children: React.ReactNode;
};
export declare const ToastNotificationProvider: {
    ({ children, }: ToastNotificationProviderProps): JSX.Element | null;
    displayName: string;
};
export {};
