import React, { type HTMLAttributes } from 'react';
import { type HeadingProps } from "../../../Heading";
import { type NotificationType, type NotificationVariant } from "../../types";
import { type OverrideClassName } from "../../../types/OverrideClassName";
type GenericNotificationBase = {
    style: 'global' | 'inline' | 'toast';
    children?: React.ReactNode;
    title?: string;
    persistent?: boolean;
    onHide?: () => void;
    noBottomMargin?: boolean;
    forceMultiline?: boolean;
    headingProps?: HeadingProps;
} & Omit<OverrideClassName<HTMLAttributes<HTMLDivElement>>, 'style'>;
export type GenericNotificationType = {
    /**
     * @deprecated Please use `variant` instead
     */
    type: NotificationType;
    variant?: never;
};
export type GenericNotificationVariant = {
    /**
     * @deprecated Please use `variant` instead
     */
    type?: never;
    /**
     * If you are transitioning from `type`:
     * - `positive` should be `success`
     * - `negative` should be `warning`
     */
    variant: NotificationVariant;
};
export type GenericNotificationProps = GenericNotificationBase & (GenericNotificationType | GenericNotificationVariant);
export declare const GenericNotification: React.ForwardRefExoticComponent<GenericNotificationProps & React.RefAttributes<HTMLDivElement>>;
export {};
