import { type GenericProps } from "../../../Button/GenericButton";
export type PaginationLinkProps = GenericProps & {
    'pageNumber': number;
    'isActive'?: boolean;
    'aria-label': string;
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092975/Pagination Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-buttons-paginationlink--docs Storybook}
 */
export declare const PaginationLink: {
    ({ pageNumber, reversed, isActive, ...restProps }: PaginationLinkProps): JSX.Element;
    displayName: string;
};
