import { type HTMLAttributes, type MouseEvent } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
import { type RichTextContentProps } from '../RichTextContent';
import { type EditorContentArray } from '../types';
export type EditableRichTextContentProps = {
    onClick: (event: MouseEvent<HTMLElement>) => void;
    content: EditorContentArray;
    labelText: string;
    isLabelHidden?: boolean;
    contentProps?: Omit<RichTextContentProps, 'content'>;
} & OverrideClassName<Omit<HTMLAttributes<HTMLDivElement>, 'onClick' | 'content'>>;
export declare const EditableRichTextContent: {
    ({ onClick, content, classNameOverride, labelText, isLabelHidden, contentProps, ...restProps }: EditableRichTextContentProps): JSX.Element;
    displayName: string;
};
