import { type HTMLAttributes, type ReactNode, type SyntheticEvent } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type TabProps = {
    /**
     * Gets injected by TabList, no need to specify yourself
     */
    isSelected?: boolean;
    /**
     * Adds a Kaizen Badge component to the tab.
     * Comes with some logic baked in - changes variant based on active/focus/hover state.
     */
    badge?: string;
    disabled?: boolean;
    children: ReactNode;
    onBlur?: (e: SyntheticEvent) => void;
    onFocus?: (e: SyntheticEvent) => void;
} & OverrideClassName<Omit<HTMLAttributes<HTMLButtonElement>, 'onFocus' | 'onBlur' | 'onMouseEnter' | 'onMouseLeave'>>;
/**
 * A tab button
 */
export declare const Tab: (props: TabProps) => JSX.Element;
