import React from 'react';
import { type AvatarProps } from "../Avatar";
import { type TagVariants } from './types';
export type TagWithAvatarProps = Omit<DefaultTagProps, 'variant'> & {
    variant: 'profile';
    avatar: JSX.Element | AvatarProps;
};
type Variant = (typeof TagVariants)[number];
export interface DefaultTagProps {
    variant?: Variant;
    children: React.ReactNode;
    size?: 'medium' | 'small';
    inline?: boolean;
    dismissible?: boolean;
    onDismiss?: React.MouseEventHandler<HTMLSpanElement>;
    onMouseDown?: React.MouseEventHandler<HTMLSpanElement>;
    onMouseLeave?: React.MouseEventHandler<HTMLSpanElement>;
    truncateWidth?: number;
}
export type TagProps = DefaultTagProps | TagWithAvatarProps;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081928978/Tags Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-tag--docs Storybook}
 */
export declare const Tag: {
    (props: TagProps): JSX.Element;
    displayName: string;
};
export {};
