import React, { type TextareaHTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
export type TextAreaProps = {
    textAreaRef?: React.RefObject<HTMLTextAreaElement>;
    status?: 'default' | 'error' | 'caution';
    /**
     * Grows the input height as more content is added
     * Replace with CSS field-sizing once it's supported by all major browsers
     */
    autogrow?: boolean;
    reversed?: boolean;
    /**
     * @deprecated Use of placeholder text goes against our a11y standards.
     * Use the `labelText` prop to provide a concise name, and the `description` prop for any help text.
     */
    placeholder?: string;
} & OverrideClassName<TextareaHTMLAttributes<HTMLTextAreaElement>>;
export declare const TextArea: {
    ({ textAreaRef: propsTextAreaRef, status, autogrow, reversed, rows, defaultValue, value, disabled, onChange: propsOnChange, ...restProps }: TextAreaProps): JSX.Element;
    displayName: string;
};
