import { type HTMLAttributes, type ReactElement } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
import { type InformationTileProps } from '../InformationTile';
import { type MultiActionTileProps } from '../MultiActionTile';
type TileProps = InformationTileProps | MultiActionTileProps;
export type TileElement = ReactElement<TileProps>;
export interface TileGridProps extends OverrideClassName<HTMLAttributes<HTMLUListElement>> {
    children: TileElement[] | TileElement;
}
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3079077889/Tile#TileGrid Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-tiles-tilegrid--docs Storybook}
 */
export declare const TileGrid: {
    ({ children, classNameOverride, ...restProps }: TileGridProps): JSX.Element;
    displayName: string;
};
export {};
