import React, { type InputHTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type ToggledStatus = 'on' | 'off';
export type ToggleSwitchProps = {
    toggledStatus?: ToggledStatus;
    /**
     * Alias for `onChange`
     */
    onToggle?: React.ChangeEventHandler<HTMLInputElement>;
    reversed?: boolean;
} & OverrideClassName<Omit<InputHTMLAttributes<HTMLInputElement>, 'onChange' | 'onToggle'>>;
export declare const ToggleSwitch: {
    ({ toggledStatus, onToggle, reversed, disabled, ...restProps }: ToggleSwitchProps): JSX.Element;
    displayName: string;
};
