import React from 'react';
type AnimationProps = {
    isAnimIn?: boolean;
    isAnimOut?: boolean;
    prevIsOpen?: boolean;
    animationDuration?: number;
    isVisible: boolean;
};
export declare const AnimationContext: React.Context<AnimationProps>;
/**
 * Simply applies a css animation to transition a component in and out.
 * When the component is no longer needed, it will no longer be rendered to the
 * dom.
 */
export declare const AnimationProvider: ({ isVisible, animationDuration, ...otherProps }: AnimationProps & {
    children?: React.ReactNode;
}) => JSX.Element;
export declare const useAnimation: () => AnimationProps;
export {};
