import React, { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
import { type WellBorderStyleType, type WellColors, type WellVariantType } from './types';
export type WellProps = {
    children?: React.ReactNode;
    /** @deprecated This will not fallback to `default` variant. `default` can be used but must be explicitly passed to the Well component. It is recommended to use `color` prop and `gray` value if you need a gray background. */
    variant?: WellVariantType;
    /** @default `white` */
    color?: WellColors;
    /** @default `solid` */
    borderStyle?: WellBorderStyleType;
    /** Set the loading state for Well AI Moments. If `true` this will animate, if `false` this will render the static loaded state. */
    isAiLoading?: boolean;
    noMargin?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3075604733/Well Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-well--docs Storybook}
 */
export declare const Well: {
    ({ children, variant, color, borderStyle, noMargin, classNameOverride, isAiLoading, ...restProps }: WellProps): JSX.Element;
    displayName: string;
};
