import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
import { type FooterProps, type HeaderProps } from './subcomponents';
export type WorkflowProps = OverrideClassName<HTMLAttributes<HTMLDivElement>> & FooterProps & Pick<HeaderProps, 'workflowName' | 'statusTag' | 'headerActions'>;
export declare const Workflow: {
    ({ steps, currentStepId, isComplete, workflowName, statusTag, headerActions, children, nextAction, previousAction, classNameOverride, ...restProps }: WorkflowProps): JSX.Element;
    Header: {
        ({ workflowName, stepName, statusTag, headerActions, ...restProps }: HeaderProps): JSX.Element;
        displayName: string;
    };
    Footer: {
        ({ steps, currentStepId, isComplete, previousAction, nextAction, ...restProps }: FooterProps): JSX.Element;
        displayName: string;
    };
    Main: {
        ({ children, classNameOverride, ...restProps }: import("./subcomponents").WorkflowMainProps): JSX.Element;
        displayName: string;
    };
    ProgressStepper: {
        ({ currentStepId, steps, isComplete, ...restprops }: import("./subcomponents").ProgressStepperProps): JSX.Element;
        displayName: string;
    };
    Wrapper: {
        ({ children, classNameOverride, ...restProps }: import("./subcomponents").WorkflowWrapperProps): JSX.Element;
        displayName: string;
    };
};
