import { type HTMLAttributes } from 'react';
import { type StringSuggestions } from "../../types/StringSuggestions";
import { type IconNames } from './types';
type PresentationalIcon = {
    isPresentational: true;
    alt?: never;
};
type MeaningfulIcon = {
    isPresentational?: false;
    alt: string;
};
type BaseIconProps = {
    isFilled?: boolean;
} & HTMLAttributes<HTMLSpanElement> & (PresentationalIcon | MeaningfulIcon);
export type IconProps = BaseIconProps & {
    /** Options available at https://fonts.google.com/icons */
    name: StringSuggestions<IconNames>;
    shouldMirrorInRTL?: boolean;
};
export declare const Icon: ({ name, shouldMirrorInRTL, ...restProps }: IconProps) => JSX.Element;
export {};
