import React, { type HTMLAttributes } from 'react';
import { type DOMAttributes, type FocusableElement } from '@react-types/shared';
import { type OverrideClassName } from "../../../../types/OverrideClassName";
export type SelectToggleProps = {
    label: React.ReactNode;
    labelProps: DOMAttributes<FocusableElement>;
    value: React.ReactNode;
    /** Props for the element representing the selected value. */
    valueProps: DOMAttributes<FocusableElement>;
    isOpen?: boolean;
    /**
     * @deprecated Use of placeholder text goes against our a11y standards.
     * Use the `labelText` prop to provide a concise name, and the `description` prop for any help text.
     */
    placeholder?: string;
    /** Updates the styling of the validation. */
    status?: 'error' | 'caution';
    isDisabled?: boolean;
    /** Use the `reversed` styles. */
    isReversed?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLButtonElement>>;
export declare const SelectToggle: React.ForwardRefExoticComponent<{
    label: React.ReactNode;
    labelProps: DOMAttributes<FocusableElement>;
    value: React.ReactNode;
    /** Props for the element representing the selected value. */
    valueProps: DOMAttributes<FocusableElement>;
    isOpen?: boolean;
    /**
     * @deprecated Use of placeholder text goes against our a11y standards.
     * Use the `labelText` prop to provide a concise name, and the `description` prop for any help text.
     */
    placeholder?: string;
    /** Updates the styling of the validation. */
    status?: "error" | "caution";
    isDisabled?: boolean;
    /** Use the `reversed` styles. */
    isReversed?: boolean;
} & Omit<React.HTMLAttributes<HTMLButtonElement>, "className"> & {
    classNameOverride?: string;
} & React.RefAttributes<HTMLButtonElement>>;
