import React from 'react';
import { TooltipContext, type TooltipProps as RACTooltipProps } from 'react-aria-components';
export { TooltipContext };
export type TooltipProps = Omit<RACTooltipProps, 'offset'> & {
    /**
     * The additional offset applied along the main axis between the element and its
     * anchor element.
     * @default 8
     */
    offset?: number;
    /**
     * The placement of the tooltip relative to the trigger.
     * + we're intentionally limiting the placement options to rtl friendly ones (start, end, top, bottom)
     */
    placement?: 'bottom' | 'bottom start' | 'bottom end' | 'top' | 'top start' | 'top end' | 'start' | 'start top' | 'start bottom' | 'end' | 'end top' | 'end bottom';
};
/**
 * A tooltip displays a description of an element on hover or focus.
 */
export declare const Tooltip: React.ForwardRefExoticComponent<Omit<RACTooltipProps, "offset"> & {
    /**
     * The additional offset applied along the main axis between the element and its
     * anchor element.
     * @default 8
     */
    offset?: number;
    /**
     * The placement of the tooltip relative to the trigger.
     * + we're intentionally limiting the placement options to rtl friendly ones (start, end, top, bottom)
     */
    placement?: "bottom" | "bottom start" | "bottom end" | "top" | "top start" | "top end" | "start" | "start top" | "start bottom" | "end" | "end top" | "end bottom";
} & React.RefAttributes<HTMLDivElement>>;
