type ClassNameValue = string | number | boolean | undefined | null;
/**
 * Helper to merge classnames together with support for functions that receive state (render props).
 * This is useful when working with react-aria-components which have a feature where you can pass a function that receives state and returns a classname.
 * https://react-spectrum.adobe.com/react-aria/styling.html#render-props
 */
export declare const mergeClassNames: <ClassNameTypes extends (ClassNameValue | ((state: any) => string))[]>(...classNames: ClassNameTypes) => (() => string) extends ClassNameTypes[number] ? (state: any) => string : string;
export {};
