import React, { forwardRef, type ButtonHTMLAttributes } from 'react'
import classnames from 'classnames'
import { type OverrideClassName } from '~components/types/OverrideClassName'
import styles from './FilterButtonBase.module.scss'

export type FilterButtonBaseProps = {
  children: React.ReactNode
} & OverrideClassName<ButtonHTMLAttributes<HTMLButtonElement>>

export const FilterButtonBase = forwardRef<HTMLButtonElement, FilterButtonBaseProps>(
  ({ children, classNameOverride, ...restProps }, ref) => (
    <button
      ref={ref}
      type="button"
      className={classnames(styles.filterButtonBase, classNameOverride)}
      {...restProps}
    >
      {children}
    </button>
  ),
)

FilterButtonBase.displayName = 'FilterButtonBase'
