import React from 'react'
import { action } from '@storybook/addon-actions'
import { type ArgTypes } from '@storybook/react'
import {
  FilterButton,
  FilterButtonRemovable,
  type FilterButtonProps,
} from '~components/Filter/FilterButton'

/*
 * This helper is for consumers of Filter, not for Filter itself
 * (the type is slightly different)!
 */
export const renderTriggerControls: Partial<ArgTypes> = {
  renderTrigger: {
    description: 'Element is a variation of a FilterButton',
    options: ['Filter Button', 'Filter Button Removable'],
    control: {
      type: 'radio',
    },
    mapping: {
      'Filter Button': (triggerButtonProps: FilterButtonProps): JSX.Element => (
        <FilterButton {...triggerButtonProps} />
      ),
      'Filter Button Removable': (triggerButtonProps: FilterButtonProps): JSX.Element => (
        <FilterButtonRemovable
          triggerButtonProps={{ ...triggerButtonProps }}
          removeButtonProps={{ onClick: action('remove button onClick') }}
        />
      ),
    },
  },
}
